version 4.27.7 ( updated 05-12-2026 )
- Security Update: Fixed a stored XSS risk in Social Media Follow Skype URL handling by applying consistent URL escaping at render time. Props to Osvaldo Noe Gonzalez Del Rio (Os) for the responsible disclosure.
- Security Update: Fixed an issue in D4 Contact Form redirects by blocking unsafe redirect URL schemes and enforcing URL-safe handling of redirect_url. Props to Osvaldo Noe Gonzalez Del Rio (Os) for the responsible disclosure.
- Security Update: Fixed an issue where legacy Dynamic Content JSON could keep raw HTML enabled for users without unfiltered_html. Props to Osvaldo Noe Gonzalez Del Rio (Os) for the responsible disclosure.
- Security Update: Fixed a blind SSRF vector in Divi 4 video thumbnail resolution checks by enforcing safe outbound HTTP requests. Props to Osvaldo Noe Gonzalez Del Rio (Os) for the responsible disclosure.
- Security Update: Fixed a stored XSS vulnerability that made it possible for users with Contributor role or above to insert JavaScript code onto the page via the Video Slider module's shortcode. Props to Osvaldo Noe Gonzalez Del Rio (Os) for the responsible disclosure.

version 4.27.6 ( updated 02-25-2026 )
- Add the option to opt in to Divi 5 updates in the Divi Dashboard.
- Added a new option in the Divi Dashboard to opt in to Divi 5 updates.
- Fixed YouTube videos showing Error 153 ("Video player configuration error") in the Visual Builder.
- Fixed Theme Customizer button icon picker displaying broken characters after WordPress 6.9 update.

version 4.27.5 ( updated 12-04-2025 )
- Fixed Shop module not properly filtering products by custom taxonomy terms when "Use Current Page" was enabled.
- Fixed RankMath's sitemap generation produced errors when Blurb modules used icons.
- Changed elegant_themes_support elevated role to administrator.
- Fixed an issue with WordPress 6.7 where the "Disable translations" no longer worked.
- Fixed Divi 4 to Divi 5 gradient conversion for custom modules with individual gradient color fields.
- Fixed "Notice: Function _load_textdomain_just_in_time was called incorrectly." error in WordPress 6.7+.
- Fixed Divi Settings menu and icon are not displayed in edit post page.
- Fixed issue where the page is immediately jump to the bottom when user click on Divi Layout block area.
- Fixed Scroll Down icon displaying as broken characters in Fullwidth Header module after WordPress 6.9 update.
- Fixed button icons displaying as broken characters across multiple modules after WordPress 6.9 update. Also fixes overlay icons in Image, Portfolio, Blog, Gallery, WooCommerce, Video, and Testimonial modules.

version 4.27.4 ( updated 11-25-2024 )
- Fixed issue where image with lazy loading enabled are distorted on WordPress 6.7.
	* includes/builder/core.php

version 4.27.3 ( updated 11-08-2024 )
- Fixed broken "Use The Divi Builder" button in Block Editor header.
- Upgraded jQuery Mobile from v1.4.5 to v1.5.0 alpha and removed unused code.
- Fixes console errors in Divi Block Editor which has happening due to the WP API changes since 6.3 and 6.6.
	* includes/block-editor-integration.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/feature/dynamic-assets/assets/js/jquery.mobile.js
	* includes/builder/feature/feature/dynamic-assets/assets/js/jquery_mobile_custom.js

version 4.27.2 ( updated 10-01-2024 )
- Updated Magnific Popup library to v1.2.0.
- Fixed a bug where image IDs were not replace correctly during import in some cases with the Gallery module.
- Fixed incorrect payload sent when using Divi AI Image Editor particularly w/ the Enhance endpoint.
- Fixed the issue where the image was not appearing on the AI Preview modal when using the Generate Content With AI option in the Blurb and Person Module.
- Added link option group in heading module.
- Fixed an issue where the color picker did not open automatically after selecting the "custom" color option in the dropdown menu.
- Fixed the problem of the page getting refreshed to the previous state after clicking on Generate a new site.
- Fixed the issue where cart, checkout, and my account pages were not being included in the WooCommerce package during website setup.
- Fixed the issue where image credits were getting cut off in Divi AI Sections.
- Fixed issue with updating section classes when AI Section is inserted.
- Fixed an issue where AI defaults were not saved, were not used for current session.
- Fixed redirection to Divi Dashboard page when Divi theme is updated.
- Fixes compatibility issue with the Backend Builder in Safari 18 on macOS Sequoia.
	* ai-app/build/et-ai-app.bundle.css
	* ai-app/build/et-ai-app.bundle.js
	* core/admin/js/support-center.js
	* core/components/PageResource.php
	* core/components/Portability.php
	* core/components/SupportCenter.php
	* core/components/Updates.php
	* core/components/api/email/_MailPoet3.php
	* core/components/cache/init.php
	* core/components/data/init.php
	* core/functions.php
	* core/init.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/feature/dynamic-assets/assets/js/magnific-popup.js
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/module/Heading.php
	* includes/builder/scripts/src/builder.js
	* onboarding/ajax.php
	* onboarding/functions.php
	* onboarding/helpers.php
	* onboarding/onboarding.php

version 4.27.1 ( updated 08-12-2024 )
- Fixed Elegant Themes product updates showing up in the WordPress admin for a short time after updating to the latest version.
- Fixed global color issue for scroll down icon in fullwidth modules.
- Fixed issue where Divi Builder fails to load when Woo Products Module is used and WooCommerce Plugin is deactivated.
- Updated the subscriber retrieval method for MailPoet to use the provided public API.
	* ai-app/build/et-ai-app.bundle.css
	* ai-app/build/et-ai-app.bundle.js
	* core/admin/js/portability.js
	* core/components/Updates.php
	* core/components/data/init.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/languages/ar.po
	* includes/builder/languages/bg_BG.po
	* includes/builder/languages/cs_CZ.po
	* includes/builder/languages/da_DK.po
	* includes/builder/languages/de_DE.po
	* includes/builder/languages/el.po
	* includes/builder/languages/en_US.po
	* includes/builder/languages/es_ES.po
	* includes/builder/languages/fi.po
	* includes/builder/languages/fr_FR.po
	* includes/builder/languages/he_IL.po
	* includes/builder/languages/hu_HU.po
	* includes/builder/languages/id_ID.po
	* includes/builder/languages/it_IT.po
	* includes/builder/languages/ja.po
	* includes/builder/languages/ko_KR.po
	* includes/builder/languages/ms_MY.po
	* includes/builder/languages/nb_NO.po
	* includes/builder/languages/nl_NL.po
	* includes/builder/languages/pl_PL.po
	* includes/builder/languages/pt_BR.po
	* includes/builder/languages/ro_RO.po
	* includes/builder/languages/ru_RU.po
	* includes/builder/languages/sk_SK.po
	* includes/builder/languages/sr_RS.po
	* includes/builder/languages/sv_SE.po
	* includes/builder/languages/th.po
	* includes/builder/languages/tl.po
	* includes/builder/languages/tr_TR.po
	* includes/builder/languages/uk.po
	* includes/builder/languages/vi.po
	* includes/builder/languages/zh_CN.po
	* lang/ar.po
	* lang/bg_BG.po
	* lang/cs_CZ.po
	* lang/da_DK.po
	* lang/de_DE.po
	* lang/el.po
	* lang/en_US.po
	* lang/es_ES.po
	* lang/fi.po
	* lang/fr_FR.po
	* lang/he_IL.po
	* lang/hu_HU.po
	* lang/id_ID.po
	* lang/it_IT.po
	* lang/ja.po
	* lang/ko_KR.po
	* lang/ms_MY.po
	* lang/nb_NO.po
	* lang/nl_NL.po
	* lang/pl_PL.po
	* lang/pt_BR.po
	* lang/ro_RO.po
	* lang/ru_RU.po
	* lang/sk_SK.po
	* lang/sr_RS.po
	* lang/sv_SE.po
	* lang/th.po
	* lang/tl.po
	* lang/tr_TR.po
	* lang/uk.po
	* lang/vi.po
	* lang/zh_CN.po

version 4.27 ( updated 07-17-2024 )
- Introduced Divi AI Sections and Unsplash integration for all Divi AI generated content.
- Fixed all links having underlines coming from new styles released in WordPress 6.6.
- Fixed image use problem after generating and extending a large image.
- Updated border radius limit in customizer button settings to allow up to 100px.
- Fixed WordPress Choose an Image modal not appearing when editing images via Divi Settings modal.
- Fixed a PHP error that occurred in some cases when the global presets history was split into separate database records.
	* ai-app/ai-app.php
	* ai-app/build/et-ai-app.bundle.css
	* ai-app/build/et-ai-app.bundle.js
	* ai-app/i18n/user-prompt.php
	* ai-app/images/animated/ai/ai-progress-images.json
	* ai-app/images/animated/ai/ai-progress-import.json
	* ai-app/images/animated/ai/ai-progress-layout.json
	* ai-app/images/animated/ai/ai-progress-menu.json
	* ai-app/images/animated/ai/ai-progress-styles.json
	* ai-app/images/animated/ai/ai-progress-text.json
	* ai-app/images/card-1.svg
	* ai-app/images/card-2.svg
	* ai-app/images/card-3.svg
	* core/admin/js/portability.js
	* core/components/Portability.php
	* functions.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/feature/global-presets/History.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/images/ai-layout-image-attributions-modal-close.svg
	* includes/builder/module/helpers/WoocommerceModules.php
	* onboarding/app/build/et-onboarding.bundle.js
	* onboarding/app/build/et-onboarding.bundle.css
	* onboarding/images/animated/ai/ai-progress-images.json
	* onboarding/images/animated/ai/ai-progress-import.json
	* onboarding/images/animated/ai/ai-progress-layout.json
	* onboarding/images/animated/ai/ai-progress-menu.json
	* onboarding/images/animated/ai/ai-progress-styles.json
	* onboarding/images/animated/ai/ai-progress-text.json
	* theme.json

version 4.26.1 ( updated 07-12-2024 )
- Updated blurb text for "Choose a Premade Layout" option to include information about cloning an existing page.
- Fixed icon cutoff issue in Testimonial module when overflow is set to visible.
- Fixed unable to edit any Theme Builder templates when using WordPress 6.6.
- Fixed the issue where the success screen in Divi Onboarding was displaying pages that were not generated during onboarding.
- Added role editor permission for Divi Quick sites.
- Improved Presets storage system to allow saving more presets.
- Improved License check system on Dashboard page.
- Fixed issue with WooCommerce installation and activation failure handling in Divi onboarding process.
- Fixed duplicated requests on dashboard page which may lead to "Something went wrong" error.
- Optimized the query that retrieves the post count in Quick Sites overview which could have caused an internal server error on sites with many posts.
- Reverted a previous bug fix that fixed a problem with 14px mobile and tablet body font sizes not working. However, due to how long this bug has existed, the fix changed mobile styles on too many existing websites and is being reverted for now.
- Introduced new hook 'et_fb_should_apply_wpautop' to filter whether to apply wpautop to content of a shortcode.
	* ai-app/build/et-ai-app.bundle.css
	* ai-app/build/et-ai-app.bundle.js
	* core/admin/js/portability.js
	* core/components/Portability.php
	* core/components/Updates.php
	* functions.php
	* includes/builder/core.php
	* includes/builder/feature/global-presets/History.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/functions.php
	* onboarding/app/build/et-onboarding.bundle.js
	* onboarding/app/build/et-onboarding.bundle.css
	* onboarding/ajax.php
	* onboarding/helpers.php
	* onboarding/i18n/dashboard.php
	* onboarding/onboarding.php

version 4.26 ( updated 07-02-2024 )
- Introduced Divi Quick Sites, including AI website creation and hand-crafted starter sites.
	* ai-app/ai-app.php
	* ai-app/build/et-ai-app.bundle.css
	* ai-app/build/et-ai-app.bundle.js
	* common/admin.php
	* core/admin/js/portability.js
	* core/components/Portability.php
	* core/functions.php
	* functions.php
	* includes/builder/core.php
	* includes/builder/feature/I18n.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/module/Blog.php
	* js/src/theme-customizer.js
	* onboarding/ajax.php
	* onboarding/functions.php
	* onboarding/helpers.php
	* onboarding/i18n/dashboard.php
	* onboarding/i18n/result.php
	* onboarding/images/ai.svg
	* onboarding/images/animated/ai/ai-progress-images.json
	* onboarding/images/animated/ai/ai-progress-layout.json
	* onboarding/images/animated/ai/ai-progress-menu.json
	* onboarding/images/animated/ai/ai-progress-styles.json
	* onboarding/images/animated/ai/ai-progress-text.json
	* onboarding/images/loader.png
	* onboarding/images/loader.svg
	* onboarding/images/offer/ai.png
	* onboarding/images/offer/lifetime.png
	* onboarding/images/offer/marketplace.png
	* onboarding/images/offer/teams.png
	* onboarding/images/offer/vip.png
	* onboarding/images/premade.svg
	* onboarding/onboarding.php

version 4.25.2 ( updated 06-12-2024 )
- Security Update: Fixed a stored XSS vulnerability that made it possible for users with Contributor role or above to insert JavaScript code onto the page via the Divi Builder Gallery module's shortcode. Props to Ngô Thiên An (ancorn_) for the responsible disclosure.
- Hide Role Editor settings related to Theme Options, Theme Builder, Theme Customizer, Divi Library, and Support Center for roles without edit_theme_options capability. By default, this changes effected Editor, Author, and Contributor roles, unless they have edit_theme_options capability.
- Fixed a PHP fatal error that occurred in some cases when importing Theme Builder layouts.
- Fixed a PHP notice that occurred during Social Media module Twitter to X migration.
- Fixed a PHP warning (Undefined array key 0).
	* core/components/Portability.php
	* core/components/SupportCenter.php
	* core/components/Updates.php
	* core/components/init.php
	* core/functions.php
	* epanel/core_functions.php
	* epanel/custom_functions.php
	* functions.php
	* includes/builder/class-et-builder-value.php
	* includes/builder/core.php
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/functions.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/settings/migration/SocialMediaFollowNetworkTwitterToX.php
	* includes/builder/scripts/frontend/scripts.js

version 4.25.1 ( updated 05-07-2024 )
- Security Update: Fixed a stored XSS vulnerability that could allow users with the Contributor role or above to execute unfiltered HTML via the Divi Countdown module using encoded HTML saved in the WordPress post editor.
- Security Update: Fixed a stored XSS vulnerability that could allow users with the Contributor role or above to execute unfiltered HTML via the Divi Responsive Content script using encoded HTML saved in the WordPress post editor.
- Updated Divi AI page creation card styles to avoid confusion with the Use Existing Page card that shard a similar style.
	* ai-app/build/et-ai-app.bundle.css
	* ai-app/build/et-ai-app.bundle.js
	* ai-app/images/card-1.png
	* ai-app/images/card-1.svg
	* ai-app/images/card-2.png
	* ai-app/images/card-2.svg
	* ai-app/images/card-3.png
	* ai-app/images/card-3.svg
	* includes/builder/core.php
	* includes/builder/feature/dynamic-assets/assets/js/countdown_timer.js
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/functions.php
	* includes/builder/images/layout-insert-build-with-ai.svg
	* includes/builder/images/layout-insert-saved-layout.svg
	* includes/builder/languages/ar.po
	* includes/builder/languages/bg_BG.po
	* includes/builder/languages/cs_CZ.po
	* includes/builder/languages/da_DK.po
	* includes/builder/languages/de_DE.po
	* includes/builder/languages/el.po
	* includes/builder/languages/en_US.po
	* includes/builder/languages/es_ES.po
	* includes/builder/languages/fi.po
	* includes/builder/languages/fr_FR.po
	* includes/builder/languages/he_IL.po
	* includes/builder/languages/hu_HU.po
	* includes/builder/languages/id_ID.po
	* includes/builder/languages/it_IT.po
	* includes/builder/languages/ja.po
	* includes/builder/languages/ko_KR.po
	* includes/builder/languages/ms_MY.po
	* includes/builder/languages/nb_NO.po
	* includes/builder/languages/nl_NL.po
	* includes/builder/languages/pl_PL.po
	* includes/builder/languages/pt_BR.po
	* includes/builder/languages/ro_RO.po
	* includes/builder/languages/ru_RU.po
	* includes/builder/languages/sk_SK.po
	* includes/builder/languages/sr_RS.po
	* includes/builder/languages/sv_SE.po
	* includes/builder/languages/th.po
	* includes/builder/languages/tl.po
	* includes/builder/languages/tr_TR.po
	* includes/builder/languages/uk.po
	* includes/builder/languages/vi.po
	* includes/builder/languages/zh_CN.po

version 4.25 ( updated 04-18-2024 )
- Introduced Divi Layouts AI: Generate entire Divi pages with a simple prompt using AI.
- Fixed a fatal error that can occur with WordPress 6.5 while using a 3rd-party Divi extension which does not properly set the domain property when extending the DiviExtension base class.
	* ai-app/ai-app.php
	* ai-app/build/et-ai-app.bundle.js
	* ai-app/build/et-ai-app.bundle.css
	* ai-app/i18n/ai-image-editor.php
	* ai-app/i18n/user-prompt.php
	* ai-app/images/card-1.png
	* ai-app/images/card-2.png
	* ai-app/images/card-3.png
	* core/components/Portability.php
	* functions.php
	* includes/builder/api/DiviExtension.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-settings.php
	* includes/builder/core.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/functions.php
	* includes/builder/images/ai.png
	* includes/builder/images/layout-insert-build-with-ai.svg
	* includes/builder/images/layout-insert-premade-layout.svg
	* includes/builder/images/layout-insert-saved-layout.svg
	* includes/builder/module/helpers/Background.php
	* includes/builder/scripts/src/builder.js
	* includes/functions/choices.php
	* includes/functions/sanitization.php
	* js/src/theme-customizer.js

version 4.24.3 ( updated 04-02-2024 )
- Fixed several compatibility issues with PHP 8.2.
- Fix deprecated messages when editing existing post with Divi Layout block in WordPress 6.5.
- Fix deprecated messages when adding new post or edit existing post in WordPress 6.5.
- Fixed image refinement issues by correcting endpoint usage and prompt handling.
- Added multiple upscaling and canvas limit to 8192px.
	* ai-app/build/et-ai-app.bundle.js
	* ai-app/build/et-ai-app.bundle.css
	* ai-app/i18n/ai-image-editor.php
	* includes/builder/api/DiviExtension.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/Library.php
	* includes/builder/frontend-builder/bundle.js

version 4.24.2 ( updated 02-20-2024 )
- Fixed an issue in the Divi Builder that caused fields in the module settings modal to crash.
	* core/code-snippets/app/boot.js
	* epanel/theme-options-library/app/boot.js
	* includes/builder/frontend-builder/bundle.js

version 4.24.1 ( updated 02-14-2024 )
- Fixed a PHP deprecation notice in the Blog module.
- Added integration with AI for retrieving and updating the post settings title, excerpt, and featured image.
- Fixed an issue where the custom CSS tabs were being rendered when there was only one field for custom css.
- Fixed PHP 7.2 compatibility issue with the SplitLibrary.php file.
- Fixed a PHP fatal error that occurred in very rare cases where the mb_convert_encoding() PHP function was not available.
- Fixed an issue where replying to a comment did not work when the Dynamic CSS was disabled.
- Fixed the issue where clicking the favorite icon in the Theme Builder modal would exit the library.
- Fixed a small typo on the Support Center page.
	* core/components/SupportCenter.php
	* includes/builder/feature/SplitLibrary.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/feature/icon-manager/ExtendedFontIcons.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/module/Blog.php

version 4.24 ( updated 01-18-2024 )
- Introduced the Divi AI Image Editor
	* ai-app/ai-app.php
	* ai-app/build/et-ai-app.bundle.js
	* ai-app/build/et-ai-app.bundle.css
	* common/admin.php
	* common/i18n/ai.php
	* common/i18n/common.php
	* common/images/no-color.png
	* common/lib/ai.js
	* common/utils/color/color.js
	* includes/builder/feature/ai-button.php
	* includes/builder/frontend-builder/bundle.js

version 4.23.4 ( updated 12-28-2023 )
- Fixed issue with saving Recaptcha settings not working in Contact form.
	* core/components/api/spam/Provider.php

version 4.23.3 ( updated 12-26-2023 )
- Security Update: Resolved a bug in v4.23.2 that mistakenly added the unfiltered_html capability to the administrator role only affecting multisite installations as the unfiltered_html capability is already present for the administrator role in non-multisite installations.
	* core/components/SupportCenter.php
	* includes/builder/class-et-builder-value.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/module/Blog.php

version 4.23.2 ( updated 12-20-2023 )
- Security Update: Fixed a Stored Cross-Site Scripting Vulnerability: Resolved an issue where a contributor-level or author user could, by using a specific Divi shortcode linked to a custom field, introduce executable JavaScript from the custom field into posts.
- Fixed Free-form CSS not outputting the styles when styles exists for more than one module.
- Fixed the issue where AI and library fields were displayed on the 'Find' field in Find Replace.
- Fixed issue where incorrect option was being selected in the Inline Text Editor toolbar.
- Added tooltips to theme builder set export checklist for a better user experience.
- Updated apply_free_form_css() and setFreeFormCss() methods to improve CSS flexibility and compatibility.
- Added support for closing the export modal and fixed portability modal difference in TB.
- Fixed various PHP v8.2 warnings.
- Fixed an issue with the custom_functions.php file where the array key was not properly formatted.
- Fixed an issue with the ContentResultsModal component where string values were not properly handled, causing images to fail to render.
- Fixed an issue in the CodeResultsRefine component that caused an error when retrying a prompt with updated text.
- Resolved issue where the first line of code extends beyond field of view.
- Changed elegant_themes_support elevated role to administrator.
- Fixed Presets being imported when not checked.
- Added new class properties for querying taxonomies and handling API requests.
- Fixed compatibility issue with the Hustle plugin caused by the smooth scroll functionality in Divi.
- Fixed an issue with incorrect formatting of padding values in the module-customizer module migrations.
	* ai-app/ai-app.php
	* ai-app/i18n/ai-code.php
	* ai-app/i18n/user-prompt.php
	* ai-app/build/et-ai-app.bundle.js
	* ai-app/build/et-ai-app.bundle.css
	* core/code-snippets/CodeSnippetsLibrary.php
	* core/components/HTTPInterface.php
	* core/components/PageResource.php
	* core/components/Portability.php
	* core/components/SupportCenter.php
	* core/components/api/Service.php
	* core/components/api/spam/Provider.php
	* epanel/custom_functions.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-value.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/icon-manager/ExtendedFontIcons.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/view.php
	* includes/builder/module/AccordionItem.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Divider.php
	* includes/builder/module/Icon.php
	* includes/builder/module/PricingTables.php
	* includes/builder/module/VideoSlider.php
	* includes/builder/module/field/Border.php
	* includes/builder/module/field/BoxShadow.php
	* includes/builder/module/field/Divider.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/field/Transform.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/module/settings/migration/ColumnOptions.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/module-customizer/migrations.php
	* js/src/custom-dynamic.js
	* js/src/custom.js

version 4.23.1 ( updated 11-06-2023 )
- Fixed an issue where the "Custom CSS" option was incorrectly appended with "CSS" during a search in the settings modal.
- Fixed an issue where the class was not correctly replacing selectors when pseudo elements are involved.
- Fixed a compatibility issue that occurred with WooCommerce Payments and object caching where the page content would not load correctly in DIvi Builder.
- Added ability to convert a library item element type into another.
- Fixed an issue where the AI App cannot be opened in Theme Builder in some cases.
- Fixed free-form CSS is not working for the fresh new module where there are no settings changed.
- Fixed issue with ETBuilderCustomCSSOutput component not resetting values correctly.
- Fixed an issue with saving API key and username in multisite installs.
- Removed deprecated TEMPLATEPATH constant usage.
- Added support of Enter hotkey for Categories/Tags editor in Cloud App modal.
- Updated prompt module to correctly calculate the width and adjust the position when displayed with the admin bar.
- Fixed an issue with Code AI icon not rendering correctly in some cases.
- Removed deprecated STYLESHEETPATH constant usage.
	* ai-app/build/et-ai-app.bundle.css
	* ai-app/build/et-ai-app.bundle.js
	* cloud/i18n/library.php
	* common/i18n/ai.php
	* common/lib/ai.js
	* core/code-snippets/app/boot.js
	* core/code-snippets/app/store/code-snippets-library/actions.js
	* core/code-snippets/app/store/code-snippets-library/sequences.js
	* core/functions.php
	* epanel/core_functions.php
	* epanel/custom_functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/I18n.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/ai-button.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/functions.php
	* includes/builder/module/Heading.php
	* includes/builder/scripts/src/builder.js

version 4.23 ( updated 10-19-2023 )
- Introduced Divi Code AI, a personal coding assistant for Divi.
	* ai-app/ai-app.php
	* ai-app/ai-code.php
	* ai-app/build/et-ai-app.bundle.css
	* ai-app/build/et-ai-app.bundle.js
	* ai-app/build/et-ai-app.bundle.js.LICENSE.txt
	* ai-app/i18n/user-prompt.php
	* includes/builder/functions.php
	* includes/builder/scripts/src/builder.js

version 4.22.2 ( updated 09-20-2023 )
- Changed Twitter Icon and Twitter references to X.
- Fixed Heading module various style options not applying correctly.
- Improved the reference image retrieval method to allow better support for external images.
- Improved AI Menu positioning in some cases.
- Fixed issue where Background Images added on Columns do not fetch Reference Image automatically.
- Fixed AI quick action submenu position in Wireframe mode.
- Fixed new child item does not have the Divi AI button in module settings.
- Fixed issue where reset button in background image field were not resetting the preview .
- Fixed issue where quick action menu was showing even when input field has default value.
- Added filters for non-supported upload fields to support AI.
- Added filters for third-party modules to enable/disable AI buttons on fields.
- Fixed issue where images were not generated for hover and responsive options.
- Improved ET product update requests to avoid issues that occurred during rate limiting.
	* ai-app/ai-app.php
	* ai-app/build/et-ai-app.bundle.css
	* ai-app/build/et-ai-app.bundle.js
	* ai-app/i18n/user-prompt.php
	* core/admin/fonts/modules/all/modules.eot
	* core/admin/fonts/modules/all/modules.svg
	* core/admin/fonts/modules/all/modules.ttf
	* core/admin/fonts/modules/all/modules.woff
	* core/admin/fonts/modules/base/modules.eot
	* core/admin/fonts/modules/base/modules.svg
	* core/admin/fonts/modules/base/modules.ttf
	* core/admin/fonts/modules/base/modules.woff
	* core/admin/fonts/modules/social/modules.eot
	* core/admin/fonts/modules/social/modules.svg
	* core/admin/fonts/modules/social/modules.ttf
	* core/admin/fonts/modules/social/modules.woff
	* core/components/SupportCenter.php
	* core/components/Updates.php
	* core/components/api/ElegantThemes.php
	* core/functions.php
	* epanel/shortcodes/shortcodes.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/Heading.php
	* includes/builder/module/SocialMediaFollowItem.php
	* includes/builder/module/TeamMember.php
	* includes/builder/module/settings/Migration.php
	* includes/builder/module/settings/migration/SocialMediaFollowNetworkTwitterToX.php
	* includes/social_icons.php
	* options_divi.php

version 4.22.1 ( updated 08-18-2023 )
- Added Option To Disable Divi AI In The Role Editor.
- Automatically convert and compress images generated by Divi AI to prevent large PNG images.
- Fixed Generate 4 more AI images action that wasn't working in some cases.
- Added AI button to toggle module.
- Fixed a PHP fatal error that occurred due to a compatibility issue with WPML's Automatic Translation and the Woo Product Stock module.
- Added permission check on Divi AI script load.
- Added a new "Writable et-cache Directory" setting for the system diagnostic report in Support Center.
	* ai-app/ai-app.php
	* ai-app/build/et-ai-app.bundle.js
	* core/components/SupportCenter.php
	* core/functions.php
	* includes/builder/feature/ai-button.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/functions.php
	* includes/builder/module/Heading.php

version 4.22 ( updated 08-09-2023 )
- Introduced Divi AI text and image generation.
	* ai-app
	* common/admin.php
	* common/constants/colors.js
	* common/i18n/ai.php
	* common/lib/ai.js
	* common/lib/i18n.js
	* common/utils/color/color.js
	* common/utils/html-utils.js
	* core/functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/core.php
	* includes/builder/feature/I18n.php
	* includes/builder/feature/ai-button.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/functions.php
	* includes/builder/module/Heading.php

version 4.21.2 ( updated 07-31-2023 )
- Fixed a bug where export did not work correctly in the Backend Builder when the Post Content was used in the Theme Builder layout.
- Fixed a bug that caused the Contact Form module field option "Allowed Symbols" to not work correctly in Chrome.
- Fixed broken color picker in builder after upgrading to WordPress 6.3.
- Fixed JavaScriot Uncaught ReferenceError: pagenow is not defined in Portability.
- Removed unwanted Export To Divi Cloud button from the Theme Options export modal.
	* core/admin/css/core.css
	* core/admin/js/portability.js
	* core/components/Portability.php
	* core/ui/utils/frame-helpers.js
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/ContactFormItem.php

version 4.21.1 ( updated 06-27-2023 )
- Fixed an issue where the Scroll Effects scroll steps were incorrectly calculated.
- Fixed issues affecting saving in Theme Builder in some cases.
- Fixed an issue with the Slider module where the animations would stop working.
- Fixed Global color not working when set via the Page settings bar.
- Fixed the issue when Existing Pages were not loaded in some cases.
- Added a new et_core_static_resources_removed hook that triggers when the static resources are removed.
- Add the option to export layouts to Divi Cloud directly from Divi Layouts admin page.
- Fixed WordPress deprecated warnings related to deprecated HTTP class file and Requests library upgrade.
- Fixed PHP notice related to undefined index lists in Sendinblue email provider class.
	* common/admin.php
	* common/i18n/library.php
	* common/init.php
	* core/admin/css/core.css
	* core/admin/js/portability.js
	* core/code-snippets/app/boot.js
	* core/code-snippets/code-snippets-app.php
	* core/components/PageResource.php
	* core/components/Portability.php
	* core/components/api/email/SendinBlue.php
	* core/components/lib/WPHttp.php
	* core/functions.php
	* core/i18n/library.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-settings.php
	* includes/builder/core.php
	* includes/builder/feature/SplitLibrary.php
	* includes/builder/feature/dynamic-assets/assets/js/slider.js
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/functions.php
	* includes/builder/scripts/frontend/scripts.js

version 4.21 ( updated 04-21-2023 )
- Add local and Divi Cloud libraries for Theme Options
- Fix PHP fatal errors on WP CLI with admin context when checking themes list due to missing builder framework.
	* cloud/i18n/library.php
	* common/admin.php
	* common/i18n/library.php
	* common/init.php
	* common/lib/local-library.js
	* common/library.php
	* core/admin/css/support-center.css
	* core/admin/images/blurb-vip.jpg
	* core/code-snippets/api.php
	* core/code-snippets/code-snippets-app.php
	* core/code-snippets/code-snippets-library-local/CodeSnippetsLibraryLocal.php
	* core/code-snippets/code-snippets-library.php
	* core/components/PageResource.php
	* core/components/Portability.php
	* core/components/SupportCenter.php
	* core/components/init.php
	* core/i18n/library.php
	* core/item-library-local/ItemLibraryLocal.php
	* epanel/core_functions.php
	* epanel/css/panel.css
	* epanel/i18n/epanel.php
	* epanel/i18n/library.php
	* epanel/js/functions-init.js
	* epanel/postcss.config.js
	* epanel/theme-options-library/ThemeOptionsLibrary.php
	* epanel/theme-options-library/api.php
	* epanel/theme-options-library/constants.php
	* epanel/theme-options-library/post/type/ThemeOptions.php
	* epanel/theme-options-library/theme-options-library-app.php
	* epanel/theme-options-library/theme-options-library-local/ThemeOptionsLibraryLocal.php
	* epanel/theme-options-library/theme-options.php
	* epanel/webpack.config.js
	* et-pagebuilder/et-pagebuilder.php
	* includes/builder/autoload.php
	* includes/builder/feature/SplitLibrary.php
	* includes/builder/feature/local-library.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/theme-builder-library-local/ThemeBuilderLibraryLocal.php
	* includes/builder/frontend-builder/theme-builder/theme-builder-library.php

version 4.20.4 ( updated 04-03-2023 )
- Fixed Divi Cloud configuration error.
	* cloud/cloud-app.php

version 4.20.3 ( updated 04-03-2023 )
- Fixed progress bar rendering when importing items to the Divi Cloud.
- Added ability to split library layout into sections, section to rows, and row to modules.
- Fixed duplicate quantity number in Woo Cart Products module.
- Fixed a PHP error that occurred in some cases with 3rd-party WooCommerce plugins when the session object does not exist.
- Added support to import multiple json files in Divi Library.
- Fixed issues with Theme Builder loading and saving with big amount of templates.
- Improved local Divi Library performance on websites with big amount of layouts.
- Fixed security issue on a few legacy shortcodes, some attributes were not properly escaped.
- Added 'Share With My Team' button to the library modal.
- Added ability to split library layout into sections, section to rows, and row to modules.
- Improved shared clouds permission checks.
	* cloud/cloud-app.php
	* cloud/i18n/library.php
	* composer.json
	* core/admin/js/portability.js
	* core/code-snippets/code-snippets-library.php
	* core/ui/components/controls/index.js
	* epanel/shortcodes/shortcodes.php
	* includes/builder/core.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/SplitLibrary.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/feature/woocommerce/templates/global/quantity-input.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/theme-builder-library.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php
	* includes/builder/scripts/src/builder.js

version 4.20.2 ( updated 03-08-2023 )
- Adjusted a fix in 4.20.1 that changed section class enumeration. For customers using performance plugins that strip away version parameters from CSS files, this could cause styles to appear jumbled when they did not clear their browser cache.
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js

version 4.20.1 ( updated 03-06-2023 )
- Fixed Widget Area Creator panel not rendering in Widget Block Editor.
- Fixed issue allowing users to switch to default editor when creating a new post.
- Fixed unable to switch to Default Editor when creating new post.
- Fixed white space issue on top and bottom of embedded media.
- Fixed a JavaScript error that occurred in some cases when switching the Block Editor from Visual to Code or vice-versa.
- Fixed compatibility issue for WordPress 6.2 that affected the Edit Post/Page page.
	* common/init.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/scripts/ext/widgets.js

version 4.20 ( updated 02-16-2023 )
- Introduced Divi Cloud Sharing, allowing team members to share their Divi Cloud libraries.
- Improved Divi Library popup responsiveness.
	* cloud/cloud-app.php
	* cloud/i18n/library.php
	* common/i18n/library.php
	* common/lib/local-library.js
	* core/code-snippets/app/boot.js
	* core/code-snippets/app/store/code-snippets-library/sequences.js
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/i18n/theme-builder.php

version 4.19.5 ( updated 01-25-2023 )
- Fixed order of icon font loading as .woff should be loaded before .ttf as it's a better format and is supported across modern browsers.
- Fixed unexpected behavior of Global Colors when using undo/redo buttons in Visual Builder.
- Fixed Global Colors rendering for Specialty Columns in Visual Builder.
- Fixed issue where global colors not working in VB for button.
- Fixed Global Colors usage in fields borders settings.
- Fixed Social Media Follow module text being shown in the excerpt inside Blog Module, when excerpt is empty and Blog module is using content as excerpt.
- Fixed issue where countdown timer title margin remains visible when the title is empty.
- Fixed an issue where sticky elements would not work due to a JavaScript error that occurred in some rare cases.
- Fixed nested list bullets styling issue for ol and ul list types.
- Improved presets saving performance in Visual Builder.
- Fixed modal not closing after clicking use this layout on Theme Builder.
- Fixed Global Colors preview in Edit mode.
- Fixed bug where backup exists popup shows every time when opening Theme Builder.
- Fixed an issue where the canonical link would get duplicated in some cases.
- Fixed illegal string offset user and API key when saving on the Updates tab.
- Fixed Global Colors not properly exporting from the Divi Library in some cases.
- Fixed BOM character included file can not be imported.
- Fixed an issue where the Divi parent style would not be correctly enqueued in some cases when child themes were used.
	* core/components/Portability.php
	* epanel/core_functions.php
	* epanel/custom_functions.php
	* functions.php
	* includes/builder/feature/dynamic-assets/assets/js/src/sticky-element.js
	* includes/builder/feature/global-presets/History.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php
	* includes/builder/scripts/utils/sticky.js

version 4.19.4 ( updated 12-16-2022 )
- Fixed a bug that was causing Theme Builder Templates to be deleted unintentionally.
	* includes/builder/frontend-builder/theme-builder/theme-builder.php

version 4.19.3 ( updated 12-13-2022 )
- Improved Presets storage and performance.
- Fixed issue where you could not remove or restore items from Local VB Library.
- Fixed server errors when uploading items to the Cloud Server in some cases.
- Fixed a PHP fatal error that occurred on GoDaddy websites due to a change in the GD System plugin's cache class.
	* core/components/Portability.php
	* core/components/init.php
	* epanel/custom_functions.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/global-presets/History.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/frontend-builder/bundle.js

version 4.19.2 ( updated 11-29-2022 )
- Fixed issue where presets where not importing when tb library item is duplicated from cloud to local.
- Fixed divider view always being 100% in phone view in VB.
- Fixed issue with image border styles in Blog module images that were not applying properly in some cases.
- Fixed bug where backup exists popup shows every time when opening Theme Builder.
- Fixed Replace Existing Content option in Layouts Library.
- Fixed server error when deleting items too quickly from Divi Cloud.
- Fixed issue where the code snippet library was not closing on ESC keyboard shortcut.
- Fixed JS error that occurs on saving empty content to the cloud from code snippet editor modal.
	* core/code-snippets/app/store/code-snippets-library/sequences.js
	* core/code-snippets/app/store/edit/sequences.js
	* includes/builder/class-et-builder-google-fonts-feature.php
	* includes/builder/core.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/theme-builder-library.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php
	* includes/builder/module/Blog.php

version 4.19.1 ( updated 11-17-2022 )
- Fixed the issue when user cannot drag and drop files into Code Snippets Import Modal in some cases.
- Fixed the issue when user could exceed the free items limit on the Cloud during bulk upload.
- Show disabled cursor on save snippet button when save action is not allowed.
- Introduced new filters 'et_builder_google_fonts_is_enabled', 'et_builder_google_fonts_fetch_url' and 'et_builder_google_fonts_fetch' to manage Google Fonts.
- Hardened divi cloud library visual builder security checks.
- Fixed content contains HTML image tag is not rendered on the front end.
- Fixed js error which may potentially appear in console.log when Snippets screenshot is updating.
- Fixed clearing trash that gets stuck for Divi cloud library items.
- Improved Edit Tags And Categories label by replacing "And" with "&".
- Fixed blank sceen from showing when the Cloud login modal is closed.
- Added Cancel button to the Save To Library modal.
- Fixed misaligned label in Code Snippets Portability modal.
- Added line break when appending code from Snippets Library.
- Fixed unwanted back button after logging into the Cloud from Code Snippets Library.
- Fixed Code Snippets portability modal title.
- Added spinner when preloading code snippets on details page.
- Fixed Global Colors exporting from the Divi Library page.
- Fixed PHP Fatal error when trying to activate Divi Builder plugin with Divi theme at the same time.
- Fixed a compatibility issue with WordPress 6.1 that may cause the performance to degrade in some cases when various languages were used.
	* cloud/i18n/library.php
	* core/code-snippets/app/store/code-snippets-library/actions.js
	* core/code-snippets/app/store/code-snippets-library/sequences.js
	* core/code-snippets/code-snippets.php
	* core/components/Portability.php
	* core/i18n/library.php
	* epanel/css/panel.css
	* functions.php
	* includes/builder/class-et-builder-google-fonts-feature.php
	* includes/builder/core.php
	* includes/builder/feature/Library.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/local-library.php
	* includes/builder/frontend-builder/theme-builder/theme-builder-library.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php

version 4.19 ( updated 11-03-2022 )
- Added Divi Code Snippets Library with Divi Cloud support.
- Fixed issue with Theme Builder templates not working when The Events Calendar plugin is active.
- Fixed some issues related to Secondary Navigation menu in Customizer and Frontend.
- Fixed Global Colors import and export in Theme Builder.
	* cloud/cloud-app.php
	* cloud/i18n/library.php
	* common/admin.php
	* common/i18n/library.php
	* common/init.php
	* common/lib/config.js
	* common/lib/i18n.js
	* common/lib/local-library.js
	* common/lib/request.js
	* core/admin/css/core.css
	* core/admin/fonts/epanel/code-snippet.svg
	* core/admin/fonts/epanel/code-snippet.ttf
	* core/admin/fonts/epanel/code-snippet.woff
	* core/code-snippets/CodeSnippetsLibrary.php
	* core/code-snippets/api.php
	* core/code-snippets/app/boot.js
	* core/code-snippets/app/lib/capabilities.js
	* core/code-snippets/app/lib/code-snippets-library.js
	* core/code-snippets/app/lib/config.js
	* core/code-snippets/app/lib/constants.js
	* core/code-snippets/app/lib/i18n.js
	* core/code-snippets/app/lib/request.js
	* core/code-snippets/app/store/code-snippets-library/actions.js
	* core/code-snippets/app/store/code-snippets-library/computed.js
	* core/code-snippets/app/store/code-snippets-library/factories.js
	* core/code-snippets/app/store/code-snippets-library/module.js
	* core/code-snippets/app/store/code-snippets-library/providers.js
	* core/code-snippets/app/store/code-snippets-library/sequences.js
	* core/code-snippets/app/store/edit/actions.js
	* core/code-snippets/app/store/edit/module.js
	* core/code-snippets/app/store/edit/sequences.js
	* core/code-snippets/app/store/index.js
	* core/code-snippets/code-snippets-app.php
	* core/code-snippets/code-snippets-library.php
	* core/code-snippets/code-snippets.php
	* core/code-snippets/constants.php
	* core/code-snippets/post/taxonomy/CodeSnippetType.php
	* core/code-snippets/post/type/CodeSnippet.php
	* core/components/Portability.php
	* core/components/api/email/HubSpot.php
	* core/components/cache/Directory.php
	* core/functions.php
	* core/i18n/library.php
	* core/init.php
	* core/webpack.config.js
	* epanel/core_functions.php
	* epanel/css/panel.css
	* epanel/js/functions-init.js
	* functions.php
	* includes/builder/core.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/local-library.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/i18n/portability.php
	* includes/builder/frontend-builder/i18n/theme-builder.php
	* includes/builder/frontend-builder/theme-builder/constants.php
	* includes/builder/frontend-builder/theme-builder/local-library.php
	* includes/builder/plugin-compat/the-events-calendar.php
	* includes/builder/plugin-compat/yith-woocommerce-dynamic-pricing-and-discounts-premium.php
	* js/src/theme-customizer.js

version 4.18.1 ( updated 10-27-2022 )
- Introduced confirmation modal before user clear Divi Layout block content.
- Fixed errors on Divi Layout block when opening Site Editor page.
- VB Video Module Refused to Connect is Fixed.
- Fixed a bug in the settings field mini modal where the max height was not calculated correctly.
- Fixed a bug where default position on sections using section divider(s) was set to static instead of relative.
- Added Cart Quantity option to the Menu and Fullwidth Menu modules.
- Added compatibility with the YITH WooCommerce Discounts & Pricing plugin.
- Enables copy/paste style via right-click and keyboard shortcuts in edit preset mode.
- Fixed issue in theme builder where error message modal appears after importing template or set.
- Removed unsupported Help button from Import Templates modal.
- Fixed padding not removed from Login module without background.
- Updated Divi Builder translation strings.
- Introduced new filter to override Product Tour status from the client side.
- Fixed audio module's progress handle being white when text is dark.
- Fixed video module being unable to retrieve thumbnail from domain-restricted vimeo videos.
- Fixed disappeared Split Testing module when switching between subjects via next or prev buttons.
- Fixed PHP error regarding incorrect use of trim function.
- Introduced processed shortcode as second parameter of et_required_module_assets filter.
- Fixed borders to show up on Sections that have borders of 1 or 2px as well as Dividers on them.
- Fixed issue where dropdown menu reappears after it closes if we move the cursor back to the coordinate where submenu was showing previously.
- Fixed issue where sticky columns shrink sometimes if Equalize Column Heights option enabled.
- Fixed a bug in Video Slider module which was causing video to disappear in some cases.
- Fixed Download backup option in Import Templates modal for Cloud items.
- Adding context menu with new actions to Existing pages tab.
- Fixed incorrect position after scrolling to anchor if header has fixed sections with negative top offset.
- Fixed a bug that occurred in the Visual Builder (Extra only) where users were unable to drag & drop modules when the Post Content module was used in the Body area.
- Fixed missing margin for social media follow module last icon in RTL.
- Fixed anchor scroll position in Chrome browser when navigating from different pages.
- Added functionality to select a range of saved items on Shift + Click in the Divi Library modal.
- Video Slider Module Tests are updated.
- Fixed MailPoet subscribers not being added to lists when a Form has required custom fileds .
- Updated Google Fonts list.
- Introduced Private App Access Token as API Key replacement for HubSpot authentication.
- Fixed a PHP error that may occur in some cases when responsive images are used.
- Added new filter hook for WP_Filesystem connection arguments.
- Improved i18n translations to better handle some special keywords from being translated.
- Fixed Email Optin type error with Convertkit when PHP 8 is in use.
- Fixed custom color scheme overriding bar counter color.
- Fixed Customizer preview for Secondary Menu background color not working.
- Fixed menu module dropdown items not aligning to the right.
	* cloud/i18n/library.php
	* core/components/api/email/ConvertKit.php
	* core/components/api/email/HubSpot.php
	* core/components/api/email/_MailPoet3.php
	* core/components/cache/Directory.php
	* core/functions.php
	* core/json-data/google-fonts.json
	* core/languages/ar.po
	* core/languages/bg_BG.po
	* core/languages/cs_CZ.po
	* core/languages/da_DK.po
	* core/languages/de_DE.po
	* core/languages/el.po
	* core/languages/en_US.po
	* core/languages/es_ES.po
	* core/languages/fi.po
	* core/languages/fr_FR.po
	* core/languages/he_IL.po
	* core/languages/hu_HU.po
	* core/languages/id_ID.po
	* core/languages/it_IT.po
	* core/languages/ja.po
	* core/languages/ko_KR.po
	* core/languages/ms_MY.po
	* core/languages/nb_NO.po
	* core/languages/nl_NL.po
	* core/languages/pl_PL.po
	* core/languages/pt_BR.po
	* core/languages/ro_RO.po
	* core/languages/ru_RU.po
	* core/languages/sk_SK.po
	* core/languages/sr_RS.po
	* core/languages/sv_SE.po
	* core/languages/th.po
	* core/languages/tl.po
	* core/languages/tr_TR.po
	* core/languages/uk.po
	* core/languages/vi.po
	* core/languages/zh_CN.po
	* core/ui/utils/property-resolver.js
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/dynamic-assets/assets/js/src/sticky-element.js
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/gutenberg/EditorTypography.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/i18n/generic.php
	* includes/builder/functions.php
	* includes/builder/languages/ar.po
	* includes/builder/languages/bg_BG.po
	* includes/builder/languages/cs_CZ.po
	* includes/builder/languages/da_DK.po
	* includes/builder/languages/de_DE.po
	* includes/builder/languages/el.po
	* includes/builder/languages/en_US.po
	* includes/builder/languages/es_ES.po
	* includes/builder/languages/et_builder-ar-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-bg_BG-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-cs_CZ-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-da_DK-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-de_DE-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-el-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-es_ES-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-fi-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-fr_FR-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-he_IL-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-hu_HU-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-id_ID-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-it_IT-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-ja-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-ko_KR-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-ms_MY-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-nb_NO-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-nl_NL-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-pl_PL-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-pt_BR-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-ro_RO-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-ru_RU-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-sk_SK-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-sr_RS-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-sv_SE-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-th-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-tl-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-tr_TR-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-uk-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-vi-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-zh_CN-et-builder-gutenberg.po
	* includes/builder/languages/fi.po
	* includes/builder/languages/fr_FR.po
	* includes/builder/languages/he_IL.po
	* includes/builder/languages/hu_HU.po
	* includes/builder/languages/id_ID.po
	* includes/builder/languages/it_IT.po
	* includes/builder/languages/ja.po
	* includes/builder/languages/ko_KR.po
	* includes/builder/languages/ms_MY.po
	* includes/builder/languages/nb_NO.po
	* includes/builder/languages/nl_NL.po
	* includes/builder/languages/pl_PL.po
	* includes/builder/languages/pt_BR.po
	* includes/builder/languages/ro_RO.po
	* includes/builder/languages/ru_RU.po
	* includes/builder/languages/sk_SK.po
	* includes/builder/languages/sr_RS.po
	* includes/builder/languages/sv_SE.po
	* includes/builder/languages/th.po
	* includes/builder/languages/tl.po
	* includes/builder/languages/tr_TR.po
	* includes/builder/languages/uk.po
	* includes/builder/languages/vi.po
	* includes/builder/languages/zh_CN.po
	* includes/builder/module/BarCountersItem.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/Login.php
	* includes/builder/module/Menu.php
	* includes/builder/module/Video.php
	* includes/builder/module/VideoSliderItem.php
	* includes/builder/module/field/Position.php
	* includes/builder/plugin-compat/styles/yith-woocommerce-dynamic-pricing-and-discounts-premium.css
	* includes/builder/plugin-compat/yith-woocommerce-dynamic-pricing-and-discounts-premium.php
	* includes/builder/scripts/frontend/global-functions.js
	* includes/builder/scripts/frontend/scripts-dynamic.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/utils/sticky.js
	* js/src/theme-customizer.js
	* lang/ar.po
	* lang/bg_BG.po
	* lang/cs_CZ.po
	* lang/da_DK.po
	* lang/de_DE.po
	* lang/el.po
	* lang/en_US.po
	* lang/es_ES.po
	* lang/fi.po
	* lang/fr_FR.po
	* lang/he_IL.po
	* lang/hu_HU.po
	* lang/id_ID.po
	* lang/it_IT.po
	* lang/ja.po
	* lang/ko_KR.po
	* lang/ms_MY.po
	* lang/nb_NO.po
	* lang/nl_NL.po
	* lang/pl_PL.po
	* lang/pt_BR.po
	* lang/ro_RO.po
	* lang/ru_RU.po
	* lang/sk_SK.po
	* lang/sr_RS.po
	* lang/sv_SE.po
	* lang/th.po
	* lang/tl.po
	* lang/tr_TR.po
	* lang/uk.po
	* lang/vi.po
	* lang/zh_CN.po

version 4.18 ( updated 08-10-2022 )
- Introduced the Theme Builder Library including Divi Cloud support.
- Fixed issues with Portability system when using Droploader in Visual Builder.
- Removed excess padding from contact form radio button and checkbox in RTL.
- Fixed password protected content missing styles.
- Fixed undefined HtmlEntities object when module with partial support loaded on the builder.
- Fixed boolean custom fields value not getting added when subscribing with Sendinblue.
	* cloud/i18n/library.php
	* core/admin/fonts/builder.eot
	* core/admin/fonts/builder.svg
	* core/admin/fonts/builder.ttf
	* core/admin/fonts/builder.woff
	* core/components/Portability.php
	* core/components/api/email/SendinBlue.php
	* includes/builder/core.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/i18n/portability.php
	* includes/builder/frontend-builder/i18n/theme-builder.php
	* includes/builder/frontend-builder/theme-builder/LocalLibraryItem.php
	* includes/builder/frontend-builder/theme-builder/LocalLibraryItemEditor.php
	* includes/builder/frontend-builder/theme-builder/TBItemLibrary.php
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/constants.php
	* includes/builder/frontend-builder/theme-builder/dynamic-content.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/frontend-builder/theme-builder/local-library.php
	* includes/builder/frontend-builder/theme-builder/post/query/TBItems.php
	* includes/builder/frontend-builder/theme-builder/post/taxonomy/TBItemCategory.php
	* includes/builder/frontend-builder/theme-builder/post/taxonomy/TBItemTag.php
	* includes/builder/frontend-builder/theme-builder/post/taxonomy/TBItemType.php
	* includes/builder/frontend-builder/theme-builder/post/type/TBItem.php
	* includes/builder/frontend-builder/theme-builder/theme-builder-library.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/module/PostTitle.php
	* includes/builder/module/PostsNavigation.php
	* includes/builder/template-preview.php

version 4.17.6 ( updated 07-13-2022 )
- Fixed row width and max width issues on the builder. Introduced new {module_type}.processed.css.selector filter to allow third-party modules to modify the module selector after processing.
	* includes/builder/frontend-builder/bundle.js

version 4.17.5 ( updated 07-12-2022 )
- Relocated module selector filter to be fired after selector is processed and pass module slug as 2nd parameter.
- Fixed Woo Title module not showing up when selecting another product.
- Fixed the animation for the tooltip modal not working properly in some cases.
- Fixed issue with the form validation from the Sellsy plugin.
- Fixed extra padding on Vimeo videos with unusual aspect ratios.
- Introduced module info as 2nd parameter of static css method of custom module component.
- Exposed generateStyles util method for Divi Builder API.
- Fixed incorrect Portability modal reposition when users switch between Export and Import tabs.
- Fixed styling issue with buttons on the settings modal in RTL.
- Fixed tooltip modal not closing properly when clicking outside the modal area.
- Fixed a bug in Woo Cart Totals module which was causing shipping address to not update in some cases.
- Fixed content analysis for Yoast and RankMath plugins in GB.
- Fixed fatal error on Background component when some of its features are disabled.
- Fixed the inability to type into email optin form with background pattern.
- Updated NPM packages dependencies to the highest version.
- Fixes for the color selector position while saving in the background color picker.
- Added user permissions check to manage access to Divi library items.
- Fixed "invalid taxonomy" error which occurred when opening Divi > Divi Library > Manage Tags from the admin.
- Fixed error when saving big items to the Divi Cloud.
- Added presets import confirmation modal when importing items from the Cloud.
- Fixed Input Field's Style option in the Woo Notice Module. Fixed Conflict between Title Styles and Input Field Styles.
- Fixed Local categories and tags count update when moving item to the Cloud.
- Fixed a bug with the Visual Builder when adding a Number Counter module and using a comma as separator.
- Fixed woo products showing in one column on mobile when dynamic css is disabled.
- Fixed issue with Contact Form module textarea incorrectly stripping newlines in some cases.
- Improved Cloud categories and Tags saving.
- Fixed an issue where post-dependent Dynamic Fields (ex: Post Date, Post Comments, etc.) would output the data from the latest post on archive pages where it should not output anything.
- Fixed a PHP deprecation warning that occurred in some cases when disabling Product Tour.
- Fixed wrong text direction in multi-column row when equal 'Equalize Column Heights' option is on.
- Fixed product save issue when Rank Math is active and Add To Cart module is located before Price module.
- Fixed Checkbox checkmark styling to ensure its in properly centered position.
- Introduces new hooks which are fired when settings modal is open or close.
- Fixed the issue where using Extra Layouts as Homepage would break Homepage styles.
- Fixed incorrect display of loading icon on library item.
- Fixed History Modal labels in Theme Builder.
- Improved screenshots generating system for Cloud Items.
- Fixed issue where user were not able to deselect the category/tag after removing all items from selected category/tag.
- Added ability to remain logged into the Cloud Account on multiple websites simultaneously.
- Fixed issue where select all checkbox was rendering even when there is no items to select in Library modal.
- Added function to bulk trash layouts from list view mode.
- Changed the default order of cloud items to sort from new to old.
- Fixed Library freezing when viewing an item containing hundreds of items.
- Display screenshots grid of first 6 layouts in tag folder.
- Fixed spacing issues in Tags input field.
- Fixed accordion toggle icon showing on the right in RTL.
- Fixed a bug with the Fullwidth Header that enables the horizontal scroll on the page.
	* cloud/cloud-app.php
	* cloud/i18n/library.php
	* common/init.php
	* common/scripts/react-dom.production.min.js
	* common/scripts/react.production.min.js
	* core/admin/js/portability.js
	* core/components/Portability.php
	* core/components/Updates.php
	* core/cypress-perf.json
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-post-feature-base.php
	* includes/builder/core.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/gutenberg/BlockTemplates.php
	* includes/builder/feature/gutenberg/utils/Editor.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/functions.php
	* includes/builder/languages/en_US.po
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/FullwidthMap.php
	* includes/builder/module/Map.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/module/woocommerce/Title.php
	* includes/builder/plugin-compat/sellsy.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/src/builder.js
	* includes/builder/scripts/src/library_category.js
	* lang/en_US.po
	* options_divi.php

version 4.17.4 ( updated 05-12-2022 )
- Fixed PHP 8 warning for Specialty Column Section Background Settings on Frontend for some cases.
- Fixed Body Line Height option affects the Menu Module icons.
- iFrame from custom field is now allowed to be embedded as Dynamic Content.
- Fixed issue when 3P modules have custom selector for background hover, it's no longer worked and inherited main selector instead with :hover suffix.
- Fixed Import Presets checkbox when importing items to local library using Cloud App.
- Fixed warning MaxListenersExceededWarning printed in the console when opening global color setting field.
- Fixed social media module sticky margin overridden by desktop value.
- Fixed the title, description and the label name that possibly causes confusion when saving Section / Row / Module / Layout.
- Fixed background video not properly showing up on hover.
- Fixed a z-index ordering conflict between video backgrounds and section dividers.
- Fixed menu overflow issue in header with video background.
- Updated React Tooltip NPM package to the latest version.
- Fixed a bug which caused rendering the wrong CSS for image size on front end in some cases.
- Fixed a bug in BarCounter module to show percentage properly in VB.
- Added missing placeholder SVGs on Theme Builder.
- Removed unneeded help button from Save to Library Modal in some cases.
- Fixed migration of background gradient settings for Specialty Section columns.
- Exposed animation functionalities for third-party extensions.
- Fixed checkout module being unable to process the checkout request when "Ship to different address ?" is selected.
- Fixed issue where a Shop page built with Divi Builder could have some Woo Module styles broken on Front End.
- Fixed duplicate styles tag injected into VB builder HTML head element.
- Fix recently broken backwards compatibility in includes/builder/feature/Library.php.
- Fixed module count label when no results found in Divi Library, rather than "0 Module" it will display "No Results".
- Fixed Premade Items disappearing when logging out from Divi Cloud.
- Fixed Divi Library items list rendering in WP Admin.
- Fixed PHP error when exporting some layouts from Divi Library.
- Fixed Global Colors exporting when item is exported from the Divi Library.
- Added 'Update URI' plugin header check that can be used by 3rd party developers to avoid update conflicts with plugins sold on the Marketplace and the ones sold on the developer's website.
- Fixed a PHP fatal error that occured when installing themes on older versions of WordPress (5.4.10 or older).
- Added Template Editor support on Divi and Extra themes.
- Fixed a bug that caused the email icon to be displayed on the top bar (default header) when no value was set for the email field in some cases.
	* cloud/cloud-app.php
	* core/admin/js/portability.js
	* core/components/Portability.php
	* core/components/Updates.php
	* core/functions.php
	* functions.php
	* header.php
	* includes/block-editor-integration.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/compat/woocommerce.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/gutenberg/BlockTemplates.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/gutenberg/utils/Editor.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/field/Divider.php
	* includes/builder/module/helpers/Background.php
	* includes/builder/module/helpers/StickyOptions.php
	* includes/builder/module/settings/migration/BackgroundGradientStops.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/frontend/woocommerce-modules.js
	* theme-header.php
	* theme.json

version 4.17.3 ( updated 04-22-2022 )
- Fixed premade items caching.
- Fixed free items calculation in the Divi Cloud App.
	* cloud/build/et-cloud-app.bundle.js

version 4.17.2 ( updated 04-21-2022 )
- Fixed a bug that prevented the settings modal from updating its background gradient preview when switching between view modes.
- Improved items list refresh in the Cloud App after premade item is copied.
- Fixed a PHP warning that occurred when attempting to edit a non-existent post from the WordPress backend.
- Fixed flipped divider flickering in Safari browser.
- Fixed Uncaught TypeError when Post Content module is edited in Wireframe Mode and then saved.
- Fixed box shadow disappearing from posts in the blog module with pagination.
- Fixed an issue where, during a woocommerce checkout, changing the country wasn't updating the shipping method .
- Fixed a bug in Global Presets that would create malformed background gradients when processing global colors contained within a background gradient.
- Fixed major performance issue caused by modifications to React Tooltip, which resulted in noticeable lag when interacting with the settings modal for long periods of time.
- Fixed Library Modal styles loading in Backend Builder when Divi Builder Plugin is used.
- Removed unsupported actions from the Divi Cloud in Theme Builder.
- Fixed premade layouts update in the Cloud App when new layouts added.
- Fixed large lists of Categories and Tags creation at once from the Cloud App.
- Fixed Cloud tags icon if tag name contains uppercase letters.
- Fixed the incorrect message that appeared when Divi Marketplace product updates failed.
	* cloud/cloud-app.php
	* core/components/Updates.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/module/helpers/Background.php
	* includes/builder/module/settings/Migration.php
	* includes/builder/module/settings/migration/BackgroundGradientStops.php
	* includes/builder/scripts/frontend/scripts-dynamic.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/frontend/woocommerce-modules.js

version 4.17.1 ( updated 04-14-2022 )
- Fixed conflict with Events Manager plugin.
- Fixed a bug in the background gradients migration script that prevented inherited settings from fully migrating to the new Gradient Builder format.
- Fixed a bug in Counter Module that caused the background image to repeat with default settings on the front end.
- Fixes an issue where the semicolon was not included after the important property on some form fields on focus.
- Fixed issue were changing the zip code wasn't updating the shipping method for the given zip code.
- Fixed an issue which caused background pattern/mask to not show up properly when parallax image is used for column backgrounds on the front end.
- Fixed a text string conversion that could cause a fatal error in PHP 8.0 or later.
- Fixed Divi Cloud App conflict with 3rd party plugins in some cases.
- Fixed infinity resize event when FW Header fullscreen exists and the module scripts are reinitiated.
- Fixed numeric input increment step value is incorrect when shift key is released before any other key.
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/CircleCounter.php
	* includes/builder/module/settings/Migration.php
	* includes/builder/module/settings/migration/BackgroundGradientStops.php
	* includes/builder/post/taxonomy/LayoutTag.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/frontend/woocommerce-modules.js

version 4.17 ( updated 04-06-2022 )
- Added Divi Cloud storage system for Divi layouts.
- Launched new version of the Divi Library popup in the Visual Builder.
- Added the ability to manage Divi Library tags and categories in the Visual Builder.
- Added new tag view mode in the Divi Library popup, allowing layouts to be categorized into tag "folders."
- Added the ability to edit, preview, duplicate, delete and restore Divi Library layouts in the Visual Builder.
- Added the ability to favorite local and pre-made layouts.
- Added new sort modes and filtering options to the layouts list in the Divi Library popup.
- Added the ability to create new tags and categories when saving layouts in the Divi Library from the Visual Builder.
	* core/admin/fonts/builder.eot
	* core/admin/fonts/builder.svg
	* core/admin/fonts/builder.ttf
	* core/admin/fonts/builder.woff
	* core/admin/js/portability.js
	* core/admin/js/react-dom.production.min.js
	* core/admin/js/react.production.min.js
	* core/components/Portability.php
	* css/theme-customizer-controls-styles.css
	* functions.php
	* includes/builder/core.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/et-server-frame.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/i18n.php
	* includes/builder/frontend-builder/i18n/library.php
	* includes/builder/frontend-builder/i18n/library/categories.php
	* includes/builder/frontend-builder/i18n/library/layouts-long.php
	* includes/builder/frontend-builder/i18n/library/layouts-short.php
	* includes/builder/frontend-builder/i18n/library/packs.php
	* includes/builder/frontend-builder/i18n/portability.php
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/frontend-builder/theme-builder/woocommerce.php
	* includes/builder/frontend-builder/view.php
	* includes/builder/functions.php
	* includes/builder/languages/et_builder-en_US-et-builder-gutenberg.po
	* includes/builder/module/settings/migration/BackgroundGradientStops.php
	* includes/builder/module/woocommerce/AddToCart.php
	* includes/builder/module/woocommerce/Breadcrumb.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/CartProducts.php
	* includes/builder/module/woocommerce/CartTotals.php
	* includes/builder/module/woocommerce/CheckoutAdditionalInfo.php
	* includes/builder/module/woocommerce/CheckoutBilling.php
	* includes/builder/module/woocommerce/CheckoutOrderDetails.php
	* includes/builder/module/woocommerce/CheckoutPaymentInfo.php
	* includes/builder/module/woocommerce/CheckoutShipping.php
	* includes/builder/module/woocommerce/CrossSells.php
	* includes/builder/module/woocommerce/Description.php
	* includes/builder/module/woocommerce/Gallery.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Reviews.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/module/woocommerce/Upsells.php
	* includes/builder/post/taxonomy/LayoutTag.php
	* includes/builder/post/type/Layout.php
	* includes/builder/scripts/frontend/preview.js
	* includes/builder/scripts/src/builder.js
	* includes/builder/template-preview.php
	* includes/builder/templates/block-layout-preview.php
	* js/custom.js
	* js/custom.unified.js
	* package-lock.json
	* rtl.css

version 4.16.1 ( updated 04-04-2022 )
- Fixed a problem with frontend rendering of CSS for columns in specialty sections that used background gradients.
- Replaced jQuery hashchange library with Javascript hashchange event.
- Fixed search module background not being set on the entire module.
- Enhanced our options migration system to include third-party Divi Builder modules in its option updates.
- Fixed Global Colors usage in Presets.
- Fixed page settings bar collapsing unintentionally when clicking anywhere in the page.
- Fixed Checkout Details module not changing price when shipping option is changed.
- Fixed a data formatting conflict between Dynamic Content and Gradient Builder that blocked saving in some cases.
- Hardened escaping for plugin changelog entry URL being saved to transient data.
	* CREDITS.md
	* core/components/Updates.php
	* includes/builder/feature/dynamic-assets/assets/js/hash.js
	* includes/builder/feature/dynamic-assets/assets/js/hashchange.js
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Search.php
	* includes/builder/module/settings/Migration.php
	* includes/builder/module/settings/migration/BackgroundGradientStops.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/frontend/woocommerce-modules.js

version 4.16 ( updated 03-30-2022 )
- Added new advanced gradient builder control to the background option group.
- Improved VB performance by refactoring event listener in utils/mouse.js to be more efficient.
- Removed mousemove event listener in ETBuilderRoot component.
- Improved the logic to add/ remove event listener in ETBuilderPageSettingsBar component.
- Improved VB performance by prevented certain actions from being executed on every click when not necessary.
- Improved VB performance by refactoring event listener in utils/keyboard.js to be more efficient.
- Fixed helper functions not being loaded in certain cases causing errors when 3rd party modules are autosaved.
- Fixed a bug which were causing Background Size of Post Slider Module to be different in some cases on Frontend.
- Fixed a bug where the left padding for specialty columns did not work in some cases.
- Fixed an issue where the "View Details" link was not correctly set for products on the latest version.
	* README.md
	* core/components/Portability.php
	* core/components/Updates.php
	* core/ui/components/controls/slider/slider-utils.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-global-settings.php
	* includes/builder/feature/I18n.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/i18n/display-conditions.php
	* includes/builder/frontend-builder/init.php
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/FullwidthSlider.php
	* includes/builder/module/Slider.php
	* includes/builder/module/helpers/Background.php
	* includes/builder/module/helpers/ResponsiveOptions.php
	* includes/builder/module/settings/Migration.php
	* includes/builder/module/settings/migration/BackgroundGradientStops.php
	* includes/builder/module/settings/migration/ColumnOptions.php
	* includes/builder/scripts/src/builder.js

version 4.15.1 ( updated 03-18-2022 )
- Fixed a PHP error in Extra Theme which was caused by Background Settings helper class.
- Updated Image Position option to show for all image repeat options in Background Settings.
- Fixed a bug that was causing Button Background Settings to not render properly on front end.
	* includes/builder/class-et-builder-element.php
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/module/helpers/Background.php

version 4.15 ( updated 03-17-2022 )
- Added the new Background Masks design setting. Background Masks frame your backgrounds to create new shapes and visual effects.
- Added the new Background Patterns design setting. Background Patterns overlay your background elements, adding texture to your page.
- Added new Background Image Size option.
- Added new Background Image Offset options to allow for background image position adjustment.
- The "Place Gradient Above Background Image" option now works with parallax background images.
- Copying and pasting background options will now work correctly between standard and specialty sections.
- Fixed duplication issue when multiple output elements are added on the same Woo module.
- Fixed builder being laggy after adjusting draggable sizing.
- Fixed PHP warning when Contains conditional logic for Custom Field is being used and the second custom field value is empty.
- Fixed module animation doesn't work when Popup Maker plugin is active.
	* core/components/data/Utils.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/I18n.php
	* includes/builder/feature/background-masks/BackgroundMaskOptions.php
	* includes/builder/feature/background-masks/BackgroundMaskStyleBase.php
	* includes/builder/feature/background-masks/BackgroundMaskStyleFactory.php
	* includes/builder/feature/background-masks/BackgroundPatternOptions.php
	* includes/builder/feature/background-masks/BackgroundPatternStyleBase.php
	* includes/builder/feature/background-masks/BackgroundPatternStyleFactory.php
	* includes/builder/feature/background-masks/Functions.php
	* includes/builder/feature/background-masks/MaskFields.php
	* includes/builder/feature/background-masks/PatternFields.php
	* includes/builder/feature/background-masks/mask/README.md
	* includes/builder/feature/background-masks/mask/arch.php
	* includes/builder/feature/background-masks/mask/bean.php
	* includes/builder/feature/background-masks/mask/blades.php
	* includes/builder/feature/background-masks/mask/caret.php
	* includes/builder/feature/background-masks/mask/chevrons.php
	* includes/builder/feature/background-masks/mask/corner-blob.php
	* includes/builder/feature/background-masks/mask/corner-lake.php
	* includes/builder/feature/background-masks/mask/corner-paint.php
	* includes/builder/feature/background-masks/mask/corner-pill.php
	* includes/builder/feature/background-masks/mask/corner-square.php
	* includes/builder/feature/background-masks/mask/diagonal-bars-2.php
	* includes/builder/feature/background-masks/mask/diagonal-bars.php
	* includes/builder/feature/background-masks/mask/diagonal-pills.php
	* includes/builder/feature/background-masks/mask/diagonal.php
	* includes/builder/feature/background-masks/mask/ellipse.php
	* includes/builder/feature/background-masks/mask/floating-squares.php
	* includes/builder/feature/background-masks/mask/honeycomb.php
	* includes/builder/feature/background-masks/mask/layer-blob.php
	* includes/builder/feature/background-masks/mask/paint.php
	* includes/builder/feature/background-masks/mask/rock-stack.php
	* includes/builder/feature/background-masks/mask/square-stripes.php
	* includes/builder/feature/background-masks/mask/triangles.php
	* includes/builder/feature/background-masks/mask/wave.php
	* includes/builder/feature/background-masks/pattern/3d-diamonds.php
	* includes/builder/feature/background-masks/pattern/README.md
	* includes/builder/feature/background-masks/pattern/checkerboard.php
	* includes/builder/feature/background-masks/pattern/confetti.php
	* includes/builder/feature/background-masks/pattern/crosses.php
	* includes/builder/feature/background-masks/pattern/cubes.php
	* includes/builder/feature/background-masks/pattern/diagonal-stripes-2.php
	* includes/builder/feature/background-masks/pattern/diagonal-stripes.php
	* includes/builder/feature/background-masks/pattern/diamonds.php
	* includes/builder/feature/background-masks/pattern/honeycomb.php
	* includes/builder/feature/background-masks/pattern/inverted-chevrons-2.php
	* includes/builder/feature/background-masks/pattern/inverted-chevrons.php
	* includes/builder/feature/background-masks/pattern/ogees.php
	* includes/builder/feature/background-masks/pattern/pills.php
	* includes/builder/feature/background-masks/pattern/pinwheel.php
	* includes/builder/feature/background-masks/pattern/polka-dots.php
	* includes/builder/feature/background-masks/pattern/scallops.php
	* includes/builder/feature/background-masks/pattern/shippo.php
	* includes/builder/feature/background-masks/pattern/smiles.php
	* includes/builder/feature/background-masks/pattern/squares.php
	* includes/builder/feature/background-masks/pattern/triangles.php
	* includes/builder/feature/background-masks/pattern/tufted.php
	* includes/builder/feature/background-masks/pattern/waves.php
	* includes/builder/feature/background-masks/pattern/zig-zag-2.php
	* includes/builder/feature/background-masks/pattern/zig-zag.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Accordion.php
	* includes/builder/module/Audio.php
	* includes/builder/module/BarCounters.php
	* includes/builder/module/BarCountersItem.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/CircleCounter.php
	* includes/builder/module/Code.php
	* includes/builder/module/Comments.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/CountdownTimer.php
	* includes/builder/module/Cta.php
	* includes/builder/module/Divider.php
	* includes/builder/module/FilterablePortfolio.php
	* includes/builder/module/FullwidthCode.php
	* includes/builder/module/FullwidthHeader.php
	* includes/builder/module/FullwidthImage.php
	* includes/builder/module/FullwidthMap.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/FullwidthPostTitle.php
	* includes/builder/module/FullwidthSlider.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Icon.php
	* includes/builder/module/Image.php
	* includes/builder/module/Login.php
	* includes/builder/module/Map.php
	* includes/builder/module/Menu.php
	* includes/builder/module/NumberCounter.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/PostTitle.php
	* includes/builder/module/PostsNavigation.php
	* includes/builder/module/PricingTables.php
	* includes/builder/module/PricingTablesItem.php
	* includes/builder/module/Search.php
	* includes/builder/module/Sidebar.php
	* includes/builder/module/Signup.php
	* includes/builder/module/Slider.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/SocialMediaFollow.php
	* includes/builder/module/Tabs.php
	* includes/builder/module/TabsItem.php
	* includes/builder/module/TeamMember.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/Text.php
	* includes/builder/module/Toggle.php
	* includes/builder/module/Video.php
	* includes/builder/module/VideoSlider.php
	* includes/builder/module/field/display-conditions/CustomField.php
	* includes/builder/module/helpers/Background.php
	* includes/builder/module/helpers/ResponsiveOptions.php
	* includes/builder/module/settings/Migration.php
	* includes/builder/module/settings/migration/BackgroundGradientOverlaysImage.php
	* includes/builder/module/type/PostContent.php
	* includes/builder/module/woocommerce/Breadcrumb.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/CheckoutPaymentInfo.php
	* includes/builder/module/woocommerce/Shop.php
	* includes/builder/plugin-compat/popup-maker.php
	* includes/builder/scripts/frontend/scripts.js

version 4.14.9 ( updated 03-10-2022 )
- Fixed a compatibility issue with WP Offload Media where one of the plugin's methods was renamed causing a fatal error in our products.
- Exposed hasValue helper for third-party extensions.
- Fixed search module input placeholder hidden with field text alignment set to right.
- Fixed a bug which were causing Background Settings on Responsive mode to not display properly on some cases.
- PHP 7.4 or higher is now recommended for performance and security reasons. Divi Help & Support Center's System Status card has been updated to reflect this.
- Fixed Presets pop-up window overflow issue when items exceeded viewport height.
- Changed 'Improve Google Fonts Loading' option default to 'off'.
	* core/components/Portability.php
	* core/components/SupportCenter.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/dynamic-assets/assets/js/search.js
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/gutenberg/utils/Editor.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/woocommerce/CheckoutBilling.php
	* includes/builder/plugin-compat/amazon-s3-and-cloudfront.php
	* includes/builder/scripts/frontend/scripts.js
	* options_divi.php

version 4.14.8 ( updated 02-17-2022 )
- Fixed issue where the google maps are not loading in the Map Module in the VB.
- Performance improved by preventing unnecessary re-renderings of some components.
- Fixed price showing for Woo related products when disabled.
- Fixed an issue where DONOTCACHEPAGE didn't work as intended with CDNs and several Caching Plugins.
- Introduced new hook, et_builder_global_modules_ignore_autop, to allow third-party modules to ignore autop on Global Module content processing.
- Optimized performance when Elements that are located inside the Post Content Module are hovered.
- Fixed conditions for when to show Enable Divi Builder button in WP admin bar.
- Fixed light font weight overriding strong tag in body text in the testimonial module.
- Fixed Divi Layout block styling issues when it is rendered inside WP Template or WP Template Parts.
- Fixing styling issue with the Woo Notice module.
- Fixed image overlay icon not perfectly centered.
- Fixed inverted Divi Placeholder text color when Twenty Twenty Two theme uses dark background.
- Fixed Layer View modal not dropping the dragged module.
- Fixed bug with module Drag&Drop when the page has custom Body Template.
- Fixed "unable to process your order" error when using Stripe payment gateway.
- Fixed a PHP error that occurred in some cases when exporting through Divi's portability system.
- Added Template Editor support on Divi and Extra themes.
- Fixed an issue with the Search widget where part of the "search" button text displays on a new line with some fonts.
	* core/components/PageResource.php
	* core/components/Portability.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-post-feature-base.php
	* includes/builder/conditions.php
	* includes/builder/feature/BlockTemplates.php
	* includes/builder/feature/DoNotCachePage.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/gutenberg/utils/Editor.php
	* includes/builder/feature/woocommerce/templates/checkout/form-checkout.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/functions.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/CheckoutAdditionalInfo.php
	* includes/builder/module/woocommerce/CheckoutBilling.php
	* includes/builder/module/woocommerce/CheckoutOrderDetails.php
	* includes/builder/module/woocommerce/CheckoutShipping.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/scripts/frontend/woocommerce-modules.js
	* includes/builder/templates/block-template-canvas.php

version 4.14.7 ( updated 01-20-2022 )
- Fixed an issue where the Global Presets history didn't update with every action causing changes to not save.
- Fixed lazy loading images to occur only on below the fold content when Divi Builder is used.
- Recover some Block Editor control buttons on Template Editor mode.
- Fixed broken layout on Divi Woo Products module.
- Fixed incorrectly set Page Type in Theme Builder when using the Woo Notice module.
- Fixed issue where flip section divider is not showing in Safari.
- Fixed issue where the menu items wrap into multiple lines.
- Fixed builder issue when users edit a WooCommerce product and use FSE theme.
- Improved Theme Builder Template compatibility with Block Editor Template.
- Fixed Account name/password incorrect validation while on Checkout page built using Divi Builder.
- Fixed Divi block styling issue on Template Editor.
- Disable ET buttons when users open Template Editor.
- Fixed issue where global color becomes static if hover options are enabled.
- Fixed Payment form repeatedly showing in all Divi Checkout modules.
- Fixed an issue where the Pricing Table child element text color didn't overwrite the parent module text color in some cases.
- Added support for SVG files in portability export.
	* core/components/Portability.php
	* includes/builder/compat/early.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/feature/BlockTemplates.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/Menu.php
	* includes/builder/module/PricingTablesItem.php
	* includes/builder/module/woocommerce/CheckoutAdditionalInfo.php
	* includes/builder/module/woocommerce/CheckoutBilling.php
	* includes/builder/module/woocommerce/CheckoutOrderDetails.php
	* includes/builder/module/woocommerce/CheckoutShipping.php
	* includes/builder/scripts/frontend/woocommerce-modules.js
	* includes/builder/templates/block-template-canvas.php

version 4.14.6 ( updated 01-13-2022 )
- Fixed auto-opening preview tab when Divi Woo Product page is loaded w/ Rank Math plugin enabled.
- Fixed unintended lag in the Visual Builder caused by a previous bug fix.
- Fixed an issue where the layout(s) images were not exported from Divi Libray in some cases.
	* core/components/Portability.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/core.php
	* includes/builder/feature/content-retriever/retrievers/PageContentRetriever.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/gutenberg/blocks/PostExcerpt.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/woocommerce.php
	* includes/builder/functions.php
	* includes/builder/plugin-compat/wp-rocket.php
	* includes/builder/scripts/frontend/scripts.js

version 4.14.5 ( updated 01-05-2022 )
- Fixed missing Table Header styles in Phone mode when using the Cart Products module.
- Added option to let user enable or disable Theme Builder Editor inside Visual Builder.
- Fixed the broken magic colors system.
- Fixed a compatibility issue with WP Rocket where the option to remove unused CSS was removing required CSS for the Blog Module's column size.
- Fixed PHP 8.1 deprecated FILTER_SANITIZE_STRING constant on BFB initial content.
- Fixed PHP 8.1 deprecated FILTER_SANITIZE_STRING constant on Global Presets and Colors features.
- Fixed broken WooCommerce extensions elements added on single product, product related pages, and Woo modules.
- Fixed Divi icons rendering saved in the Global Presets(GP) with unicode format: &amp;#x24; on VB.
- Fixed the Cart Products table styles allowing the table to be responsive.
- Fixed an issue with slide move-to that caused unwanted max-height being applied on all modules that use this function.
- Fixed issue with double wrappers when page has only the Body Layout created in Theme Builder.
- Fixed error in the console when scrolling and having 3rd party modules with child in the content.
- Fixed missing no account warning text when accessing Library Layouts of Divi Layout block.
- Fixed PHP 8.1 warnings when Dynamic Assets feature is enabled.
- Fixed some PHP 8.1 deprecation warnings and errors.
- Fixed an issue where the Blog module grid style would not work correctly due to Salvattore failing to retrieve the number of columns.
- Improved display of Divi icons when Dynamic Assets is turning on.
- Fixed incorrect Core - Post Excerpt block result on the FE.
- Fixed copy/paste between Radio and Selected Radio option groups in the Checkout Payment module.
- Fixed wrong height of Full-width slider image when placed immediately after transparent primary Menu.
- Fixed reCaptcha not visible when Dynamic CSS option is disabled.
- Added "Posts for Current Page" loop option for Blog module in Visual Theme Builder Editor.
- Fixed some PHP 8.1 deprecation warnings and errors.
	* core/components/SupportCenter.php
	* core/components/api/spam/ReCaptcha.php
	* core/components/mu-plugins/SupportCenterSafeModeDisablePlugins.php
	* core/ui/utils/property-resolver.js
	* epanel/core_functions.php
	* epanel/custom_functions.php
	* functions.php
	* header.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/core.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/feature/content-retriever/retrievers/PageContentRetriever.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/gutenberg/blocks/PostExcerpt.php
	* includes/builder/feature/icon-manager/ExtendedFontIcons.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/dynamic-content.php
	* includes/builder/frontend-builder/theme-builder/woocommerce.php
	* includes/builder/functions.php
	* includes/builder/module/BarCountersItem.php
	* includes/builder/module/CircleCounter.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/CountdownTimer.php
	* includes/builder/module/woocommerce/CartProducts.php
	* includes/builder/plugin-compat/sg-cachepress.php
	* includes/builder/plugin-compat/sitepress-multilingual-cms.php
	* includes/builder/plugin-compat/wp-rocket.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/social_icons.php
	* single.php
	* theme-header.php

version 4.14.4 ( updated 12-17-2021 )
- Fixed a conflict with SiteGround Optimizer where the Theme Customizer styles would not work when the Output Styles Inline option was enabled in Divi's Theme Options.
- Fixed a compatibility issue with SiteGround Optimizer that would cause the Divi Builder to timeout.
- Fixed order class suffix changing from _0 to _1 due to the use of do_shortcode().
	* composer.json
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/plugin-compat/sg-cachepress.php
	* includes/builder/scripts/src/builder.js

version 4.14.3 ( updated 12-16-2021 )
- Added the all new "Product Stock" condition to Display Conditions feature.
- Added the all new "Custom Field" condition to Display Conditions feature.
- Added the all new "URL Parameter" condition to Display Conditions feature.
- Fixed various various TinyMCE editor options not working in Theme Builder in Extra theme.
- Fixed repetitive text on all Checkout modules along w/ the missing default border width for the payment methods.
- Fixed all Checkout modules that displayed errors when a Product in cart goes out of stock while Checkout.
- The margin container in the Icon Module was reassigned to the main Icon Module container.
- Fixed Fields Text size option not targeting the right elements on Checkout page.
- Fixed default pricing tables color for frequency not being properly applied in certain cases.
- Fixed an issue where preset CSS are always Loaded even when presets are not used.
- Fixed fatal error shown when Shop module, used on a page, is viewed after disabling the Woocommerce plugin.
- Fixed Checkout workflow failure when checkout page is built using Theme Builder.
- Fixed using of slashes in the Date Format option in Blog, Fullwidth Post Title and Post Title modules.
- Fixed max-height set on image module for mobile devices resulting in stretched image.
- Fixed a PHP warning that occurred when the stored Global Presets History was an array instead of an object.
- Fixed shipping address not working when Cart Totals module is used.
- Fixed inconsistent form notice's font weight in the Checkout Payment module.
- Fixed bottom content jumping issue with Sliders on Webkit based browsers.
- Fixed a PHP 8 deprecation notice in the Cross Sells Module.
- Fixed bug with removing sections from Post Content module when there is only one section inside the Body Layout.
- Fixed issue with editing page content that is nested inside the Post Content Module in Body Template in Full Site Editing mode.
- Fixed Blurb module header color transition not working with the Text Color option.
- Fixed an issue with video responsiveness and dimensions on accordion module when dynamic js lib was enabled.
- Improve SiteGround Optimizer plugin compatibility with Dynamic Assets.
- Fixed broken Column Label Option Group styles on Table & Phone modes in Cart Totals module.
- Fixed compatibility issues with Optima Express IDX Plugin.
- Improve reCaptcha compatibility with 3rd Party reCaptcha solutions.
- Fixed Cart Totals module's Table Cells Background Color option not working in Phone mode.
- Fixed Fields Focus Text color being overridden in Checkout Info module.
	* composer.json
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/core.php
	* includes/builder/feature/ajax-data/AjaxData.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/global-presets/History.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/i18n/display-conditions.php
	* includes/builder/functions.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/Icon.php
	* includes/builder/module/Image.php
	* includes/builder/module/field/DisplayConditions.php
	* includes/builder/module/field/display-conditions/CustomField.php
	* includes/builder/module/field/display-conditions/ProductStock.php
	* includes/builder/module/field/display-conditions/UrlParameter.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/CartTotals.php
	* includes/builder/module/woocommerce/CheckoutAdditionalInfo.php
	* includes/builder/module/woocommerce/CheckoutBilling.php
	* includes/builder/module/woocommerce/CheckoutOrderDetails.php
	* includes/builder/module/woocommerce/CheckoutShipping.php
	* includes/builder/module/woocommerce/CrossSells.php
	* includes/builder/plugin-compat/sg-cachepress.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/frontend/woocommerce-modules.js
	* includes/builder/scripts/src/builder.js

version 4.14.2 ( updated 11-30-2021 )
- Fixed issue with Divi activation upon editing Divi Layout Block in Gutenberg.
- Fixed the margin applying for the icon with the left placement in the Blurb module.
- Fixed delayed editor switching from GB to VB when activating VB by replacing waitForSave() that is based on@wordpress/data's subscribe() with evaluating state and props change that is already passed by Higher Order Component from store's state.
- Fixed break in gallery module tablet layout when item titles have different lengths.
- Added wrapper to expanded icon picker styles.
- Fixed Text alignment option not working on front-end pages.
- Fixed padding setting for modules that have buttons (including the Button module) and set an button's icon.
- Fixed issue that renders invisible text in Gutenberg editor.
- Fixed center text alignment not working for the Person module.
- Fixed console error caused by invalid srcset attributes in SVG images when "Enable Responsive Images" option is on.
- Improved Display Conditions technical implementation for rendering Tooltip contents.
- Fixed tablet/mobile (auto) width not reflecting in VB when width is assigned in responsive view for desktop only.
- Fixed the Fields default border radius value for Cart Totals and Cart Products modules.
- Fixed PHP 8 deprecation warning on Icon module.
- Fixed error when accessing background image of button module.
- Improved display of Divi icons when Dynamic Assets is turning on.
- Added loading of the Icon Modules styles on FE.
- Fixed some layout export errors in PHP 8.
- Fixed hidden sections dots appearing in page dot navigation.
- Fixed Default white link color in Footer Widgets set from Theme Customizer was not working.
	* core/components/Portability.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/gutenberg/EditorTypography.php
	* includes/builder/feature/icon-manager/ExtendedFontIcons.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/i18n/display-conditions.php
	* includes/builder/functions.php
	* includes/builder/module/Icon.php
	* includes/builder/module/field/display-conditions/Author.php
	* includes/builder/module/field/display-conditions/Browser.php
	* includes/builder/module/field/display-conditions/CartContents.php
	* includes/builder/module/field/display-conditions/Categories.php
	* includes/builder/module/field/display-conditions/CategoryPage.php
	* includes/builder/module/field/display-conditions/Cookie.php
	* includes/builder/module/field/display-conditions/DateArchive.php
	* includes/builder/module/field/display-conditions/DateTime.php
	* includes/builder/module/field/display-conditions/DynamicPosts.php
	* includes/builder/module/field/display-conditions/LoggedInStatus.php
	* includes/builder/module/field/display-conditions/OperatingSystem.php
	* includes/builder/module/field/display-conditions/PageVisit.php
	* includes/builder/module/field/display-conditions/PostType.php
	* includes/builder/module/field/display-conditions/ProductPurchase.php
	* includes/builder/module/field/display-conditions/SearchResults.php
	* includes/builder/module/field/display-conditions/TagPage.php
	* includes/builder/module/field/display-conditions/Tags.php
	* includes/builder/module/field/display-conditions/UserRole.php
	* includes/builder/module/woocommerce/CartProducts.php
	* includes/builder/module/woocommerce/CartTotals.php
	* js/src/custom-dynamic.js
	* js/src/custom.js

version 4.14.1 ( updated 11-23-2021 )
- Fixed broken styles in the Divi Builder Plugin due to missing content wrapper.
- Fixed et_get_first_section console error.
- Fixed validation when Country, whose state isn't pre-defined, is selected during Checkout.
- Fixed issue affecting Checkout when using Divi modules as well as the default WooCommerce checkout shortcode.
- Fixed "no available payment" warning showing twice.
- Fixed broken shipping fields on Checkout page when WooCommerce shortcode within Text module.
- Fixed a bug that caused generated file lock files to not delete when they should have, during the creation of dynamic css files.
- Fixed PHP error occurring when the WP Rest API is used fetch posts which include a WC Cart Notice module in their content.
- Fixed hidden quantity text in the quantity field on WooCommerce product pages.
- Fixed static CSS cache clearing not working on Windows.
	* core/components/cache/Directory.php
	* includes/builder/core.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/frontend/woocommerce-modules.js
	* includes/builder/scripts/src/builder.js
	* js/src/custom.js

version 4.14 ( updated 11-22-2021 )
- Introduced 8 new Divi WooCommerce modules, including the ability to customize your WooCommerce cart and checkout pages.
- An additional conversion of icons values created in previous Divi versions for 3p modules was added.
- The algorithm for checking the presence of icons in the content for Dynamic Assets has been changed, now it searches for the values of icons in the content, regardless of which field they are in.
- Fixed Display Conditions feature integration with Find & Replace feature so now they work together as expected.
- Fixed bug with copying and pasting elements between different pages, and enabled copying and pasting elements from one Theme Builder area to another.
- Fixed issue with double wrappers when page has only the Body Layout created in Theme Builder.
- Added extra conversion for the case with the font_icon__hover option when the "Allowlist" mechanism is run.
- Fixed broken icon fonts that occurred when a page's CSS cache was first generated using http, and then later served using https.
- Added a fallback check that will regenerate Dynamic CSS when we identify that the cached CSS files are missing Theme Builder CSS for whatever reason.
- Changed default transparent RGBA value to mitigate the issue with how color interpolation works in Safari browser.
- Fixed pagination not working for Portfolio module when used in a Theme Builder template.
- Fixed wrong height of Full-width slider image when placed immediately after transparent primary Menu.
- Fixed an issue with Settings Options field visibility checks when field dependencies were removed.
- Fixed an edge case in the Builder where Blurb Module would break on a specific combination of Image and Scroll Effects.
- Fixed child theme's style version being ignored when it's enqueued.
- Fixed the issue when reCaptcha was enabled in some cases even if it is not used anywhere on the site.
	* composer.json
	* core/admin/fonts/builder.eot
	* core/admin/fonts/builder.ttf
	* core/admin/fonts/builder.woff
	* core/components/api/spam/ReCaptcha.php
	* core/components/data/Utils.php
	* core/functions.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/core.php
	* includes/builder/feature/AjaxCache.php
	* includes/builder/feature/ajax-data/AjaxData.php
	* includes/builder/feature/display-conditions/DisplayConditions.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/feature/icon-manager/ExtendedFontIcons.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/feature/woocommerce/placeholder/WoocommerceProductSimplePlaceholder.php
	* includes/builder/feature/woocommerce/templates/cart/cart-totals.php
	* includes/builder/feature/woocommerce/templates/cart/cart.php
	* includes/builder/feature/woocommerce/templates/cart/cross-sells.php
	* includes/builder/feature/woocommerce/templates/checkout/form-login.php
	* includes/builder/feature/woocommerce/templates/checkout/payment-method.php
	* includes/builder/feature/woocommerce/templates/checkout/payment.php
	* includes/builder/feature/woocommerce/templates/checkout/review-order.php
	* includes/builder/feature/woocommerce/templates/global/form-login-fe.php
	* includes/builder/feature/woocommerce/templates/global/form-login.php
	* includes/builder/feature/woocommerce/templates/global/quantity-input.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/woocommerce.php
	* includes/builder/functions.php
	* includes/builder/module/Comments.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/field/Border.php
	* includes/builder/module/field/MarginPadding.php
	* includes/builder/module/helpers/WoocommerceModules.php
	* includes/builder/module/settings/Migration.php
	* includes/builder/module/settings/migration/ContactFormUniqueID.php
	* includes/builder/module/settings/migration/IconManager.php
	* includes/builder/module/settings/migration/WooTextOG.php
	* includes/builder/module/woocommerce/AddToCart.php
	* includes/builder/module/woocommerce/AdditionalInfo.php
	* includes/builder/module/woocommerce/Breadcrumb.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/CartProducts.php
	* includes/builder/module/woocommerce/CartTotals.php
	* includes/builder/module/woocommerce/CheckoutAdditionalInfo.php
	* includes/builder/module/woocommerce/CheckoutBilling.php
	* includes/builder/module/woocommerce/CheckoutOrderDetails.php
	* includes/builder/module/woocommerce/CheckoutPaymentInfo.php
	* includes/builder/module/woocommerce/CheckoutShipping.php
	* includes/builder/module/woocommerce/CrossSells.php
	* includes/builder/module/woocommerce/Description.php
	* includes/builder/module/woocommerce/Gallery.php
	* includes/builder/module/woocommerce/Images.php
	* includes/builder/module/woocommerce/Meta.php
	* includes/builder/module/woocommerce/Price.php
	* includes/builder/module/woocommerce/Rating.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Reviews.php
	* includes/builder/module/woocommerce/Shop.php
	* includes/builder/module/woocommerce/Stock.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/module/woocommerce/Title.php
	* includes/builder/module/woocommerce/Upsells.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/frontend/woocommerce-modules.js
	* js/src/custom.js

version 4.13.1 ( updated 11-11-2021 )
- Fixed front end .css files being enqueued inside the Visual Builder when editing category pages using the Theme Builder Editor.
- Fixed issue with Post Content Module error inside the Specialty section.
- Fixed visual builder laggy on Initial load.
- Fixed error when double click on child module preview to open settings modal.
- Fixed Divi Placeholder block is not rendered properly on edit post admin page.
- Updated Display Conditions feature making it more robust and added specific hooks to disable/enable Display Conditions site-wide.
- Refactored Dynamic Assets for improved technical maintainability.
- Fixed error in the browser console when doing drag and drop modules.
- Introduces new action hook after contact form entry is submitted.
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/ajax-data/AjaxData.php
	* includes/builder/feature/display-conditions/DisplayConditions.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/functions.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/field/DisplayConditions.php
	* includes/builder/module/field/display-conditions/PageVisit.php
	* includes/builder/module/settings/Migration.php
	* includes/builder/module/settings/migration/ContactFormUniqueID.php
	* includes/builder/plugin-compat/popup-maker.php

version 4.13 ( updated 11-04-2021 )
- Added hundreds of new icons to the Divi icon picker.
- Added expanded icon picker for easier icon browsing.
- Added the ability to search and filter the icons list.
- Added new Icon Module.
- Updated all icon-containing modules with new icon options.
- Added 36 new social networks to the Social Media Follow module.
- Fixed Theme builder template's not working properly when used with Dynamic content for categories or any taxonomy.
- Fixed Display Conditions Date & Time so now it can work with multiple positive conditions.
- Fixed contact form's message field missing newlines in emails' content.
- Fixed Post Tag Display Condition not showing up all tags in VB when Woocommerce is disabled.
- Fixed styles are not being applied on the FE after updating a layout/ global module.
- Fixed console error when opening library modal.
- Fixed Email Optin custom checkbox text color not reflecting on the front end.
- Updated background options to no longer use deprecated internal visibility dependency settings.
- Fixed menu module not centered with inline svg logo.
- Improved user experience by showing disabled modules only if Theme Builder Area is active.
- Fixed issue with clearing page layout in Theme Builder.
- Fixed issue with Library Modal size when it is chooses from Page Creation Cards.
- Fixed duplicate CSS being added to the late detected Dynamic CSS file.
- Added filter for style handle in et_core_replace_enqueued_style() so it can be replaced by 3rd party plugins if needed.
- Added minimum WordPress version to Support Center's full report.
	* core/admin/css/core.css
	* core/admin/fonts/builder.eot
	* core/admin/fonts/builder.svg
	* core/admin/fonts/builder.ttf
	* core/admin/fonts/builder.woff
	* core/admin/fonts/fontawesome/fa-brands-400.eot
	* core/admin/fonts/fontawesome/fa-brands-400.svg
	* core/admin/fonts/fontawesome/fa-brands-400.ttf
	* core/admin/fonts/fontawesome/fa-brands-400.woff
	* core/admin/fonts/fontawesome/fa-brands-400.woff2
	* core/admin/fonts/fontawesome/fa-regular-400.eot
	* core/admin/fonts/fontawesome/fa-regular-400.svg
	* core/admin/fonts/fontawesome/fa-regular-400.ttf
	* core/admin/fonts/fontawesome/fa-regular-400.woff
	* core/admin/fonts/fontawesome/fa-regular-400.woff2
	* core/admin/fonts/fontawesome/fa-solid-900.eot
	* core/admin/fonts/fontawesome/fa-solid-900.svg
	* core/admin/fonts/fontawesome/fa-solid-900.ttf
	* core/admin/fonts/fontawesome/fa-solid-900.woff
	* core/admin/fonts/fontawesome/fa-solid-900.woff2
	* core/components/PageResource.php
	* core/components/SupportCenter.php
	* core/functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/feature/ajax-data/AjaxData.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/global-presets/History.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/feature/icon-manager/ExtendedFontIcons.php
	* includes/builder/feature/icon-manager/full_icons_list.json
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/functions.php
	* includes/builder/module/Accordion.php
	* includes/builder/module/AccordionItem.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/FilterablePortfolio.php
	* includes/builder/module/FullwidthImage.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Icon.php
	* includes/builder/module/Image.php
	* includes/builder/module/Login.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/Shop.php
	* includes/builder/module/Signup.php
	* includes/builder/module/SocialMediaFollow.php
	* includes/builder/module/SocialMediaFollowItem.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/Toggle.php
	* includes/builder/module/Video.php
	* includes/builder/module/VideoSlider.php
	* includes/builder/module/VideoSliderItem.php
	* includes/builder/module/field/DisplayConditions.php
	* includes/builder/module/field/MarginPadding.php
	* includes/builder/module/helpers/Background.php
	* includes/builder/module/helpers/Overlay.php
	* includes/builder/module/helpers/StyleProcessor.php
	* includes/builder/module/settings/Migration.php
	* includes/builder/module/settings/migration/IconManager.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Upsells.php
	* includes/builder/plugin-compat/popup-maker.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/stores/window.js
	* includes/builder/scripts/utils/utils.js

version 4.12.1 ( updated 11-01-2021 )
- Fixes error when using layers view inside theme builder while editing a body layout.
- Fixed issue with Library Layouts not loading when the website uses theme builder and Library Modal is accessed from Page Creation Cards.
- Fixed error on pages that use only the Body Layout with no Header, Footer, or Post Content Module.
- Fixed styles not clearing in the Visual Builder due to the front end CSS file being mistakenly loaded when no Theme Builder templates were used on the page.
	* includes/builder/feature/CriticalCSS.php
	* includes/builder/feature/DoNotCachePage.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/module/woocommerce/Images.php

version 4.12 ( updated 10-28-2021 )
- Introduced Full Site Front-End Editing for Divi, allowing you to easily jump into your custom headers, footers and post templates while browsing your website and edit them in the Visual Builder.
- Security Update: Fixed an incompatibility with User Role Editor plugins, specifically with the removal of the "edit page" capability. The Divi Builder attempted to check for "edit page" capability on save, but instead checked for "edit post" capability due to a bug in its post type check. As a result, if you used a Role Editor Plugin to remove the "edit page" capability from the Editor role (or another role with both "edit post" and "edit page" capabilities), but did not remove the "edit post" capability for that same role, the Editor would still be able to edit pages using a custom request.
- Fixed Post Slider and Fullwidth Post Slider Modules' swipe to change slides on mobile not working.
- Fixed shortcode tracking.
- Fixed compatibility w/ Yith WooCommerce Badge Management plugin.
- Fixed image toggle issue for the variable product in Woo Images module.
- Fixed issue with sort by latest in Shop module.
- Fixed search form HTML showing on the front end when disabled from the customizer.
	* et-pagebuilder/et-pagebuilder.php
	* header.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-settings.php
	* includes/builder/core.php
	* includes/builder/feature/DoNotCachePage.php
	* includes/builder/feature/dynamic-assets/assets/js/salvattore.js
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/init.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/frontend-builder/view.php
	* includes/builder/functions.php
	* includes/builder/module/Shop.php
	* includes/builder/module/woocommerce/Images.php
	* includes/builder/scripts/frontend/scripts-dynamic.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/src/builder.js
	* theme-header.php

version 4.11.4 ( updated 10-22-2021 )
- Fixed Display Condition's Post Category and Category Page conditions to exclude "Product Tag" taxonomy from their list.
- Fixed a compatibility issue with 3rd Party module Divi Filterable Blog Module.
- Fixed WP Rocket compatibility affecting certain modules' animations.
- Fixed laggy issue in Visual builder.
- Fixed responsive and hover mode value not inheriting desktop mode value after value reset.
- Fixed hover background image transitions not working.
- Fixed an issue with Responsive Views where a left- or right-snapped Settings modal could cause an incomplete View Mode transition.
- Fixed Author, Post Type and Dynamic Posts display conditions so it would work with WooCommerce shop page.
- Fixed Sendinblue V3 api not fetching all the lists.
	* core/components/PageResource.php
	* core/components/api/email/SendinBlue.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/CriticalCSS.php
	* includes/builder/feature/ajax-data/AjaxData.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/module/field/display-conditions/Author.php
	* includes/builder/module/field/display-conditions/DynamicPosts.php
	* includes/builder/module/field/display-conditions/PostType.php
	* includes/builder/module/helpers/HoverOptions.php
	* includes/builder/plugin-compat/divi-filterable-blog-module.php

version 4.11.3 ( updated 10-15-2021 )
- Fixed a bug that could break the last published Post Header styles.
- Fixed Magnific Popup not working with gallery shortcode in child themes in certain cases.
- Fixed a bug with text alignment not working in the Blog module's grid layout.
- Fixed missing icon styles and missing popup styles on custom post types when Dynamic CSS was disabled.
- Fixed an incompatibility issue related to Defer jQuery optimization and some Mailchimp scripts.
- Fixed issue with gutter styles when 3rd party plugins inject Divi shortcodes.
- Fixed "Author", "Dynamic Posts", "Post Type" and "Search Results" Display Conditions so they would only run on related queries.
- Fixed issue that caused slowness or crashing of the visual builder on very large layouts.
- Added a new 'et_deferred_styles_rel' hook to allow changing the rel attribute for deferred styles.
- Fixed a bug with fold and flip animations that was introduced in Firefox 93 due to a change in how the perspective function works.
- Fixed cache not being removed when theme builder templates are being reset.
- Fixed issue with auto blogging plugins not rendering styles for theme builder layouts.
- Fixed "Author", "Dynamic Posts", "Post Type" and "Search Results" Display Conditions so they would only run on related queries.
- Fixed styles are not being applied on the FE after updating a layout/ global module.
- Fixed missing cloud tag widget styles.
- Fixed sidebar separator being in the wrong place on regular pages if all widgets are removed.
	* core/components/PageResource.php
	* includes/builder/class-et-builder-module-use-detection.php
	* includes/builder/compat/scripts.php
	* includes/builder/feature/CriticalCSS.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/module/field/display-conditions/Author.php
	* includes/builder/module/field/display-conditions/DynamicPosts.php
	* includes/builder/module/field/display-conditions/PostType.php
	* includes/builder/module/field/display-conditions/SearchResults.php
	* includes/functions/dynamic-assets.php

version 4.11.2 ( updated 10-07-2021 )
- Fixed incorrect parent module attributes assigned on some 3rd-party modules.
- Fixed an issue with WooCommerce rating where the stars were duplicated in the comment form in Firefox.
- Fixed issue with Google Fonts performance improvement not utilizing its internal cache as intended and resulting in extra HTTP calls on each page load.
- Fixed Theme Builder styles missing in password protected pages.
- Fixed Fullwidth Slider Module's swipe to change slides on mobile not working.
- Fixed Social Media Follow Module's icons not showing up when used in a Post Slider Module when Dynamic Icons is enabled.
- Fixed incompatibility between Defer jQuery feature and some third party scripts.
- Fixed an issue where scrolling didn't work in Theme Builder Wireframe View when Smooth Scroll was enabled.
	* includes/builder/compat/scripts.php
	* includes/builder/class-et-builder-module-use-detection.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/class-et-builder-google-fonts-feature.php
	* includes/builder/frontend-builder/bundle.js
	* js/src/smoothscroll.js

version 4.11.1 ( updated 10-01-2021 )
- Fixed Blog, Post Slider and Fullwidth Post Slider modules preview with the sticky posts in Visual Builder.
- Fixed a bug where the Builder would not render responsive view settings for Custom CSS fields if those fields did not also have a primary/desktop value.
- Fixed issue that caused the get_field function of Advanced Custom Fields plugin to not work properly.
- Fixed an error that could happen when using WP Fastest Cache in combination with other plugins.
- Fixed a position issue with elements that have parallax background and static position.
- Introduces parentModuleSettings attribute contains parent module attributes values on custom field component.
- Fixed "Category Page" and "Tag Page" Display Conditions not working correctly on archive pages.
- Fixed broken sidebar on posts that used the Divi builder and the Sidebar Left/Right post template.
	* core/ui/utils/utils.js
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/feature/DoNotCachePage.php
	* includes/builder/feature/ajax-data/AjaxData.php
	* includes/builder/feature/content-retriever/ContentRetriever.php
	* includes/builder/feature/content-retriever/retrievers/PageContentRetriever.php
	* includes/builder/feature/display-conditions/DisplayConditions.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/Blog.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/field/DisplayConditions.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/field/display-conditions/Author.php
	* includes/builder/module/field/display-conditions/Browser.php
	* includes/builder/module/field/display-conditions/CartContents.php
	* includes/builder/module/field/display-conditions/Categories.php
	* includes/builder/module/field/display-conditions/CategoryPage.php
	* includes/builder/module/field/display-conditions/Cookie.php
	* includes/builder/module/field/display-conditions/DateArchive.php
	* includes/builder/module/field/display-conditions/DateTime.php
	* includes/builder/module/field/display-conditions/DynamicPosts.php
	* includes/builder/module/field/display-conditions/LoggedInStatus.php
	* includes/builder/module/field/display-conditions/NumberOfViews.php
	* includes/builder/module/field/display-conditions/OperatingSystem.php
	* includes/builder/module/field/display-conditions/PageVisit.php
	* includes/builder/module/field/display-conditions/PostType.php
	* includes/builder/module/field/display-conditions/ProductPurchase.php
	* includes/builder/module/field/display-conditions/SearchResults.php
	* includes/builder/module/field/display-conditions/TagPage.php
	* includes/builder/module/field/display-conditions/Tags.php
	* includes/builder/module/field/display-conditions/UserRole.php
	* includes/builder/plugin-compat/advanced-custom-fields.php
	* includes/builder/plugin-compat/sg-cachepress.php
	* includes/functions/dynamic-assets.php

version 4.11 ( updated 09-30-2021 )
- Introduced new Divi Condition Options feature.
- Fixed removed Global Color swatch rendering in Settings Modal.
- Introduced a filter for module class lists in the shortcode manager to be used by 3rd party developers.
- Introduces modified module attributes as new argument for et_builder_blog_query filter of Blog module.
- Fixed SiteGround Optimizer compatibility issue.
- Introduced new parameters for global assets et_global_assets_list and et_late_global_assets_list filters.
- Fixed shortcode rendering when called from inside element attribute and theme builder template.
- Added compatibility code for CDNs and several Caching Plugins.
- Fixed error during import of layouts with presets from the Divi Library page.
- Removed Required field option from Custom Fields settings modal when GetResponse provider is used.
- Fixed bug with importing Google API settings through theme options portability.
- Fixed an issue with the "Slide In" header style where the icon styles were missing.
- Fixed an issue in the Theme Customizer where the footer widgets were always active which resulted in empty space being shown.
	* core/components/PageResource.php
	* core/components/Portability.php
	* core/components/api/email/Fields.php
	* core/functions.php
	* core/ui/utils/utils.js
	* functions.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/core.php
	* includes/builder/feature/DoNotCachePage.php
	* includes/builder/feature/ajax-data/AjaxData.php
	* includes/builder/feature/content-retriever/ContentRetriever.php
	* includes/builder/feature/content-retriever/retrievers/PageContentRetriever.php
	* includes/builder/feature/display-conditions/DisplayConditions.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/i18n/display-conditions.php
	* includes/builder/module/Blog.php
	* includes/builder/module/field/DisplayConditions.php
	* includes/builder/module/field/display-conditions/Author.php
	* includes/builder/module/field/display-conditions/Browser.php
	* includes/builder/module/field/display-conditions/CartContents.php
	* includes/builder/module/field/display-conditions/Categories.php
	* includes/builder/module/field/display-conditions/CategoryPage.php
	* includes/builder/module/field/display-conditions/Cookie.php
	* includes/builder/module/field/display-conditions/DateArchive.php
	* includes/builder/module/field/display-conditions/DateTime.php
	* includes/builder/module/field/display-conditions/DynamicPosts.php
	* includes/builder/module/field/display-conditions/LoggedInStatus.php
	* includes/builder/module/field/display-conditions/NumberOfViews.php
	* includes/builder/module/field/display-conditions/OperatingSystem.php
	* includes/builder/module/field/display-conditions/PageVisit.php
	* includes/builder/module/field/display-conditions/PostType.php
	* includes/builder/module/field/display-conditions/ProductPurchase.php
	* includes/builder/module/field/display-conditions/SearchResults.php
	* includes/builder/module/field/display-conditions/TagPage.php
	* includes/builder/module/field/display-conditions/Tags.php
	* includes/builder/module/field/display-conditions/UserRole.php
	* includes/builder/module/woocommerce/Gallery.php
	* includes/builder/plugin-compat/advanced-custom-fields.php
	* includes/builder/plugin-compat/kvcore-idx.php
	* includes/builder/plugin-compat/nex-forms-express-wp-form-builder.php
	* includes/builder/plugin-compat/sg-cachepress.php
	* includes/builder/plugin-compat/woo-paypalplus.php
	* includes/builder/plugin-compat/wp3d-models.php
	* includes/functions/dynamic-assets.php

version 4.10.8 ( updated 09-20-2021 )
- Fixed blog module media post type does not load any content.
- Fixed mobile menu does not showing when section or row settings has border radius.
- Enabled waypoint transitions effect for responsive images switch on hover and window resize event.
- Fixed some font icons were not rendered properly on the frontend.
- Fixed image upload control icons being visible still even after image upload modal was closed.
- Fixed Dynamic CSS files not be enqueued when the Divi Theme name was changed in the style.css file.
- Fixed an issue with the Blurb module where the wrong display set was set when the image/icon position was set to top.
- Introduced et_builder_disable_jquery_body that can be used (as an HTML comment, ID, class, etc.) along with the script in cases where the script conflicts with Enqueue jQuery Compatibility Script.
- Fixed incompatibility issues related to Defer jQuery optimization and some WP Plugins.
- Fixed JS errors when using slick.js with Defer jQuery options enabled.
- Fixed gutter and grid styles issues on late detection.
- Fixed Gallery Image placeholder not shown in TB mode.
- Fixed dynamic CSS styles not working correctly when previewing a page.
- Fixed gutter width 1 margin styles not working correctly on custom taxonomies when viewing on tablet or below.
- Fixed some default preset attributes not working properly.
- Fixed Dynamic Assets not working correctly when the Divi Builder Plugin was used with a parent Theme and Child Theme.
- Fixed a bug that caused Google Fonts to not be retrieved from the fonts cache.
- Fixed blog module media post type image not displaying.
- Introduced a new 'et_core_static_file_created' action hook that fires when a page resource (css/js) is created.
- Fixed Export of the layouts with Global Colors from the Library.
- Fixed product category CSS not being cleared correctly when saving a Theme Builder layout.
- Fixed an issue with the Theme Customizer footer widget heading styles not applying on the new widget blocks.
	* core/components/PageResource.php
	* core/components/Portability.php
	* epanel/custom_functions.php
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/compat/scripts.php
	* includes/builder/core.php
	* includes/builder/feature/CriticalCSS.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/Blog.php
	* includes/builder/module/woocommerce/Gallery.php
	* includes/builder/plugin-compat/kvcore-idx.php
	* includes/builder/plugin-compat/nex-forms-express-wp-form-builder.php
	* includes/builder/plugin-compat/woo-paypalplus.php
	* includes/builder/plugin-compat/wp3d-models.php
	* includes/builder/scripts/frontend/global-functions.js
	* includes/builder/scripts/frontend/scripts.js
	* js/src/theme-customizer.js

version 4.10.7 ( updated 09-09-2021 )
- Fixed local library update in Visual Builder after saving Global Module.
- Fixed Global Colors rendering for child modules in Visual Builder.
- Fixed bug with the Text Align option for tablets and phones in Menu Module.
- Fixed image border styles inside the post content module not applying correctly.
- Fixed a bug introduced in Chrome 93 that affected flip animations with all directions but center.
- Fixed an issue with the Fullwidth Portfolio module where the image border styles didn't work correctly due to missing default style for borders.
- Fixed missing styles when using Mod PageSpeed.
- Fixed issue with styles from theme builder layouts not taking affect in certain cases.
	* includes/builder/class-et-builder-post-feature-base.php
	* includes/builder/conditions.php
	* includes/builder/core.php
	* includes/builder/feature/CriticalCSS.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/field/Border.php
	* includes/builder/module/type/PostContent.php
	* includes/builder/plugin-compat/final-tiles-grid-gallery-lite.php
	* includes/builder/plugin-compat/gravityformssignature.php
	* includes/builder/plugin-compat/m-chart.php
	* includes/builder/plugin-compat/modern-events-calendar-lite.php

version 4.10.6 ( updated 09-02-2021 )
- Fixed the logic to check if a module is inside of a sticky module.
- Fixed Dynamic CSS and Style.css no being wrapped correctly on custom post type archive pages.
- Fixed a case where Critical CSS could end being printed in the wrong position.
- Reduced feature manger post meta cache footprint.
- Fixed a bug where the Email Optin module subscribe loader couldn't be loaded due to the wrong path being set.
- Fixed Padding and Margin values from presets applying issues in some cases.
- Fixed Shop module default sorting selection in Order menu.
- Fixed white header background color being applied to the Extra header when Dynamic CSS was enabled.
- Fixed broken gallery widget styles when using Dynamic CSS.
- Fixed compatiblity issue with Image Photo Gallery Final Tiles Grid Plugin.
- Fixed broken WooCommerce gallery module styles when the module layout was set to grid mode.
- Fixed missing icon padding in the menu module.
- Fixed incompatibilty with Modern Events Calendar Lite Plugin.
- Fixed incompatibility with M Chart Plugin.
- Fixed an issue with the Woo Gallery module where the Magnific Popup styles were not included on custom post types.
- Fixed the margin value of the last module in a column when the parent row uses a custom gutter width.
- Fixed SVGs not being the right size on the front-end when used in Image or Blurb module.
- Fixed an issue with Gravity Forms Signature Add-On.
- Fixed broken Theme Builder styles on custom post type taxonomies due to cached CSS that wasn't being cleared correctly.
	* core/components/PageResource.php
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-post-feature-base.php
	* includes/builder/compat/scripts.php
	* includes/builder/core.php
	* includes/builder/feature/JQueryBody.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/Shop.php
	* includes/builder/module/field/Overflow.php
	* includes/builder/module/helpers/StickyOptions.php
	* includes/builder/plugin-compat/final-tiles-grid-gallery-lite.php
	* includes/builder/plugin-compat/gravityformssignature.php
	* includes/builder/plugin-compat/jucra-acf-google-maps-for-divi.php
	* includes/builder/plugin-compat/m-chart.php
	* includes/builder/plugin-compat/modern-events-calendar-lite.php
	* includes/builder/plugin-compat/the-events-calendar.php
	* includes/functions/dynamic-assets.php

version 4.10.5 ( updated 08-27-2021 )
- Fixed issue with "Use Theme Styles" option in GB editor Preference settings not disabling styles in editor.
- Fixed scroll to section anchor position when css positioning is fixed for multiple sections.
- Addressed Defer jQuery optimization breaking some Plugins and online services.
- Fixed broken icon font when et-pb-icon class was used in custom HTML post content.
- Fixed some cases where the wrong Gutter styles would be applied.
- Fixed a bug that could cause Custom Page CSS to have higher priority than Builder CSS.
- Fixed broken gutter widths on pages that had invalid gutter width values of "0" stored in the shortcode.
- Fixed Search, Calendar, and Tag Cloud block based widget style issues.
- Addressed incompatibility issue with OptimizePress plugin and jQuery optimizations.
- Fixed a PHP warning that may occur in some cases where Global Presets is an array instead of an object.
- Fixed a PHP notice that may occur when exporting layouts.
- Fixed header not being full-width when set to position: fixed.
- Fixed Search, Calendar, and Tag Cloud block based widget style issues.
- Fixed unwanted comment list bullet points on posts using a theme builder body template.
- Dequeued the main stylesheet instead of just deregistering it.
	* core/components/Portability.php
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/compat/early.php
	* includes/builder/compat/scripts.php
	* includes/builder/feature/JQueryBody.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/feature/gutenberg/EditorTypography.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/plugin-compat/jucra-acf-google-maps-for-divi.php
	* includes/builder/plugin-compat/the-events-calendar.php
	* includes/builder/scripts/frontend/global-functions.js
	* includes/functions/dynamic-assets.php

version 4.10.4 ( updated 08-23-2021 )
- Fixed incorrect video slider height.
- Fixed broken WooCommerce gallery shortcode lightbox styles.
- Fixed inner rows in specialty sections not inheriting parent gutter width value.
- Fixed broken blog module grid columns in the Divi Builder plugin.
- Fixed "Defer jQuery And jQuery Migrate" feature sometimes breaking Integration Code.
- Fixed broken Divi Theme Header and Divi Theme Footer RTL styles.
	* includes/builder/compat/early.php
	* includes/builder/feature/JQueryBody.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/functions/dynamic-assets.php

version 4.10.3 ( updated 08-20-2021 )
- Fixed broken search and cart icon styles in the fullwidth menu module.
- Fixed conflict with Absolutely Glamorous Custom Admin plugin.
- Fixed some latest JS optimization being incompable with certain Popular Caching Plugin.
- Fixed filters not working on hover state and mobile.
- Fixed issue with renamed CTA.php file being duplicated in some cases.
- Fixed a php warning related to preset attributes.
	* core/functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/compat/early.php
	* includes/builder/feature/JQueryBody.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/Cta.php

version 4.10.2 ( updated 08-19-2021 )
- Fixed broken header and footer styles on custom post types such as WooCommerce products.
- Fixed some columns not extending full width on mobile breakpoint.
- Fixed Google recaptcha badge visibility.
- Fixed width property not being computed on FE if it's set to 100%.
- Fixed missing text overlay styles in the slider module.
- Introduces new filter to allow 3rd-party developers filter global assets on late processing.
- Fixed dynamic icon's default value when 3p modules are present.
- Fixed a minor PHP warning appearing on front end pages when no builder presets were available.
- Fixed broken module styles on custom post types when using the Divi Builder Plugin with Dynamic CSS.
- Fixed incorrect text transformations being applied to Code Modules.
- Fixed an error that could happen when using SiteGround Plugin JS Combine feature.
- Fixed error on heartbeat ajax call due to extension registers custom module which extends official module which ends up requiring function and class in unexpected call.
- Fixed broken builder due to class-et-builder-element.php is not loaded by autoload when it is needed; Mostly when third party module is called in unexpected location.
- Fixed styles that were missing for the standard WordPress gallery shortcode.
- Fixed child theme styles not being enqueued correctly in some cases.
	* core/functions.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/compat/early.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/Code.php
	* includes/builder/module/FullwidthCode.php

version 4.10.1 ( updated 08-18-2021 )
- Fixes PHP errors on save occurring with some 3rd Party Divi Extensions.
- Fixed woff2 fonts not being used in favor of ttf fonts.
- Fixed responsive text alignment options not working.
- Fixes issue with 3rd Part Divi Extensions not loading in some cases.
- Fixed JavaScript error when motion effects was used in some cases.
- Fixed the cart icon not being clickable in the main navigation bar.
- Fixed issue where the Main Navigation was duplicated if the primary menu bar background is transparent.
	* core/components/PageResource.php
	* core/components/Portability.php
	* core/components/VersionRollback.php
	* core/functions.php
	* includes/builder/api/DiviExtension.php
	* includes/builder/class-et-builder-dynamic-assets-feature.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-global-feature-base.php
	* includes/builder/class-et-builder-google-fonts-feature.php
	* includes/builder/class-et-builder-module-features.php
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/class-et-builder-module-use-detection.php
	* includes/builder/class-et-builder-post-feature-base.php
	* includes/builder/class-et-builder-theme-compat-base.php
	* includes/builder/class-et-builder-theme-compat-handler.php
	* includes/builder/conditions.php
	* includes/builder/feature/CriticalCSS.php
	* includes/builder/feature/JQueryBody.php
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/feature/global-presets/History.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/field/BoxShadow.php
	* includes/builder/module/field/MarginPadding.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/field/TextShadow.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/plugin-compat/ds-divi-rocket.php
	* includes/builder/plugin-compat/easy-digital-downloads.php
	* includes/builder/theme-compat/divi-chef.php

version 4.10 ( updated 08-18-2021 )
- Added new performance features that speed up Divi from every angle and eliminate bloat.
- Fixed an issue that was causing errors on VB while parsing Google Fonts data from cache.
	* 404.php
	* CREDITS.md
	* comments.php
	* core/admin/css/core.css
	* core/admin/fonts/modules/all/modules.eot
	* core/admin/fonts/modules/all/modules.svg
	* core/admin/fonts/modules/all/modules.ttf
	* core/admin/fonts/modules/all/modules.woff
	* core/admin/fonts/modules/base/modules.eot
	* core/admin/fonts/modules/base/modules.svg
	* core/admin/fonts/modules/base/modules.ttf
	* core/admin/fonts/modules/base/modules.woff
	* core/admin/fonts/modules/social/modules.eot
	* core/admin/fonts/modules/social/modules.svg
	* core/admin/fonts/modules/social/modules.ttf
	* core/admin/fonts/modules/social/modules.woff
	* core/admin/js/page-resource-fallback.js
	* core/components/PageResource.php
	* core/components/SupportCenter.php
	* core/components/VersionRollback.php
	* core/components/init.php
	* core/functions.php
	* epanel/css/panel.css
	* epanel/custom_functions.php
	* epanel/js/functions-init.js
	* epanel/shortcodes/shortcodes.php
	* footer.php
	* functions.php
	* header.php
	* includes/builder/api/DiviExtension.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-dynamic-assets-feature.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-global-feature-base.php
	* includes/builder/class-et-builder-google-fonts-feature.php
	* includes/builder/class-et-builder-module-features.php
	* includes/builder/class-et-builder-module-shortcode-manager.php
	* includes/builder/class-et-builder-module-use-detection.php
	* includes/builder/class-et-builder-post-feature-base.php
	* includes/builder/class-et-builder-theme-compat-base.php
	* includes/builder/class-et-builder-theme-compat-handler.php
	* includes/builder/comments_template.php
	* includes/builder/conditions.php
	* includes/builder/core.php
	* includes/builder/feature/CriticalCSS.php
	* includes/builder/feature/JQueryBody.php
	* includes/builder/feature/dynamic-assets/assets/js/animations.js
	* includes/builder/feature/dynamic-assets/assets/js/audio.js
	* includes/builder/feature/dynamic-assets/assets/js/circle_counter.js
	* includes/builder/feature/dynamic-assets/assets/js/comments.js
	* includes/builder/feature/dynamic-assets/assets/js/countdown_timer.js
	* includes/builder/feature/dynamic-assets/assets/js/easypiechart.js
	* includes/builder/feature/dynamic-assets/assets/js/filterable_portfolio.js
	* includes/builder/feature/dynamic-assets/assets/js/fitvids.js
	* includes/builder/feature/dynamic-assets/assets/js/fitvids_slider_fullscreen_init.js
	* includes/builder/feature/dynamic-assets/assets/js/gallery.js
	* includes/builder/feature/dynamic-assets/assets/js/hash.js
	* includes/builder/feature/dynamic-assets/assets/js/hashchange.js
	* includes/builder/feature/dynamic-assets/assets/js/jquery.fitvids.js
	* includes/builder/feature/dynamic-assets/assets/js/jquery.mobile.js
	* includes/builder/feature/dynamic-assets/assets/js/jquery_mobile_custom.js
	* includes/builder/feature/dynamic-assets/assets/js/lightbox_image.js
	* includes/builder/feature/dynamic-assets/assets/js/link_options.js
	* includes/builder/feature/dynamic-assets/assets/js/magnific-popup.js
	* includes/builder/feature/dynamic-assets/assets/js/map.js
	* includes/builder/feature/dynamic-assets/assets/js/menu.js
	* includes/builder/feature/dynamic-assets/assets/js/number_counter.js
	* includes/builder/feature/dynamic-assets/assets/js/parallax.js
	* includes/builder/feature/dynamic-assets/assets/js/salvattore.js
	* includes/builder/feature/dynamic-assets/assets/js/search.js
	* includes/builder/feature/dynamic-assets/assets/js/set_fullwidth_portfolio_columns.js
	* includes/builder/feature/dynamic-assets/assets/js/shop_add_hover_class.js
	* includes/builder/feature/dynamic-assets/assets/js/slider.js
	* includes/builder/feature/dynamic-assets/assets/js/src/motion-effects.js
	* includes/builder/feature/dynamic-assets/assets/js/src/sticky-element.js
	* includes/builder/feature/dynamic-assets/assets/js/src/sticky-elements.js
	* includes/builder/feature/dynamic-assets/assets/js/submit_newsletter.js
	* includes/builder/feature/dynamic-assets/assets/js/tabs_init.js
	* includes/builder/feature/dynamic-assets/assets/js/video_section.js
	* includes/builder/feature/dynamic-assets/assets/js/woo_attribute_fields_in_span.js
	* includes/builder/feature/dynamic-assets/assets/js/woo_star_rating.js
	* includes/builder/feature/dynamic-assets/class-dynamic-assets.php
	* includes/builder/feature/dynamic-assets/dynamic-assets.php
	* includes/builder/feature/global-presets/History.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/frontend-footer-template.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/functions.php
	* includes/builder/languages/en_US.po
	* includes/builder/languages/et_builder-en_US-et-builder-gutenberg.po
	* includes/builder/main-modules.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Accordion.php
	* includes/builder/module/AccordionItem.php
	* includes/builder/module/Audio.php
	* includes/builder/module/BarCounters.php
	* includes/builder/module/BarCountersItem.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/Button.php
	* includes/builder/module/CTA.php
	* includes/builder/module/CircleCounter.php
	* includes/builder/module/Code.php
	* includes/builder/module/Comments.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/CountdownTimer.php
	* includes/builder/module/Divider.php
	* includes/builder/module/FilterablePortfolio.php
	* includes/builder/module/FullwidthCode.php
	* includes/builder/module/FullwidthHeader.php
	* includes/builder/module/FullwidthImage.php
	* includes/builder/module/FullwidthMap.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/FullwidthPostContent.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/FullwidthPostTitle.php
	* includes/builder/module/FullwidthSlider.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Image.php
	* includes/builder/module/Login.php
	* includes/builder/module/Map.php
	* includes/builder/module/MapItem.php
	* includes/builder/module/Menu.php
	* includes/builder/module/NumberCounter.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/PostContent.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/PostTitle.php
	* includes/builder/module/PostsNavigation.php
	* includes/builder/module/PricingTables.php
	* includes/builder/module/PricingTablesItem.php
	* includes/builder/module/Search.php
	* includes/builder/module/Shop.php
	* includes/builder/module/Sidebar.php
	* includes/builder/module/Signup.php
	* includes/builder/module/Slider.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/SocialMediaFollow.php
	* includes/builder/module/SocialMediaFollowItem.php
	* includes/builder/module/Tabs.php
	* includes/builder/module/TabsItem.php
	* includes/builder/module/TeamMember.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/Text.php
	* includes/builder/module/Toggle.php
	* includes/builder/module/Video.php
	* includes/builder/module/VideoSlider.php
	* includes/builder/module/VideoSliderItem.php
	* includes/builder/module/field/Border.php
	* includes/builder/module/field/BoxShadow.php
	* includes/builder/module/field/MarginPadding.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/field/TextShadow.php
	* includes/builder/module/field/Transform.php
	* includes/builder/module/helpers/HoverOptions.php
	* includes/builder/module/helpers/Media.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/module/helpers/OptionTemplate.php
	* includes/builder/module/helpers/ResponsiveOptions.php
	* includes/builder/module/helpers/StickyOptions.php
	* includes/builder/module/helpers/TransitionOptions.php
	* includes/builder/module/helpers/WoocommerceModules.php
	* includes/builder/module/helpers/motion/Motions.php
	* includes/builder/module/type/PostContent.php
	* includes/builder/module/woocommerce/Gallery.php
	* includes/builder/module/woocommerce/Reviews.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/plugin-compat/ds-divi-rocket.php
	* includes/builder/scripts/frontend/scripts-dynamic.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/theme-compat/divi-chef.php
	* includes/functions/dynamic-assets.php
	* includes/functions/sidebars.php
	* includes/no-results.php
	* includes/social_icons.php
	* includes/widgets/widget-about.php
	* includes/widgets/widget-ads.php
	* includes/widgets/widget-adsense.php
	* index.php
	* js/src/custom-dynamic.js
	* js/src/custom.js
	* js/src/custom.unified.js
	* js/src/dynamic-assets/fullscreen_header.js
	* js/src/dynamic-assets/slide_in_header.js
	* js/src/dynamic-assets/split_header.js
	* js/src/scripts-dynamic.js
	* js/src/scripts-static.js
	* js/src/scripts.js
	* lang/en_US.po
	* options_divi.php
	* page-template-blank.php
	* page.php
	* sidebar-footer.php
	* sidebar.php
	* single-et_pb_layout.php
	* single-project.php
	* single.php
	* theme-after-footer.php
	* theme-after-wrappers.php
	* theme-footer.php
	* theme-header.php
	* webpack.config.js
	* webpack.production.config.js

version 4.9.11 ( updated 08-11-2021 )
- Fixed broken widget styles after WordPress 5.8 update.
- Fixed an issue with Google Fonts sync where when there was an error in the API response (ex: invalid API Key) the sync would be attempted on each page load instead of once every 24 hours.
- The setting of the video backgrounds In the Bar Counters module was fixed on VB.
- Improved Global Colors performance.
- Fixed Global Colors usage in presets.
- Fixed fatal error when a post contains post excerpt dynamic content.
- Fixes the "Invalid argument supplied for foreach()" warning.
- Fixed a bug where conditional logic would return an error when the conditional value used the double-quote character.
- Fixed fatal error on Extra theme when users open new Widget Block Editor.
- Fixed theme settings color palette on Firefox.
	* core/components/Portability.php
	* epanel/css/panel.css
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/module/ContactFormItem.php
	* includes/builder/scripts/src/builder.js

version 4.9.10 ( updated 07-19-2021 )
- Improved custom widget area feature on Widget page to adapt new Widget Block Editor.
- Fixed builder crash when extending styles of child modules that were newly created.
- Fixed the post excerpt return empty when the posts on the Query Loop block use Divi Builder layout.
- Fixed global colors tab showing error after updating react package.
	* core/components/VersionRollback.php
	* includes/builder/class-et-builder-settings.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/scripts/ext/widgets.js
	* includes/builder/scripts/src/builder.js

version 4.9.9 ( updated 07-14-2021 )
- Fixed error regarding ET_Builder_Element not being found.
	* includes/builder/feature/gutenberg/blocks/Layout.php

version 4.9.8 ( updated 07-14-2021 )
- Fixed default Shop module overlay icon not displaying on the frontend.
- Fixed the post excerpt return empty when the posts on the Query Loop block use Divi Builder layout.
- Fixed broken Divi Layout block preview when Template Editor is active.
- Fixed issue with Theme Builder layouts not working when posts or pages use custom block templates.
- Fix a bug in the Contact Form module that made it possible to submit the form with invalid form data triggering an email to be sent (spam).
- Added support for some option group to be displayed under sub toggle system on module settings modal.
- Fixed error in the browser console"Invalid attempt to spread non-iterable instance"  when motion effect for a module is enabled.
- Fixed an issue with the current window mode (device) detection in JavaScript.
- Fixed a compatibility issue with the Imagify plugin where logo images may appear distorted in some cases.
- Fixed JS Error printed in the browser console after moving a module.
- Fixed a PHP notice that may occur in some cases when importing layouts that contain modules without content.
- Fixed a Portability bug where images from Gallary modules would not be included in the .json export file in some cases.
- Add Lazy Loading support for webp image format on Divi Builder modules.
- Fixed an error in the sortable list component that occurred when a string couldn't be parsed as JSON.
- Fixed a bug with the Imagify plugin where the wrong element was used to retrieve the image src.
	* core/components/Portability.php
	* core/functions.php
	* core/ui/utils/utils.js
	* epanel/custom_functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/BlockTemplates.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/ContactForm.php
	* includes/builder/module/field/Border.php
	* includes/builder/module/field/BoxShadow.php
	* includes/builder/module/field/MarginPadding.php
	* includes/builder/plugin-compat/imagify.php
	* includes/builder/scripts/frontend/motion-effects.js
	* includes/builder/scripts/frontend/preview.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/src/block-layout-frontend-preview.js
	* includes/builder/scripts/stores/window.js
	* includes/builder/templates/block-template-canvas.php
	* js/src/custom.js

version 4.9.7 ( updated 06-14-2021 )
- Fixed issue with builder freezing while scrolling when there is Blurb module with image in the content.
- Fixed Theme Builder templates assignments are getting duplicated after the saving.
- Fixed an issue with slide images that may appear distorted in some cases.
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php

version 4.9.6 ( updated 06-10-2021 )
- Fixed the Image Module Force Fullwidth option not working.
- Fixed a bug with the blurb content applying to the wrong selector.
- Fixed an issue where changing the Horizontal repeat setting for the section divider wasn't resetting the divider repeat.
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/Blurb.php
	* includes/builder/module/Image.php
	* includes/builder/module/field/Divider.php
	* includes/builder/scripts/utils/sticky.js

version 4.9.5 ( updated 06-09-2021 )
- Fixed group heading for Accordion module not working on the Frontend.
- Fixed issue where existing theme builder templates could unintentionally get deleted if interrupting the saving templates process.
- Fixed an issue with the Post Slider module that could cause an infinite loop when the module is used in a post.
- Added hover option for sizing the content and image on Blurb module.
- Fixed an issue with anchor links when vertical menu is present causing the links to not scroll to proper sections.
- Fixed a bug that caused the left button alignment to not work on the frontend on RTL pages.
- Fixed an issue with the Shop module where a specific overlay icon would not be rendered on the frontend.
- Fixed the animation stop working on the sticky state.
- Fixed text module's blockquote line height that's overridden by paragraph line height inherited from the module.
- Fixed extra space that is caused by WP 5.7 when post meta is not shown for the blog module.
- Fixed contact form module button background color in Divi Builder Plugin.
- Fixed issue with Accordion icon color.
- Fixed slider module content overlaps the video on mobile.
- Removed nested links for Menu module on mobile.
- Fixed accordion title heading level not working for individual accordion items.
- Fixed custom gutters breaking gallery layout.
- Fixed Body Text Size changes not reflecting in VB for Blog module with grid layout.
- Fixed an issue with the Blurb module where the blurb image animation couldn't be disabled on tablet and phone devices.
- Updated React to 16.12.0 in package.json.
- Removed auto width and height attributes from images to fix CLS ranking factor.
- Fixed an issue with the Map module where the latitude and longitude values used the wrong decimal point.
- Fixed a PHP 8 Uncaught Error: Unknown named parameter $interval.
- Introduces new class as unique identifier for categories field type on post or page settings.
- Fixed reply-to email address missing in email headers when email field is not required in contact form module.
- Fixed an issue with anchor, list, and blockquote color styles not applying correctly on the Fullwidth Post Content module.
- Fixed a PHP warning that may occur in very rare cases where the Theme Builder cannot extract the theme default head.
- Fixed an issue where the font subsets array contained an item with an empty value.
- Fixed issue causing lagging during scroll action.
- Fixed responsive content not visible in mobile devices when  having content the same with desktop mode and contains HTML special characters.
- Fixed an issue with comments not displaying on LearnDash lesson pages.
- Fixed JavaScript error Cannot read property et_slider_destroy of null that may have occurred in modules that use the et_slider_destroy() function.
- Fixed an issue where scroll to anchor will trigger scroll even when the target element is in sticky state (in view).
- Fixed compatibility warnings are not shown up on Theme Customizer.
- Fix a long standing bug that caused page styles to break when a cache plugin is used while static css file generation is enabled in the theme options.
- Fixed logo max height does not update on the front-end for phones.
- Fixed issues with layout for shop module when an RTL language is used.
- Fixed Body Link Color setting in Customizer affecting links in the Post Title module while editing in the Customizer.
- Fixed an issue with Lighthouse Best Practices "Registers an unload listener" by replacing the unload with visibilitychange.
- Fixed a CLS error by adding explicit width and height for the logo image element.
	* comments.php
	* core/admin/js/compatibility-warning.js
	* core/components/CompatibilityWarning.php
	* core/components/init.php
	* core/functions.php
	* header.php
	* includes/builder/ab-testing.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/comments_template.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/FullwidthImage.php
	* includes/builder/module/FullwidthMap.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/Image.php
	* includes/builder/module/Map.php
	* includes/builder/module/MapItem.php
	* includes/builder/module/Menu.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/Text.php
	* includes/builder/module/Toggle.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/module/type/PostContent.php
	* includes/builder/plugin-compat/relevanssi.php
	* includes/builder/scripts/frontend/global-functions.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/utils/sticky.js
	* js/src/custom.js
	* js/src/theme-customizer.js
	* theme-header.php

version 4.9.4 ( updated 04-13-2021 )
- Fixed search module custom left and right padding not working when you hide the search button.
- Fixed incorrect scrollTo behavior when the $target is sticky module that sticks to top.
- Fixed builder crash when Content Security Policy (CSP) header is enabled.
- Fixed button hover color from theme customizer affects the media library button when editing products.
- Fixed an issue with the Testimonial module where the spacing on builder and frontend were irregular.
- Added Logo Width and Height options to the Menu module.
- Fix fullwidth header image bottom alignment not working on the default layout.
- Fixed global color set on hover state overwrites normal state on save.
- Fixed incorrect posts result on the Blog module when Relevanssi Premium plugin is active.
- Fixed the color picker input shows up when Rank Math plugin is activated.
- Allow third-party extensions to access post or page setting values on builder via ET_Builder.API.
- Fixed the color picker input shows up when Rank Math plugin is activated.
- Fixed a bug where when importing a layout with global colors the colors would not be imported as global.
- Fixed the color picker input shows up when Rank Math plugin is activated.
	* core/admin/js/wp-color-picker-alpha.min.js
	* core/components/Portability.php
	* core/ui/utils/frames.js
	* core/ui/utils/utils.js
	* epanel/js/wp-color-picker-alpha.min.js
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/languages/et_builder-en_US-et-builder-gutenberg.po
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/Menu.php
	* includes/builder/plugin-compat/relevanssi-premium.php
	* includes/builder/plugin-compat/relevanssi.php
	* includes/builder/plugin-compat/wp-simple-firewall.php
	* includes/builder/scripts/ext/wp-color-picker-alpha.js
	* includes/builder/scripts/ext/wp-color-picker-alpha.min.js
	* includes/builder/scripts/utils/sticky.js

version 4.9.3 ( updated 04-01-2021 )
- Fixed inability to click into the search field in a FullwidthMenu module on small screens.
- Fixed Theme Builder not saved properly when has many templates.
- Fixed global colors confirmation dialog appears in the layers view (LV) when LV is open.
- Fixed flashing styles inherited from existing module not in viewport when creating/duplicating module.
- Introduces orderClassName property on custom module moduleInfo property to display module order class name.
- Improved JSON data retrieving method to prevent VB saving interruption.
- Fixed an issue with the VIdeo module that caused the element to still be displayed when hidden.
- Fixed issue where builder freezes when dragging padding and margin fast.
- Fixed Post Title Module comment placeholder in the Visual Builder.
- Suppressed warnings in React 16.12.0 when in development environment.
- Fixed custom padding bottom set in the module's settings dialog not working for the last contact form item.
- Fixed issue where links are not clickable on IOS when hover content is enabled.
- Fixed responsive content not being rendered on small screen devices.
- Fixed responsive content not being rendered when there is an anchor links in content.
- Fixed page jump on clicking the pagination links in Gallery.
- Improves how HTML elements can be removed or excluded from the builder via et_fb_ignore and et_fb_ignore_iframe class.
	* core/ui/utils/frames.js
	* core/ui/utils/utils.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/module/ContactFormItem.php
	* includes/builder/scripts/frontend/scripts.js
	* js/src/custom.js

version 4.9.2 ( updated 03-12-2021 )
- Fixed meta links color on the Front End not matching the Visual Builder in the Blog module when using grid layout.
- Improved logic to allow the last and only row to be moved outside specialty sections.
- Fixed copy paste styles issue on module with Global Color used.
- Fixed lost hover state global color.
- Fixed headers and footers created from Theme Builder were not respecting LearnDash focus mode.
- Fixed a compatibility issue with EWWW Image Optimizer Lazy Load which caused an issue with all modules using AJAX pagination.
- Added new fonts to the List of Google Fonts which available without API key.
	* core/components/SupportCenter.php
	* core/components/api/email/FluentCRM.php
	* core/json-data/google-fonts.json
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/module/Blog.php
	* includes/builder/plugin-compat/scripts/sfwd-lms.js
	* includes/builder/plugin-compat/sfwd-lms.php
	* includes/builder/scripts/frontend/scripts.js

version 4.9.1 ( updated 03-03-2021 )
- Fixed issue where you couldn't save a theme builder template when Yoast SEO plugin is activated.
- Fixed global colors are not updated in presets.
- Fixed new module styles inherited from existing module that not visible in viewport.
- Added wp_body_open method on the default header template.
- Introduces new way to register store on Divi Layout Block to fix deprecated registerStore method.
- Fixed fatal error after importing layout from Library modal on Divi Layout Block.
- Fixed Divi Builder button incorrect position on Gutenberg editor.
- Fixes PHP warning undefined property ID of post on FluentCRM dashboard.
- Fixed deprecated way to define Divi Layout Block controls.
- Fixed Email Optin Module's form on left not aligning correctly if there is no title.
- Fixed unwanted top offset for Settings Modal in Theme Builder and Layout Editor in GB.
- Fixed the issue when you cannot close the Layers view modal in Theme Builder.
- Fixed an issue where renaming a Template in Theme Builder was not reflecting in library.
- Fixed the issue where browser context menu didn't show inside the Code option of the Code Module.
- Fixed error printed in the browser console when copy & paste styles modules with global colors enabled.
- Fixed issue with find and replace not working on RGBA colors.
- Added support for Dynamic Content 'Manual Custom Field' outside the Theme Builder.
- Fixed a fatal error that could happen while saving a Theme Builder template when Yoast plugin was active.
- Fixed an issue with the Contact Form simple captcha field where the input field would not be cleared when a wrong result was submitted.
- Fixed docked video jumping issue when dragged to the left or top edge.
- Fixed menu module's mobile menu background color when the responsive style is enabled.
- Fixed adjusting global color change from background gradient.
- Fixed PHP Error when switching Divi Theme and Divi Builder plugin.
- Fixed various jQuery breaking changes and deprecated warnings.
- Fixed jQuery deprecated warnings on ET products.
- Fixed Email Optin module with MailPoet showing error message even when subscriber is added to the list.
- Introduces FluentCRM plugin and Email Optin module integration.
- Fixed the issue when Divi Presets and Global Colors were missing in exported layouts.
- Fixed various jQuery breaking changes and deprecated warnings.
- Fixed issue with Popup from Popup Maker plugin not displaying on mobile.
	* core/admin/js/portability.js
	* core/components/Portability.php
	* core/components/SupportCenter.php
	* core/components/VersionRollback.php
	* core/components/api/OAuthHelper.php
	* core/components/api/Service.php
	* core/components/api/email/SalesForce.php
	* core/components/init.php
	* core/functions.php
	* core/json-data/google-fonts.json
	* core/ui/utils/attribute-binder.js
	* core/ui/utils/frame-helpers.js
	* core/ui/utils/frames.js
	* core/ui/utils/utils.js
	* functions.php
	* header.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/gutenberg/EditorTypography.php
	* includes/builder/frontend-builder/assets/vendors/plugins/advlist/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/anchor/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/autolink/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/autoresize/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/autosave/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/bbcode/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/charmap/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/code/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/codesample/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/colorpicker/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/contextmenu/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/directionality/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/emoticons/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/fullpage/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/fullscreen/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/help/img/logo.png
	* includes/builder/frontend-builder/assets/vendors/plugins/help/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/hr/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/image/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/imagetools/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/importcss/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/insertdatetime/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/legacyoutput/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/link/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/lists/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/media/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/nonbreaking/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/noneditable/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/pagebreak/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/paste/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/preview/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/print/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/save/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/searchreplace/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/spellchecker/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/tabfocus/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/table/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/template/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/textcolor/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/textpattern/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/toc/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/visualblocks/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/visualchars/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/plugins/wordcount/plugin.min.js
	* includes/builder/frontend-builder/assets/vendors/skins/lightgray/content.inline.min.css
	* includes/builder/frontend-builder/assets/vendors/skins/lightgray/content.min.css
	* includes/builder/frontend-builder/assets/vendors/skins/lightgray/content.mobile.min.css
	* includes/builder/frontend-builder/assets/vendors/skins/lightgray/fonts/tinymce-mobile.woff
	* includes/builder/frontend-builder/assets/vendors/skins/lightgray/fonts/tinymce.eot
	* includes/builder/frontend-builder/assets/vendors/skins/lightgray/fonts/tinymce.svg
	* includes/builder/frontend-builder/assets/vendors/skins/lightgray/fonts/tinymce.ttf
	* includes/builder/frontend-builder/assets/vendors/skins/lightgray/fonts/tinymce.woff
	* includes/builder/frontend-builder/assets/vendors/skins/lightgray/skin.min.css
	* includes/builder/frontend-builder/assets/vendors/skins/lightgray/skin.mobile.min.css
	* includes/builder/frontend-builder/assets/vendors/themes/inlite/theme.min.js
	* includes/builder/frontend-builder/assets/vendors/themes/mobile/theme.min.js
	* includes/builder/frontend-builder/assets/vendors/themes/modern/theme.min.js
	* includes/builder/frontend-builder/assets/vendors/tinymce.min.js
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/dynamic-content.php
	* includes/builder/frontend-builder/theme-builder/frontend-header-template.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/Menu.php
	* includes/builder/module/Signup.php
	* includes/builder/module/SliderItem.php
	* includes/builder/plugin-compat/easy-digital-downloads.php
	* includes/builder/plugin-compat/scripts/sitepress-multilingual-cms.js
	* includes/builder/plugin-compat/wordpress-seo.php
	* includes/builder/scripts/ext/jquery-ui-timepicker-addon.js
	* includes/builder/scripts/ext/jquery.easypiechart.js
	* includes/builder/scripts/ext/jquery.fittext.js
	* includes/builder/scripts/ext/jquery.hashchange.js
	* includes/builder/scripts/ext/jquery.magnific-popup.js
	* includes/builder/scripts/ext/jquery.minicolors.js
	* includes/builder/scripts/ext/jquery.mobile.custom.min.js
	* includes/builder/scripts/ext/jquery.tablesorter.min.js
	* includes/builder/scripts/ext/jquery.validate.js
	* includes/builder/scripts/ext/waypoints.min.js
	* includes/builder/scripts/ext/widgets.js
	* includes/builder/scripts/ext/wp-color-picker-alpha.js
	* includes/builder/scripts/ext/wp-color-picker-alpha.min.js
	* includes/builder/scripts/frontend/global-functions.js
	* includes/builder/scripts/frontend/preview.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/frontend/sticky-element.js
	* includes/builder/scripts/frontend/sticky-elements.js
	* includes/builder/scripts/src/admin_global_functions.js
	* includes/builder/scripts/src/bfb_admin_script.js
	* includes/builder/scripts/src/block-layout-frontend-preview.js
	* includes/builder/scripts/src/builder.js
	* includes/builder/scripts/src/failure_notice.js
	* includes/builder/scripts/src/library_category.js
	* includes/builder/scripts/src/library_scripts.js
	* includes/builder/scripts/src/page-settings-metabox.js
	* includes/builder/scripts/src/reset_memory_limit_increase_setting.js
	* includes/builder/scripts/src/roles_admin.js
	* includes/builder/scripts/stores/sticky.js
	* includes/builder/scripts/utils/sticky.js
	* js/src/admin_post_settings.js
	* js/src/custom.js
	* js/src/menu_fix.js
	* js/src/theme-customizer-controls.js
	* js/src/theme-customizer.js

version 4.9 ( updated 02-10-2021 )
- Introduced Divi's new global color system.
- Fixed an issue with WooCommerce login on the Checkout page where login error notices would not be displayed in some cases.
- Fixed an issue with the Contact Form module displaying unwanted additional options for all field types.
- Fixed issue with Divider flip functionality on Safari.
- Fixed Theme Builder Static CSS cache not bursting on the TB layout change.
- Fixed Post Title Module's headings style of Theme Builder template affecting GB editor content.
- Fixed the issue where button settings of the child Pricing Table element were not overriding settings of the parent Pricing Tables button.
- Improves sub history action hooks on builder.
- Fixed an error causing builder to not function properly when common dependencies are modified/used.
- Fixed issue where you couldn't authorize a SalesForce account.
- Improve LiteSpeed Cache compatibility during clear cache action.
- Fixed call to action button hover background color from the customizer.
	* core/admin/js/portability.js
	* core/components/Portability.php
	* core/components/SupportCenter.php
	* core/components/VersionRollback.php
	* core/components/api/OAuthHelper.php
	* core/components/api/Service.php
	* core/components/api/email/SalesForce.php
	* core/components/init.php
	* core/functions.php
	* core/json-data/google-fonts.json
	* core/ui/utils/attribute-binder.js
	* core/ui/utils/frame-helpers.js
	* core/ui/utils/frames.js
	* core/ui/utils/utils.js
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-settings.php
	* includes/builder/core.php
	* includes/builder/feature/gutenberg/EditorTypography.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/functions.php
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/PricingTablesItem.php
	* includes/builder/module/SliderItem.php
	* includes/builder/plugin-compat/woocommerce.php
	* includes/builder/plugin-compat/wp-simple-firewall.php

version 4.8.2 ( updated 01-28-2021 )
- Changed default filename for Layout Export as the Page Title.
- Fixed wrong  options filter placement in expanded single panel content settings modal.
- Fixed builder crash with error "Cannot create property 'content' on string..." when dragging module or updating text module.
- Added an option on shop module's custom css option to change the display property of the star ratings like color, font-size etc.
- Fixed fatal error in the quick configuration wizard of Schema plugin.
- Fixed Quick Actions modal being launched unintentionally when typing in focusable element.
- Fixed builder crash when CSP is enabled by WP Simple Firewall plugin (Shield Security).
- Fixed Find & Replace not replacing Button BG And Column Background.
- Fixed video module not displaying proper video dimensions when border radius for the module is changed.
- Fixed Overlay option being visible when slider layout was selected in Gallery Module.
- Fixed HubSpot Single Checkboxes custom field get Converted to radio buttons in Email Optin Module.
- Fixed image/icon position in Blurb module for mobile devices.
- Fixed TinyMCE output content to produce consistent value before it's saved.
- Fixed shop module not respecting the pagination display option for mobile devices.
- Restored the missing "Use Background Color" option in some modules: Countdown Timer, Call To Action, Login, Email Optin, Testimonial.
- Fixed Contact Form field alignments on Front End.
- Fixed Header or Footer created from Theme Builder not working on Heroic Knowledge Base category pages.
- Fixed issue where setting toggle group fields was empty when switching to global preset mode.
- Resolved the issue where every menu's location added via the menu module was shown as primary even if it wasn't a primary menu.
- Fixed button transition issue when button hover properties on hover applied.
- Fixed an issue where the class names for the portfolio items were not the same for visual builder and on the frontend.
- Fixed an issue where left padding for a section was affecting the position of the divider.
- Fixed an issue with the Fullwidth menu module where background color wasn't displaying when the section had a parallax background.
- Fixed an issue where, in some cases, mouse wheel scroll did not work inside the icon select option.
- Fixed issue where one user with same email cannot subscribe to multiple MailPoet lists.
- Fixed dot navigation appearing on archive pages if the first post on archive has it enabled.
	* core/components/api/email/HubSpot.php
	* core/components/api/email/_MailPoet3.php
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/gutenberg/EditorTypography.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Menu.php
	* includes/builder/module/Shop.php
	* includes/builder/plugin-compat/ht-knowledge-base.php
	* includes/builder/plugin-compat/wp-simple-firewall.php
	* includes/builder/scripts/frontend/scripts.js

version 4.8.1 ( updated 01-15-2021 )
- Fixed JS Error e.state is null in 3rd party modules.
- Fixed issue where alt/title text from background image could overwrite the Module's image alt/title text.
- Fixed an issue in Builder controls where margin/padding values intended for Phone View could be saved to Tablet View if a user-specified default Phone View width was greater than the system default.
- Fixed an issue where the help video skip controls were not working.
- Fixed Title Text group in Woo Title module was not auto opening after clicking Quick Access of the title in Visual Builder.
- Fixed Quick Access was working only for the default heading level in Woo Title module.
- Added Quick Access functionality to Star rating in Shop Module.
- Fixed a case where Modules, Rows, and Sections taller than the browser viewport could fail to render controls on hover within the Visual Builder.
- Updated React version to 16.12.0.
- Fixed JS Error Cannot read property 'isInViewportUpdater' of null.
- Fixed builder crash on hover to section/row/module when builder setting animation is off.
- Fixed an issue where the method used to embed YouTube videos would cause a W3C validation error.
- Fixed clicking on recent reviews widget doesn't scroll to review tab built with Woo Tabs module.
- Restored and deprecated et_get_one_font_languages function.
	* core/admin/js/react-dom.production.min.js
	* core/admin/js/react.production.min.js
	* functions.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* js/src/custom.js

version 4.8 ( updated 01-13-2021 )
- Implemented substantial performance improvements for the Visual Builder.
- Fixed Woo Tabs not showing custom tabs not showing on Theme builder when this product option is selected.
- Fixed ACF fields not showing up if you select the post category in the Blog module.
- Fixed a bug where the Menu module will stop working on mobile when a core builder JS function is called by a 3rd party app.
- Fixed an issue in Visual Builder where the primary navbar could become partially obstructed by a secondary navbar in a Responsive View mode.
- Fixed Current Category option of Shop module not being saved when WPML plugin is activated.
- Fixed an issue with Multiselect Bulk Edit that affected 3rd party modules.
- Fixed wrong position in grid mode with fixed position.
- Fixed an issue with the menu module where changing the menu hover color would also affect the submenu color.
- Fixed an issue with the Blurb module's image size setting using different width property on Front End and Visual Builder.
- Fixed scroll effects not working when the Post Content module is present in a TB layout.
- Display the products of the current vendor on the vendor archive page if the Use Current Page option enabled.
- Fixed a bug with scroll to module when AJAX pagination is used on WordPress 5.6.
- Fixed issue where a nested ordered list inside an unordered list was not reflecting the styles of the unordered list.
- Fixed an issue causing the custom css for old price text to not be able to override the current price text color on shop module.
- Fixed undefined setAttibute error of TinyMCE on Classic Builder.
- Fixed PHP warning in the Blog module.
- Fixed element flicker on hover in VB if position is fixed or absolute in the click builder mode.
- Fixed incorrect posts result on Blog module when Relevanssi plugin is activated.
- Fixed Toggle module with animation visibility issue.
- Fixed Specialty Section's Gutter Width was overriding Inner Rows Gutter Width.
- Fixed a PHP error that occurred in the Fullwidth Menu module when hover was enabled on the search icon.
- Fixed an issue when uploading custom font in theme builder would result in triggering unsaved changes message.
- Fixed an issue with Blurb module's image (when using rounded corners setting) which was displaying with a bit of a delay on mobile devices.
- Fixed the issue when Split Test could be saved with incomplete configuration and couldn't be disabled after that.
- Fixed a PHP warning with Woo Tabs module that may occur with some 3rd party WooCommerce plugins.
- Fixed error that appears on the console when selecting font on legacy theme customizer.
- Fixed a PHP warning that occurred on PHP 7+ after rolling back.
- Fixed an issue where MailerLite subscribers were not able to resubscribe once unsubscribed.
- Fixed First Name and Last Name saving to Sendinblue lists.
- Fixed an issue in Support Center where repeated calls could be made to our Token API if a site lacked API credentials.
- Added support for PHP 8.0 to fix deprecated warnings of required parameters after optional parameters in function/method signatures.
- Fixed an issue with the upsell module that causes the four or more column to break layout.
- Fixed an issue causing the WooCommerce view past order table on my account page to shift if hovered on the action button.
- Fixed issue with Show Top Bar option in the theme customizer that didn't show/hide the top menu on check/uncheck.
- Fixed in mobile devices smooth scrolling not working with anchors in menu module.
- Added ability to set the font in Customizer for Japanese, Korean, Malayalam, and Chinese language.
	* core/components/SupportCenter.php
	* core/components/api/Service.php
	* core/components/api/email/MailPoet.php
	* core/components/api/email/MailerLite.php
	* core/components/api/email/SendinBlue.php
	* core/components/data/Utils.php
	* core/components/lib/OAuth.php
	* core/components/lib/SilentThemeUpgraderSkin.php
	* core/components/post/Query.php
	* epanel/google-fonts/et_google_fonts.js
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/ErrorReport.php
	* includes/builder/feature/I18n.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/post-content.php
	* includes/builder/feature/search-posts.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Accordion.php
	* includes/builder/module/Audio.php
	* includes/builder/module/BarCounters.php
	* includes/builder/module/BarCountersItem.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/Button.php
	* includes/builder/module/CircleCounter.php
	* includes/builder/module/Code.php
	* includes/builder/module/Comments.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/CountdownTimer.php
	* includes/builder/module/Cta.php
	* includes/builder/module/Divider.php
	* includes/builder/module/FilterablePortfolio.php
	* includes/builder/module/FullwidthCode.php
	* includes/builder/module/FullwidthHeader.php
	* includes/builder/module/FullwidthImage.php
	* includes/builder/module/FullwidthMap.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/FullwidthPostTitle.php
	* includes/builder/module/FullwidthSlider.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Image.php
	* includes/builder/module/Login.php
	* includes/builder/module/Map.php
	* includes/builder/module/MapItem.php
	* includes/builder/module/Menu.php
	* includes/builder/module/NumberCounter.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/PostTitle.php
	* includes/builder/module/PostsNavigation.php
	* includes/builder/module/PricingTables.php
	* includes/builder/module/PricingTablesItem.php
	* includes/builder/module/Search.php
	* includes/builder/module/Shop.php
	* includes/builder/module/Sidebar.php
	* includes/builder/module/Signup.php
	* includes/builder/module/Slider.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/SocialMediaFollow.php
	* includes/builder/module/SocialMediaFollowItem.php
	* includes/builder/module/Tabs.php
	* includes/builder/module/TabsItem.php
	* includes/builder/module/TeamMember.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/Text.php
	* includes/builder/module/Toggle.php
	* includes/builder/module/Video.php
	* includes/builder/module/VideoSlider.php
	* includes/builder/module/VideoSliderItem.php
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/module/type/PostContent.php
	* includes/builder/module/type/WithSpamProtection.php
	* includes/builder/module/woocommerce/AddToCart.php
	* includes/builder/module/woocommerce/AdditionalInfo.php
	* includes/builder/module/woocommerce/Breadcrumb.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/Description.php
	* includes/builder/module/woocommerce/Images.php
	* includes/builder/module/woocommerce/Meta.php
	* includes/builder/module/woocommerce/Price.php
	* includes/builder/module/woocommerce/Rating.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Reviews.php
	* includes/builder/module/woocommerce/Stock.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/module/woocommerce/Title.php
	* includes/builder/module/woocommerce/Upsells.php
	* includes/builder/plugin-compat/advanced-custom-fields.php
	* includes/builder/plugin-compat/relevanssi.php
	* includes/builder/plugin-compat/sitepress-multilingual-cms.php
	* includes/builder/scripts/frontend/global-functions.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/src/builder.js
	* js/src/custom.js
	* js/src/theme-customizer.js

version 4.7.7 ( updated 12-14-2020 )
- Fixed issue where select gradient color start and end buttons didn't work on background options of Button module.
- Fixed issue where options of Text options group didn't show up after user clicked on Quick Access launch icon.
- Fixed anchor link not working when the URL is loaded on Safari or Firefox browsers.
	* includes/builder/feature/gutenberg/EditorTypography.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/scripts/frontend/scripts.js

version 4.7.6 ( updated 12-11-2020 )
- Apply theme customizer typography styles in the Gutenberg Editor.
- Fixed image module alignment issue in mobile.
- Fixed Divi reCaptcha conflict with 3rd party plugins.
- Fixed js error when Find & Replace modal was opened for Button Background options in some cases.
- Fixed the email list not working if the account name contains a quote or vertical line in the Email Optin module.
- Fixed fullwidth header module incorrect height when the fullscreen layout is enabled.
- Fixed video module border-radius in iOS and Safari.
- Fixed a compatibility issue with WordPress 5.6 where it would cause the Fullwidth Header scroll down icon to not work.
- Fixed Divider Arrangement setting option - Underneath Section Content.
- Fixed true parallax jumping issue when an animation is enabled.
- Fixed error on the console log when Filterable Portfolio is loaded on Firefox.
- Fixed an issue with the Post Slider image top and bottom position.
- Fixed the issue where fixed navigation bar was not sticky in Firefox browser.
- Fixed button hover background color conflicts with the theme customizer.
	* core/components/api/spam/ReCaptcha.php
	* functions.php
	* includes/builder/core.php
	* includes/builder/feature/gutenberg/EditorTypography.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/Image.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/Signup.php
	* includes/builder/module/Video.php
	* includes/builder/scripts/frontend/scripts.js
	* js/src/custom.js

version 4.7.5 ( updated 12-09-2020 )
- Fixed Email module button looks incorrect in 1/6 and 1/5 columns layout.
- Fixed email optin module's extra space above form when no title or description exists.
- Fixed anchor link doesn't work on default Divi menu after WordPress 5.6 released.
- Fixed Slider module controls when opacity or Sepia filter is enabled.
- Fixed locked section's Paste Row issue.
- Submit email opt-in form when users hit enter.
- Fixed reCAPTCHA account selecting in Settings Modal.
- Fixed section divider changes position on mobile and tablet in the option.
- Fixed Fullwidth Slider image position when lazy loading image is enabled.
- Fixed unwanted h2 font-size change on posts within the Builder content on mobile screens.
- Fixed center text alignment of blurb module when image/icon placement is set to left and content is not enough.
- Fixed Post Navigation Module link arrow custom CSS that was affecting the label too.
- Fixed hash anchor to tab for woo tabs module.
- Fixed mobile menu background color in VB.
- Fixed blurb module strange right padding with RTL languages.
- Fixed blog module excerpt for languages that don't have space between words.
- Fixed PHP 8 libxml_disable_entity_loader deprecation warning by adding conditional statement to run the method only on PHP 7.4 and below.
- Fixed preload key requests for modules.ttf.
- Fixed Centered Inline Logo header style showing Cart icon on the left.
- Fixed setting 1 column in footer showing in 2 columns in tablets.
- Removed top & bottom margin that were wrongly applied to the WooCommerce Related Products module.
	* core/components/Portability.php
	* core/components/data/Utils.php
	* core/components/lib/OAuth.php
	* core/functions.php
	* epanel/custom_functions.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/test/css-modules-compiler.js
	* includes/builder/module/PostsNavigation.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/plugin-compat/sfwd-lms.php
	* includes/builder/scripts/frontend/global-functions.js
	* includes/builder/scripts/frontend/scripts.js
	* js/src/custom.js

version 4.7.4 ( updated 11-24-2020 )
- Introduced hooks for add, undo, redo, jump to, and discard actions on settings modal.
- Fixed Featured Images import and export for Library items.
- Fixed some shortcut keys not being overridden in Select2 input fields.
- Fixed incorrect selectors in Woo Add to Cart module that affected Border options.
- Fixed empty logo image alt text when not set from divi builder settings.
- Fixed sticky elements position resets to top-left if sticky tab active in mobile view.
- Fixed woocommerce long description can't update in classic Divi builder.
- Fixed an issue in Visual Builder where the preview width could extend beyond the maximum allowed Tablet View width.
- Fixed the styles on the password-protected page.
- Fixed broken layout block preview after undo and redo actions.
- Fixed empty title in bar counters module.
- Fixed LearnDash content not being rendered properly when Post Content module is being used on theme builder body layout.
- Fixed broken layout on product tour tooltip modal.
- Align reset variations link on the right.
- Fixed excerpt length issue that occurred when Excerpt Length set to 0 and showing dots.
- Fixed project bottom margin when Divi Builder is enabled.
	* core/components/Portability.php
	* epanel/custom_functions.php
	* functions.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/Menu.php
	* includes/builder/plugin-compat/sfwd-lms.php
	* includes/builder/scripts/utils/utils.js

version 4.7.3 ( updated 11-19-2020 )
- Fixed javascript error in select font options.
	* includes/builder/frontend-builder/bundle.js

version 4.7.2 ( updated 11-18-2020 )
- Fixed an issue in Responsive View Modes where tooltips could be positioned incorrectly after scrolling to the top of the page.
- Fixed issue where select gradient color start and end buttons don't work on background options.
- Fixed an issue in Visual Builder's responsive views where the right-click menu positioned would not adjust to match page scroll.
- Fixed an issue where the wrong icon would be displayed in some cases with RTL.
- Fixed custom fields not populated after adding a new account in Email Optin module.
- Fixed sticky not working in global modules.
- Fixed an issue where modifying dimensions in Responsive Views would reset to the Desktop View mode.
- Fixed the incorrect Custom Fields options order.
- Fixed a typo in a legacy slider code.
- Fixed ActiveCampaign general fields not shown in the custom field option.
	* core/components/api/email/ActiveCampaign.php
	* epanel/shortcodes/js/et_shortcodes_frontend.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/frontend-builder/bundle.js

version 4.7.1 ( updated 11-16-2020 )
- Fixed a regression that caused changes to a global module's settings to not be updated in the database.
- Fixed the menu logo image with max-height looks stretchy.
- Fixed an issue in Visual Builder where custom CSS rules set in Theme Options could prevent scrolling in Tablet and Phone Views.
- Fixed an issue where some changes made with Responsive Views controls would not update the ET_Builder API as expected.
	* core/components/CompatibilityWarning.php
	* core/components/Updates.php
	* core/components/api/email/SendinBlue.php
	* core/components/api/spam/ReCaptcha.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Blog.php
	* includes/builder/plugin-compat/amazon-s3-and-cloudfront.php
	* includes/builder/plugin-compat/relevanssi.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/frontend/sticky-element.js
	* includes/builder/scripts/src/bfb_admin_script.js
	* includes/builder/scripts/stores/sticky.js

version 4.7 ( updated 11-11-2020 )
- Fixed element position in wireframe preview mode.
- Fixed builder UI's button affected by customizer style in Extra theme.
- Fixed an issue where settings modal dimension were not defined prior to a height calculation.
- Fixed issue where ReCaptcha js loaded in forms without spam protection enabled.
- Fixed custom z-index for Row inside a Section with divider not working.
- Email address validation in Contact Form changed to similar to how WordPress is_email() method works, on the FE.
- The Responsive Views Update allows users to drag the width of view modes to a custom width to simulate different device widths, choose from preset widths for popular devices, and set custom default preview widths for tablet and phone.
- Fixed Amazon S3 & Cloudfront image URLs not transformed in the builder.
- Fixed issue with blog module not showing any posts on the search result page when Relevanssi plugin is activated.
- Fixed issue with form being assigned to different account when editing the Email Option module.
- Fixed some PHP notices regarding plugins and themes update checking.
- Added support for the latest Sendinblue API (v3).
- Introduces compatibility warning system for ET plugins/themes.
	* core/admin/js/compatibility-warning.js
	* core/components/CompatibilityWarning.php
	* core/components/init.php
	* core/functions.php
	* core/wp_functions.php
	* includes/builder/core.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/functions.php
	* includes/builder/languages/et_builder-en_US-et-builder-gutenberg.po
	* includes/builder/module/Blog.php
	* includes/builder/plugin-compat/amazon-s3-and-cloudfront.php
	* includes/builder/plugin-compat/relevanssi.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/src/builder.js
	* js/src/custom.js

version 4.6.6 ( updated 10-15-2020 )
- Fix scroll behavior after drag & drop content to the builder.
- Fixes incorrect generated selector when 3rd party extension use Divi Module Elements on their modules.
- Fixed unwanted UI lag when draggable padding UI is dragged.
- Fixed a bug in the border options that allowed negative values to be entered.
- Fixed a typo in the Gallery module's layout option help text.
- Fixed the SVG logo without width not showing in Menu module.
- Restored the "Clear" link for variations on the product page.
- Fixed alternative scroll-to-anchor method not enabled by default.
- Fixed the issue when settings from Divi Global Defaults Editor were not migrated to Div Presets for the Divi Builder plugin.
- Fixed broken image size on image of Slider & Fullwidth Slider modules.
- Added JS filter 'et.builder.store.setting.update' to hook on page settings values.
- Fixed an issue that caused the meta description to be duplicated when Rank Math SEO plugin was active.
- Fixes issue making user unable to save BFB layout when cache and scheduled cache preloading are enabled on WP Optimize plugin.
- Fixes incorrect generated selector when 3rd party extension use Divi Module Elements on their modules.
- Fixed broken image size on image of Slider & Fullwidth Slider modules.
	* core/components/init.php
	* epanel/custom_functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/Gallery.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/field/Border.php
	* includes/builder/scripts/frontend/scripts.js

version 4.6.5 ( updated 09-25-2020 )
- Fixed broken image size on Image module and image logo of Menu module.
- Fixed navigation anchor wrong target position with position-fixed section in theme builder header.
- Removed alternative scroll-to-anchor option from Divi Theme Options and made it the default behavior.
	* functions.php
	* includes/builder/autoload.php
	* includes/builder/module/FullwidthImage.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/Image.php
	* includes/builder/module/Menu.php
	* includes/builder/module/helpers/class-et-builder-module-helper-media.php
	* includes/builder/scripts/frontend/global-functions.js
	* options_divi.php

version 4.6.4 ( updated 09-24-2020 )
- Product ordering issue fixed in the Shop module.
- Fixed the Button background color Sticky state not being properly applied.
- Fixed CSS string value auto turn into 0auto.
- Fixed stuttering sticky element on sticky section at theme builder header due to image that affects section height, slow connection, and disabled cache.
- Fixed sticky background gradient and image not working in Section.
- Fixed default WordPress lazy load feature not working properly with images in Divi Builder modules.
- Fixed the Button background color Sticky state not being properly applied.
- Fixed the issue with downloading a backup of Divi Theme Options.
	* core/admin/js/portability.js
	* epanel/custom_functions.php
	* includes/builder/api/rest/BlockLayout.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/AjaxCache.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/feature/ClassicEditor.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/Blurb.php
	* includes/builder/module/FullwidthHeader.php
	* includes/builder/module/FullwidthImage.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/FullwidthPostTitle.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Image.php
	* includes/builder/module/Menu.php
	* includes/builder/module/PostTitle.php
	* includes/builder/module/Shop.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/TeamMember.php
	* includes/builder/module/field/TextShadow.php
	* includes/builder/module/helpers/ResponsiveOptions.php
	* includes/builder/module/helpers/StickyOptions.php
	* includes/builder/module/helpers/class-et-builder-module-helper-media.php
	* includes/builder/scripts/frontend/sticky-element.js

version 4.6.3 ( updated 09-18-2020 )
- Fixed speciality section inner max-width option.
	* includes/builder/class-et-builder-element.php

version 4.6.2 ( updated 09-17-2020 )
- Fixed incorrect sticky state in the section with a video module.
- Fixed sticky element that doesn't correctly exits sticky state because fixed header transition is completed after document height props are updated.
- Fixed inconsistent row alignment output in frontend and visual builder when custom margin is used.
- Removed unnecessary overflow hidden for rows with 4+ columns.
- Revived background overlay and text overlay colors on hover state for post slider.
- Fixed javascript error in Internet Explorer.
- Enabled sorting in the Store module on the frontend.
- Fixed incorrect warning on Minify And Combine Javascript & Style Files options when 3rd party extension plugin is activated.
- Fixed incorrect module width on sticky state when sticky margin is set and width is auto.
- Fixed inability to drag and drop image to media library that is opened on gallery module's images field.
- Fixed unwanted padding change when specialty row enters sticky state.
- Fixed issue when changing the scale of the Button module.
- Fixed javascript error when setting the sticky Section Divider height.
- Fixed sticky style not implemented if module is sticky module inside sticky module.
- Fixed issue with links not working inside of the mobile menus.
- Fixed a case where Divi page would cause an error when loaded inside an iframe hosted on a different domain.
- Fixed default primary menu active link color.
	* core/admin/js/portability.js
	* core/components/Portability.php
	* core/components/Updates.php
	* core/ui/utils/frame-helpers.js
	* functions.php
	* includes/builder/ab-testing.php
	* includes/builder/api/DiviExtension.php
	* includes/builder/api/DiviExtensions.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-plugin-compat-loader.php
	* includes/builder/class-et-builder-settings.php
	* includes/builder/class-et-builder-value.php
	* includes/builder/class-et-global-settings.php
	* includes/builder/conditions.php
	* includes/builder/core.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/main-modules.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/Shop.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/helpers/StickyOptions.php
	* includes/builder/plugin-compat/scripts/sitepress-multilingual-cms.js
	* includes/builder/scripts/frontend/background-layout.js
	* includes/builder/scripts/frontend/global-functions.js
	* includes/builder/scripts/frontend/motion-effects.js
	* includes/builder/scripts/frontend/preview.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/frontend/sticky-element.js
	* includes/builder/scripts/frontend/sticky-elements.js
	* includes/builder/scripts/src/admin_global_functions.js
	* includes/builder/scripts/src/bfb_admin_script.js
	* includes/builder/scripts/src/block-layout-frontend-preview.js
	* includes/builder/scripts/src/builder.js
	* includes/builder/scripts/src/cache_notice.js
	* includes/builder/scripts/src/cpt-modules-wrapper.js
	* includes/builder/scripts/src/failure_notice.js
	* includes/builder/scripts/src/library_category.js
	* includes/builder/scripts/src/library_scripts.js
	* includes/builder/scripts/src/page-settings-metabox.js
	* includes/builder/scripts/src/reset_memory_limit_increase_setting.js
	* includes/builder/scripts/src/roles_admin.js
	* includes/builder/scripts/stores/document.js
	* includes/builder/scripts/stores/sticky.js
	* includes/builder/scripts/stores/window.js
	* includes/builder/scripts/utils/sticky.js
	* includes/builder/scripts/utils/utils.js
	* js/src/theme-customizer.js

version 4.6.1 ( updated 09-03-2020 )
- Fixed issue with the Shop module which was not rendering the right template when it was returning no results.
- Fixed incorrect sticky element in sticky state when window is resized.
- Fixed incorrect auto-generated sticky offset when known element is not visible.
- Fixed broken hover style of border style, width, and color in frontend.
- Added clear cache support for Batcache (Pressable), Breeze, Kinsta Cache, GoDaddy Cache, and WP-Optimize.
- Fixed issue when extending the styles of an element when the modal was already opened.
- Fixed incorrect hover selector of button option group's background field.
- Fixed error when trying to use external links on Video modules.
- Improved Woo modules notice when Woocommerce plugin is not active.
- Fixed Box shadow and Text Shadow on Add to Cart module's button.
	* core/components/SupportCenter.php
	* core/components/init.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/window.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php
	* includes/builder/module/PricingTablesItem.php
	* includes/builder/module/Shop.php
	* includes/builder/module/field/Border.php
	* includes/builder/module/field/Divider.php
	* includes/builder/module/field/MarginPadding.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/field/Sticky.php
	* includes/builder/module/field/TextShadow.php
	* includes/builder/module/helpers/Background.php
	* includes/builder/module/helpers/HoverOptions.php
	* includes/builder/module/helpers/ResponsiveOptions.php
	* includes/builder/module/helpers/StickyOptions.php
	* includes/builder/module/helpers/StyleProcessor.php
	* includes/builder/module/woocommerce/AddToCart.php
	* includes/builder/scripts/ext/media-library.js
	* includes/builder/scripts/frontend/background-layout.js
	* includes/builder/scripts/frontend/sticky-element.js
	* includes/builder/scripts/frontend/sticky-elements.js
	* includes/builder/scripts/stores/document.js
	* includes/builder/scripts/stores/sticky.js
	* includes/builder/scripts/stores/window.js
	* includes/builder/scripts/utils/sticky.js
	* includes/builder/scripts/utils/utils.js
	* webpack.production.config.js

version 4.6 ( updated 08-26-2020 )
- Added sticky element option for every module. Sticky element allow module to sticky on the edge of browser as the window is scrolled.
	* includes/builder/ab-testing.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/window.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/bfb-template.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/i18n.php
	* includes/builder/frontend-builder/i18n/generic.php
	* includes/builder/frontend-builder/i18n/library.php
	* includes/builder/frontend-builder/i18n/portability.php
	* includes/builder/frontend-builder/i18n/theme-builder.php
	* includes/builder/frontend-builder/rtl.php
	* includes/builder/frontend-builder/theme-builder/ThemeBuilderApiErrors.php
	* includes/builder/frontend-builder/theme-builder/ThemeBuilderRequest.php
	* includes/builder/frontend-builder/theme-builder/WoocommerceProductVariablePlaceholder.php
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/dynamic-content.php
	* includes/builder/frontend-builder/theme-builder/frontend-body-template.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/frontend-builder/theme-builder/template-setting-validations.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/frontend-builder/theme-builder/woocommerce.php
	* includes/builder/frontend-builder/theme-builder/wpml.php
	* includes/builder/frontend-builder/view.php
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Accordion.php
	* includes/builder/module/AccordionItem.php
	* includes/builder/module/BarCounters.php
	* includes/builder/module/BarCountersItem.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/Button.php
	* includes/builder/module/CircleCounter.php
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/Divider.php
	* includes/builder/module/FilterablePortfolio.php
	* includes/builder/module/FullwidthHeader.php
	* includes/builder/module/FullwidthImage.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/FullwidthPostTitle.php
	* includes/builder/module/FullwidthSlider.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Image.php
	* includes/builder/module/Menu.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/PostTitle.php
	* includes/builder/module/PricingTables.php
	* includes/builder/module/PricingTablesItem.php
	* includes/builder/module/Search.php
	* includes/builder/module/Shop.php
	* includes/builder/module/SignupItem.php
	* includes/builder/module/Slider.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/SocialMediaFollow.php
	* includes/builder/module/SocialMediaFollowItem.php
	* includes/builder/module/Tabs.php
	* includes/builder/module/TabsItem.php
	* includes/builder/module/TeamMember.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/Text.php
	* includes/builder/module/Toggle.php
	* includes/builder/module/Video.php
	* includes/builder/module/VideoSlider.php
	* includes/builder/module/VideoSliderItem.php
	* includes/builder/module/field/Border.php
	* includes/builder/module/field/BoxShadow.php
	* includes/builder/module/field/Divider.php
	* includes/builder/module/field/Height.php
	* includes/builder/module/field/MarginPadding.php
	* includes/builder/module/field/MaxWidth.php
	* includes/builder/module/field/Overflow.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/field/Sticky.php
	* includes/builder/module/field/TextShadow.php
	* includes/builder/module/field/Transform.php
	* includes/builder/module/helpers/Background.php
	* includes/builder/module/helpers/BackgroundLayout.php
	* includes/builder/module/helpers/HoverOptions.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/module/helpers/Overlay.php
	* includes/builder/module/helpers/ResponsiveOptions.php
	* includes/builder/module/helpers/StickyOptions.php
	* includes/builder/module/helpers/StyleProcessor.php
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/module/woocommerce/Images.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Upsells.php
	* includes/builder/scripts/frontend/background-layout.js
	* includes/builder/scripts/frontend/global-functions.js
	* includes/builder/scripts/frontend/motion-effects.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/frontend/sticky-element.js
	* includes/builder/scripts/frontend/sticky-elements.js
	* includes/builder/scripts/src/bfb_admin_script.js
	* includes/builder/scripts/src/library_scripts.js
	* includes/builder/scripts/src/roles_admin.js
	* includes/builder/scripts/stores/document.js
	* includes/builder/scripts/stores/sticky.js
	* includes/builder/scripts/stores/window.js
	* includes/builder/scripts/utils/sticky.js
	* includes/builder/scripts/utils/utils.js
	* js/src/custom.js

version 4.5.8 ( updated 08-24-2020 )
- Fixed unable to export Role Editor.
- Fixed layout XML import.
- Fixed module right-click contextual menu's wrong placement.
- Fixed wrong styles in protected WordPress pages.
- Fixed issue when working with links that contain special characters.
- Fixed missing alt and title attributes in Post Title's featured image.
- Removed border bottom on BFB panel header.
- Fixed theme customizer range input doesn't update the value on the control itself.
- Fixed issue when using the Woo Image module in the shop page.
	* core/components/Updates.php
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/WoocommerceProductVariablePlaceholder.php
	* includes/builder/functions.php
	* includes/builder/module/FullwidthPostTitle.php
	* includes/builder/module/PostTitle.php
	* includes/builder/plugin-compat/sitepress-multilingual-cms.php
	* includes/builder/scripts/src/builder.js

version 4.5.7 ( updated 08-18-2020 )
- Fixed the warning shown with WooCommerce v4.4.0 and WordPress v5.5.
- Fixed issue preventing ability to create a translation for a Divi Library layout.
- Fixed a problem in the post slider background which was not being displayed when the "Static CSS File Generation" option is enabled.
- Fixed issue with Divider which was applying extra space in the end of the pages.
- Fix for error being thrown when Google Translate extension is being used in the page.
- Fixed the margin of the last columns when switching preview modes.
	* functions.php
	* includes/builder/core.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/WoocommerceProductVariablePlaceholder.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/PostSlider.php
	* includes/builder/plugin-compat/scripts/sitepress-multilingual-cms.js
	* includes/builder/plugin-compat/sitepress-multilingual-cms.php
	* includes/builder/scripts/src/library_scripts.js

version 4.5.6 ( updated 08-10-2020 )
- Fixed issue with extra top padding getting added to the page.
	* includes/builder/frontend-builder/bundle.js
	* js/src/custom.js
	* js/src/theme-customizer.js

version 4.5.5 ( updated 08-08-2020 )
- Fixed bottom section dividers appearing at the top of sections.
	* style.css

version 4.5.4 ( updated 08-07-2020 )
- Fixed missing backward compatibility function to handle Gutenberg data for block editor.
- Hide block inserter button when Divi Layout is not activated yet.
- Fixed responsive custom border styles not being applied to the module preview.
- Fixed extra space being added in the end of the page whenever a Divider is used.
- Normalized the height of video sliders.
- Fixed the issue where it was impossible update a preset with current styles for columns.
- Fixed error when using the portfolio module as homepage.
- Fixed premade Layouts loading from the Divi Library in Safari and Edge.
- Fixed issue with the rendering of full-width sliders which was causing wrong size calculations when navigating through the slides.
	* core/admin/js/portability.js
	* core/components/data/Utils.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/Portfolio.php
	* js/src/custom.js
	* js/src/theme-customizer.js

version 4.5.3 ( updated 08-03-2020 )
- Fixed arbitrary file upload vulnerability. For more information, please read the full disclosure: https://us7.campaign-archive.com/?u=9ae7aa91c578052b052b864d6&id=cb6b4b1ed3.
- Fixed issue with Portfolio module pagination which was not being displayed on single pages.
- Fixed Theme Builder template pages search which was displaying duplicated results.
	* core/components/Portability.php
	* core/components/data/Utils.php
	* includes/builder/core.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/i18n/portability.php
	* includes/builder/frontend-builder/theme-builder/ThemeBuilderApiErrors.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/module/Portfolio.php

version 4.5.2 ( updated 07-30-2020 )
- Fixed issue when changing the colors of the Circle Counter in different responsive view contexts.
- Fixed the issue when module settings were not saved in some cases.
- Fixed uncaught addEventListener error when hover over Divi Layout Block and it's not activated yet.
- Updated Divi Layout placeholder button class names and fixed deprecated properties and methods warnings.
- Restricted the Divi Presets functional for non admin users.
- Theme Builder will now disable some filters (like Blur) on hover to match Visual Builder behavior.
- Fixed the issue when any Custom CSS settings assigned through a module preset were not displayed in Visual Builder.
- Fixed an issue where the body text style overwrote the company text style when a company link was set.
- Increased reCAPTHA badge z-index to ensure it's always on top.
- Fixed broken Divi Layout block preview and styles when Gutenberg preview device is on tablet or mobile type.
- Hides actions control on the builder metabox.
- Handles deprecated function wp_make_content_images_responsive() on rendering layout.
- Improved embedded video performance by caching the result.
- Fixed undefined text on new editable block element on 3rd party extensions.
- Fixed PHP 7.4+ deprecated passing parameters to join() (implode() alias) in reverse order.
- Updated the Support Center to verify the WP Debug Log setting points to a file (not a directory) before attempting to load its recent entries.
	* core/components/SupportCenter.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/global-presets/History.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/functions.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/Video.php
	* includes/builder/module/VideoSliderItem.php
	* includes/builder/module/helpers/HoverOptions.php
	* includes/builder/scripts/src/bfb_admin_script.js

version 4.5.1 ( updated 07-13-2020 )
- Fixed the issue preventing to switch between the tabs of the responsive options.
- Added hover background when button is hovered in Visual Builder.
- Allow 3rd Party Extension to use builder editable elements on their custom modules.
- Fixed PHP 7.4+ deprecated passing parameters to implode in reverse order.
- Fixed bug with Parallax effect on iPad with iOS 13.
- Prevent setting selected option on the 2nd position in select control when total results size is 1.
- Fixed Blog Module conflict with Video widget.
- Fixed issue with dynamic categories on custom post types.
- Fixed the Button Icon option description text.
- Fixed CSS filter's hover transition effect on desktop.
- Fixed contact form rendering issue when option filed was added with keyboard shortcut.
- Fixed products per page plugin compatibility.
- Fixed the issue where module attributes were empty while importing a layout either through Divi Library or Divi Builder.
- Fixed the issue caused by incompatibility with PHP 5.4.
- Changed blacklist and whitelist terms to blocklist and allowlist throughout codebase.
- Fixed a typo in the Theme Options "Grab the first post image" option description.
	* core/admin/js/support-center.js
	* core/components/Portability.php
	* core/components/SupportCenter.php
	* core/components/VersionRollback.php
	* core/components/api/ElegantThemes.php
	* core/components/data/Utils.php
	* core/components/mu-plugins/SupportCenterSafeModeDisablePlugins.php
	* core/functions.php
	* core/ui/utils/utils.js
	* epanel/custom_functions.php
	* includes/builder/ab-testing.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/deprecations.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/global-presets/History.php
	* includes/builder/feature/global-presets/Settings.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/helpers/HoverOptions.php
	* includes/builder/plugin-compat/eventon.php
	* includes/builder/plugin-compat/woocommerce.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/src/builder.js
	* options_divi.php

version 4.5 ( updated 07-09-2020 )
- Added new Divi Presets system
- Latest Products sorting option added in the Shop Module.
- Fixed query to the image by URL failed when served URL different with guid URL.
- Fixed duplicate Post Tags group label name on Theme Builder settings when The Events Calendar plugin is enabled.
- If a WooCommerce product has no ratings, the demo rating is shown so you can edit the Woo Rating Module settings in Visual Builder.
- Fixed TB layout and template is not being updated immediately on the FE when caching plugin is active.
- Fixed a bug which were causing View Modified Styles right-click menu in Layers panel to not work in some cases.
- Fixed turning off the default background color for slides for FullWidth Slider and Slider modules.
  * core/admin/js/portability.js
  * core/components/data/Utils.php
  * core/components/Portability.php
  * core/functions.php
  * includes/builder/class-et-builder-element.php
  * includes/builder/class-et-global-settings.php
  * includes/builder/core.php
  * includes/builder/feature/global-presets/History.php
  * includes/builder/feature/global-presets/Settings.php
  * includes/builder/framework.php
  * includes/builder/frontend-builder/bundle.js
  * includes/builder/frontend-builder/theme-builder/api.php
  * includes/builder/frontend-builder/theme-builder/theme-builder.php
  * includes/builder/functions.php
  * includes/builder/module/Shop.php
  * includes/builder/module/SliderItem.php

version 4.4.9 ( updated 07-01-2020 )
- Fixed conflict "Use Current Page" option with "Product Category" view type in Shop Module.
- In order to increase the rating of page loading speed and to eliminate the warning from Lighthouse "Ensure text remains visible during webfont loading", the directive font-display has been added to css rules@font-face (for the Divi fonts and for Opens Sans fonts, which loading from googleapis.com).
- Fixed an issue that caused the color picker of 3rd party plugins to not be visible in some cases.
- Fixed background images from Smush CDN is not saved in the static resources.
- Fixed bug with using Fullwidth slider below theme builder global header with negative margin.
- Fixed accordion editable text on Visual Builder when Section/Row is locked.
- Introduces custom fields registration for 3rd party extensions and ability to disable context menu on these fields.
- Fixed bug with video height in slider.
- Improved UX for the Layers in Layers panel that doesn't have respective plugin activated.
- Fixed video module can't be played when overlay is being used and lazyload for iframe is enabled on Smush plugin.
- Disabled stripping the [embed] shortcode on the frontend, which was added via Custom Fields by Dynamic Content feature to the content area.
- Fixed bug with video positioning inside the slider.
- Fixed full width slider editable text when module or section is set to locked.
- Fixed gallery module background parallax issue on the Front-End.
- Fixed the appearance of php-warnings when using the  Contact Form module that has a layout with the hover mode enabled for Fields Letter Spacing with the same 0px value for both.
- Fixed inner width styling option for Speciality Section when used in a Product Page.
- Fixed bug with play icon color when multiple sliders are added to the page.
- Fixed bug with module gradient background applied on top of a row which has a video background set.
- Fixed an issue that caused the looping animations to be removed from elements.
- Added title attribute to Theme Builder's vertical menu items.
- Added selective sync options on transforms settings.
- Updated Layers panel to not allow ESC key to close it.
- Avoid transforms on click mode when a module is selected but not when settings modal is open.
- Fixed The Event Calendar Event Community compatibility issue when TB overrides the layouts.
- Fixed bug with settings modal when visual builder is disabled.
- Fixed bug with dynamic categories when they are added to a post via Divi library.
- Fixed animations for sections that are located right after the fullscreen header.
- Added auto-function when rendering content in Woo Tab modules.
- Fixed bug with positioning in visual builder when vh unit is used.
- Fixed adding modules/rows to locked sections when interaction mode is set to "Click Mode".
- Fixed Email Optin subscription fail error.
- Changed row right/left draggable margin behaviour when right/left margin is set to auto.
- Changed module right/left draggable margin behaviour when right/left margin is empty.
- Fixed a bug in Layers panel to allow Multi-select to work properly.
- Fixed issue with un-clickable buttons in Full-Width Header in some cases.
- Fixed bug with Admin Label control icons.
- Fixed a styling issue when section/row was set to Locked and Interaction mode was set to "Click Mode".
- Fixed image inner shadow styling for Blog module.
- Fixed incorrect Contact Form module captcha input autocomplete attribute value.
- Fixed an issue with wpautop not getting properly applied in Code module in certain cases.
- Fixed a bug that prevented user from moving sections if Split Testing option was off in Divi Role Editor.
- Fixed failing intentional-error test because Divi loads another product's core.
- Fixed bug with reset field options in Contact Form module.
- Fixed bug with a search results page that has a custom post type posts with the visual builder enabled.
- Fixed bug with background-repeat when button background color on hover is set in Customizer.
	* core/components/data/Utils.php
	* core/cypress.json
	* core/ui/components/controls/sortable-list/sortable-list.jsx
	* functions.php
	* includes/builder/api/DiviExtension.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-settings.php
	* includes/builder/core.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/feature/I18n.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/i18n/generic.php
	* includes/builder/frontend-builder/i18n/library.php
	* includes/builder/frontend-builder/i18n/quick-actions.php
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Accordion.php
	* includes/builder/module/AccordionItem.php
	* includes/builder/module/Audio.php
	* includes/builder/module/BarCounters.php
	* includes/builder/module/BarCountersItem.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/Button.php
	* includes/builder/module/CircleCounter.php
	* includes/builder/module/Code.php
	* includes/builder/module/Comments.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/CountdownTimer.php
	* includes/builder/module/Cta.php
	* includes/builder/module/Divider.php
	* includes/builder/module/FilterablePortfolio.php
	* includes/builder/module/FullwidthCode.php
	* includes/builder/module/FullwidthHeader.php
	* includes/builder/module/FullwidthImage.php
	* includes/builder/module/FullwidthMap.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/FullwidthPostTitle.php
	* includes/builder/module/FullwidthSlider.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Image.php
	* includes/builder/module/Login.php
	* includes/builder/module/Map.php
	* includes/builder/module/MapItem.php
	* includes/builder/module/Menu.php
	* includes/builder/module/NumberCounter.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/PostTitle.php
	* includes/builder/module/PostsNavigation.php
	* includes/builder/module/PricingTables.php
	* includes/builder/module/PricingTablesItem.php
	* includes/builder/module/Search.php
	* includes/builder/module/Shop.php
	* includes/builder/module/Sidebar.php
	* includes/builder/module/Signup.php
	* includes/builder/module/SignupItem.php
	* includes/builder/module/Slider.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/SocialMediaFollow.php
	* includes/builder/module/SocialMediaFollowItem.php
	* includes/builder/module/Tabs.php
	* includes/builder/module/TabsItem.php
	* includes/builder/module/TeamMember.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/Text.php
	* includes/builder/module/Toggle.php
	* includes/builder/module/Video.php
	* includes/builder/module/VideoSlider.php
	* includes/builder/module/VideoSliderItem.php
	* includes/builder/module/field/BoxShadow.php
	* includes/builder/module/field/Divider.php
	* includes/builder/module/field/Height.php
	* includes/builder/module/field/MaxWidth.php
	* includes/builder/module/field/Overflow.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/field/Scroll.php
	* includes/builder/module/field/Transform.php
	* includes/builder/module/type/PostContent.php
	* includes/builder/module/type/WithSpamProtection.php
	* includes/builder/module/woocommerce/AddToCart.php
	* includes/builder/module/woocommerce/AdditionalInfo.php
	* includes/builder/module/woocommerce/Breadcrumb.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/Description.php
	* includes/builder/module/woocommerce/Gallery.php
	* includes/builder/module/woocommerce/Images.php
	* includes/builder/module/woocommerce/Meta.php
	* includes/builder/module/woocommerce/Price.php
	* includes/builder/module/woocommerce/Rating.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Reviews.php
	* includes/builder/module/woocommerce/Stock.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/module/woocommerce/Title.php
	* includes/builder/module/woocommerce/Upsells.php
	* includes/builder/plugin-compat/advanced-custom-fields.php
	* includes/builder/plugin-compat/the-events-calendar-community-events.php
	* includes/builder/plugin-compat/wp-smushit.php
	* includes/builder/post/type/Layout.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/tests/codeception/wpunit/Translations.php

version 4.4.8 ( updated 06-04-2020 )
- Fixed a bug which caused Add New button in Layers panel to not work in some cases In Wireframe mode.
- Updated Layers panel to allow adding Row/Module from empty Section/Column.
- Fix vertical offset to showing with position absolute or relative on mobile.
- Hid Insert Shortcode button from text module which added by Shortcodes Ultimate plugin in visual builder.
- Fixed a bug which were causing Open/Close All button in Layers panel to not collapse all Layers in some cases.
- Fixed a bug that were allowed to modify a locked Layer in some cases in Layers panel.
- Fixed an issue with range values being invalid CSS values with some locales.
- Fixed border-radius doesn't apply when parallax section overflow is set to visible.
- Fixed RankMath content analyzer issue on BFB.
- Fixed Language Switcher not being able to be loaded on a custom sidebar.
- Fixed color of Gallery Slider's arrows. Now they are inheriting their value from the Dark\Light Text Color which may be set in Page Settings.
- Fixed slug in the names of the CSS static cache files which are used on category pages.
- Fixed issue with the Woo Reviews module which showed unapproved reviews on the frontend.
- Fixed a bug which was causing Builder to show hover buttons while resizing the Layers panel.
- Added span wrapper to the comma between Job and Company into the Testimonial Module on the frontend.
- Fixed incorrect Label in Right click menu for Column Layer in Layers panel.
- Fixed a bug that caused default location and size calculation for Layers panel to not work properly.
- Fixed issue with Custom CSS editor not showing CSS errors properly.
- Fixed an issue where the Menu module dropdown line style was overwritten by the Theme Customizer color scheme.
- Added smooth scrolling effect triggered by anchor links and such on the front-end pages while using responsive content or "Minify And Combine Javascript Files" option is disabled.
- Fixed issue with scroll down button which did not work properly with hide navigation until scroll was enabled.
	* core/components/SupportCenter.php
	* core/components/data/Utils.php
	* core/functions.php
	* epanel/core_functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/woocommerce/Reviews.php
	* includes/builder/scripts/frontend/scripts.js
	* js/src/custom.js

version 4.4.7 ( updated 05-15-2020 )
- Fixed the incorrect letter spacing in a title of Number Counter Divi Module in Safari browser (7.1+).
- Fixed admin bar missing when global header enabled with Divi Builder plugin.
- Disabled resize on the textareas  from the Custom CSS  at the advanced tab in a settings modal.
- Fixed incorrect align on small screens for Blog Module with Grid Layout.
- Fixed Quick Action modal opening when you typed something outside of Builder Area and used SHIFT + SPACE.
- Fixed the issue when border-radius was ignored when using the box-shadow into the Post Navigation Module.
- Removed any HTML tags from the name of options at the Contact Form Module on the Divi Builder.
- Fixed module status line double click not loading saved content and settings.
- Fixed incorrect import context message when importing fails.
- Added dismissible "Get Recommended Divi Hosting" Card in Divi Support Center to show if any system status item is in a warning state.
- Added slashes for post content at layout's import.
- Fixed page dots navigation to show the dots only for main sections.
- Fixed javascript error Uncaught ReferenceError: et_pb_first_row_padding_top is not defined when you are working with some settings in Theme Customizer > Header, like a changing header style option.
	* core/admin/css/support-center.css
	* core/admin/images/svg/backups.svg
	* core/admin/images/svg/migrate.svg
	* core/admin/images/svg/security.svg
	* core/admin/images/svg/server.svg
	* core/admin/images/svg/speed.svg
	* core/admin/images/svg/staging.svg
	* core/admin/js/popper.min.js
	* core/admin/js/support-center.js
	* core/admin/js/tippy.min.js
	* core/components/Portability.php
	* core/components/SupportCenter.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/frontend-header-template.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/module/PostsNavigation.php
	* includes/builder/plugin-compat/imagify.php
	* includes/builder/plugin-compat/the-events-calendar.php
	* js/src/custom.js
	* js/src/theme-customizer.js

version 4.4.6 ( updated 05-08-2020 )
- Improved logic to keep collapse/expand state consistent for Add/Clone/Delete/DnD actions in Layers panel.
- Updated Layers panel to allow selecting Goal and Winner for Split Testing from Layers panel.
- Improved the Visual Builder scroll performance.
- Added vmin and vmax to css allowed units in module settings.
- Fixed person module image broken layout in 6 column row when viewing from tablet.
- Fixed broken Divi logo when WebP with picture tag feature is enabled on Imagify plugin.
- Fixed showing data from the latest published product when a new draft product is created.
- Removed extra margin in menu module that causes horizontal scroll bar if you make row fullwidth.
- Fixed an issue that allowed setting a layout as Global in the Divi Library.
- Fixed Post Content module incorrect details on event post type of The Event Calendar.
- Fixed slide from top animation incorrect position when animated.
- Fixed js error "Uncaught TypeError: Cannot read property 'trim' of undefined" with the Slider Modules on the frontend.
- Fixed unable to set Rank Math focus keyword on BFB.
- Fixed issue so that our plugins wont clear cache if Divi, Extra, or the Divi Builder are not active.
	* core/components/init.php
	* includes/builder/core.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/plugin-compat/imagify.php
	* includes/builder/plugin-compat/megamenu.php
	* includes/builder/plugin-compat/the-events-calendar.php
	* includes/builder/plugin-compat/wpml-sticky-links.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/src/library_scripts.js

version 4.4.5 ( updated 04-30-2020 )
- Removed theme builder override warning message from already saved layout.
- Fixed Max Mega Menu plugin sometimes causing the Builder to reload.
- Fixed issue where layouts from different languages were not being loaded on builder library layouts.
- Fixed theme builder template hover option buttons not appearing on Safari.
- Fixed incorrect running of the Video Module to the fullscreen mode with resized browser window to the mobile size, when the Video Module's Visibility option desktop is turned off.
- Fixed a bug which prevented to expand/collapse layers from right click menu in Layers panel.
- Added support for Hummingbird plugin to clean up the cache on some circumstances.
- Fixed incorrect alignment of the slide's content after resizing the Chrome browser with the zoom level less than 100% while using the Slider module.
- Fixed Builder reloading itself after changing some Google related Divi Options.
- Fixed sticky links are not translated into permalinks on Global items.
- Fixed Specialty Sections editing from the Divi Library using the Latest Divi Builder Experience.
- Fixed broken column layout on Product Category and Tag pages.
	* core/components/init.php
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-value.php
	* includes/builder/core.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/TeamMember.php
	* includes/builder/plugin-compat/megamenu.php
	* includes/builder/plugin-compat/sitepress-multilingual-cms.php
	* includes/builder/plugin-compat/the-events-calendar.php
	* includes/builder/plugin-compat/wpml-sticky-links.php
	* includes/builder/scripts/frontend/scripts.js

version 4.4.4 ( updated 04-23-2020 )
- Added input field to enter the meta_key in the Dynamic Content field option list.
- Improved accessibility for Image and Fullwidth Image Modules by automatically including Alt and Title attributes from the image's WP Media Library metadata when not defined in Divi Builder settings.
- Fixed issue where border-radius doesn't apply when parallax section overflow is set to visible.
- Added minor extra spacing between the final option group and the help button in the page settings modal.
- Updated drop-zone styles to reduce vertical bouncing while dragging in Layers panel.
- Fixed error when builder is activated for the first time on Event Calendar post without title.
- Removed default css important rule to allow specified font-wight on slider title.
- Fixed font icon not rendered properly in the frontend.
- Added Search to the filter dropdown in Layers panel.
- Added toggle button to parent layers in Layers panel, whether it has children or not.
- Updated SVG icon for DnD helper in Layers panel.
- Updated Drag and Drop in Layers View to allow dropping row/column/module to respective parent-layer only when the parent-layer is expanded.
- Fixed issue with Margin and Padding options.
- Layers panel now remembers modal position, height and width when moved/resized.
- Fixed Menu module center layout style.
- Fixed default line-height and font-size style value in the Person Module.
- Fixed layout export progress bar going above 100% in certain cases.
	* core/admin/js/portability.js
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-value.php
	* includes/builder/core.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/dynamic-content.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/FullwidthImage.php
	* includes/builder/module/Image.php
	* includes/builder/module/TeamMember.php
	* includes/builder/module/field/MarginPadding.php
	* includes/builder/plugin-compat/the-events-calendar.php

version 4.4.3 ( updated 04-09-2020 )
- Fixed Specialty Section's Gutter Width was overriding Inner Rows Gutter Width.
- Added image sizing options for the post title featured image.
- Fixed split testing module disappear when cache plugin is active.
- Fixed border width range input to not pass the min limit 0.
- Fixed issue with 'Number' field on circle counter module so it can receive a decimal value.
- Fixed JS error when adding a new Row in Specialty Section from Layers panel.
- Fixed CSS Parallax and Motion Effect doesn't work on layout block in upcoming WordPress 5.4 due to markup change on Gutenberg.
- Fixed missing status and visibility options in Gutenberg UI.
- Fixed an error with caches when gzdeflate or gzinflate function was being disabled.
- Fixed iframe video not resizing correctly when Lazy Load option was enabled on Smush version 3.6.1.
- Updated fallback font size to match slider builder default font size.
- Fixed hover margin adding padding instead of margin on the element.
- Fixed vertically placed gallery module space between last two images.
- Fixed embed support for both full url and embed url of youtube.
- Fixed a bug which were setting invalid CSS for max-height when no max-height value were set for Logo in Menu module.
- Fixed an issue that caused the single post top/bottom code in integration to still be printed on the frontend even if the options were disabled.
	* core/components/Updates.php
	* core/functions.php
	* epanel/custom_functions.php
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/module/CircleCounter.php
	* includes/builder/module/FullwidthPostTitle.php
	* includes/builder/module/PostTitle.php
	* includes/builder/module/Text.php
	* includes/builder/module/field/Border.php
	* includes/builder/module/field/MarginPadding.php
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/plugin-compat/seo-by-rank-math.php
	* includes/builder/scripts/frontend/global-functions.js
	* includes/builder/scripts/frontend/motion-effects.js
	* includes/builder/scripts/frontend/scripts.js

version 4.4.2 ( updated 03-27-2020 )
- Fixed incorrect Layout Block preview dimension on editor item inserter menu selector at WordPress 5.4.
- Fixed possible error when gutenberg is loaded if the menu's collapse-button isn't ready when the script is loaded.
- Fixed the dynamic content field getting escaped twice.
- Fixed header z-index.
- Fixed Email Optin Module in Theme Builder Footer does not work.
- Fixed a PHP 7.4+ notice that occurred in some cases with the Backend Divi Builder.
- Fixed Circle Counter animation not working with hidden header or sidebar.
- Fixed border radii not working for Woo Image module in Safari browser.
- Improved icons in Layers panel.
- Fixed Child Row alignment of specialty sections don't respect their alignment on the FE.
- Fixed a bug which prevented Layers panel to be opened from shortcut in some cases.
- Fixed Shop module showing incorrect number of columns in mobile mode when Column layout is set to default.
- Fixed undefined Woocommerce related fatal error on builder load.
- Fixed PHP fatal error when Menu module is added in TB.
- Fixed Featured Image on Product pages not being full width on mobile.
- Added Custom tabs in Woo Tabs module in non-product Pages.
- Includes Divi module's images on Rank Math sitemap and add ability to reload Rank Math app on rendered content update.
- Fixed the "wp is not defined" error that could show up in console when loading the builder.
- Fixed srset attributes not being generated properly for images that were scaled down by WordPress core.
- Fixed rollback to use fallback version format for trailing dot zero case.
- Fixed ES6 Promise enqueuing from jsDelivr CDN instead of local.
- Fixed a Javascript error when loading a page inside an iframe on a different domain.
	* core/admin/js/es6-promise.auto.min.js
	* core/admin/js/frame-helpers.js
	* core/components/VersionRollback.php
	* core/components/api/spam/ReCaptcha.php
	* core/functions.php
	* core/ui/components/icon/icon.jsx
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/deprecations.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Signup.php
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/module/woocommerce/Images.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/module/woocommerce/Upsells.php
	* includes/builder/plugin-compat/seo-by-rank-math.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/src/block-layout-frontend-preview.js

version 4.4.1 ( updated 03-11-2020 )
- Fixed Gutenberg's Snackbar and Publish sidebar that is being rendered on top of Divi Library's overlay.
- Fixed price text hover styles in Shop module.
- Fixed arrows positioning for the Motion Effects Mid offset setting in Firefox.
- Fixed an HTML validation error in the Contact Form module's form element.
- Fixed incorrect fullscreen fullwidth header height in Layout Block Preview.
- Fixed Fullwidth Menu overlaping.
- Fixed layout block not being rendered on reusable block edit page if WordPress is installed in sub-directory.
- Fixed shortcode not working in Woo Tabs module.
- Fixed Blog Module Pagination to work in the Safari browser with Image Overlay.
- Fixed video iframe aspect ratio on the frontend when Smush Lazy Load enabled.
- Fixed Image Border settings in Gallery module.
- Fix a regression in the Email Opt-in module that caused all form submissions to be flagged as spam when Spam Protection was disabled in the module settings.
- Fixed incorrect layout block dimension in Gutenberg after window is resized to smaller screen since WordPress 5.4.
- Fixed breaking position options adjustment at Layout Block due to another Gutenberg markup change in WordPress 5.4.
- Fixed responsive content inherit value not properly computed when the value is escaped by ET_Builder_Element::_esc_attr  method.
- Fixed CTA Body Text design not working on FE and few  Body Text design affecting the CTA Title Text.
- Fixed broken fullscreen fullwidth header at Layout Block preview.
- Fixed broken tablet layout when using Woo Related product module and when Column layout is set.
- Fixed unwanted margin rendered when Use Default Editor on Gutenberg placeholder is hovered.
- Fixed an issue with HTML special characters not being decoded in Mailster error messages.
- Fixed broken tablet layout when using Woo Related product module and when Column layout is set.
	* core/components/api/email/Mailster.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/Audio.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/Button.php
	* includes/builder/module/CircleCounter.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/CountdownTimer.php
	* includes/builder/module/Cta.php
	* includes/builder/module/FullwidthHeader.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/Login.php
	* includes/builder/module/MapItem.php
	* includes/builder/module/NumberCounter.php
	* includes/builder/module/PricingTablesItem.php
	* includes/builder/module/Shop.php
	* includes/builder/module/Signup.php
	* includes/builder/module/TeamMember.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/Toggle.php
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/module/type/WithSpamProtection.php
	* includes/builder/module/woocommerce/AddToCart.php
	* includes/builder/module/woocommerce/Description.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/module/woocommerce/Upsells.php
	* includes/builder/plugin-compat/wp-responsive-table.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/src/block-layout-frontend-preview.js

version 4.4 ( updated 03-05-2020 )
- Added a modal to display a streamlined layers view of every element on your page.
- Fixed "Use The Divi Builder" button hover styles in WordPress 5.4.
- Fixed layout block rendering compatibility on upcoming WordPress 5.4 due to its markup changes on Block Editor.
- Fixed js warning about non-boolean attribute is_specialty_placeholder in browser console.
- Improved Blog module's compatibility with plugins that rely on the 'post-load' event to initialize their JavaScript.
- Fixed the Blog module Featured Image Custom CSS field not working.
- Fixed compatibility issue w/ WooCommerce Product Add-ons.
- Fixed empty Specialty Section item creating from the Library using the New Divi Builder Experience.
- Fixed creating new Fullwidth Module from the Library using legacy Builder.
- Fixed a number of translatable strings missing or using the wrong text domain.
- Fixed Theme Builder section, row, column and module styles affecting wireframe mode of posts displayed via a Post Content module.
- Fix regression that caused spam protection for the Contact Form and Email Optin modules to be ineffective.
- Added Position z-index option to page settings.
- Fixed Scroll Effects re-rendering issues after switching preview modes in Visual Builder.
- Fixed compatibility with the WP Responsive Table plugin.
- Modified the Gallery module to include each image's Alt Text when defined in the WP Media Library.
- Fixed a PHP notice that could be triggered by some 3rd Party Extensions.
- Fixed issue with Email Optin Module where an empty checkbox field name shows a wrong message related to captcha.
- Fixed PHP notice that occurred when post featured image attachment didn't exist.
- Decreased recommended max execution time and max input time from 180 to 120 seconds.
- Fixed an issue where top padding was added to the Theme Builder footer in some situations.
- Fixed archive listing pages having incorrect CSS selectors for custom post type listings.
- Disabled custom.js file minification.
	* core/components/SupportCenter.php
	* core/components/VersionRollback.php
	* epanel/custom_functions.php
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-settings.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/functions.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Signup.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/field/Scroll.php
	* includes/builder/module/type/WithSpamProtection.php
	* includes/builder/module/woocommerce/AddToCart.php
	* includes/builder/plugin-compat/sfwd-lms.php
	* includes/builder/plugin-compat/wp-responsive-table.php
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/src/builder.js
	* js/src/custom.js

version 4.3.4 ( updated 02-24-2020 )
- Fix a JavaScript error in Theme Customizer.
- Fixed newsletter module fields and text spacing.
- Fixed Accordion Module Scroll Effects with Apply Motion Effects To Child Elements option.
- Fixed inaccurate typography on layout block preview if current post used Theme Builder template which has custom typography configuration.
- "Show Post Categories" will no longer display on non-post layouts in Post Title modules.
- Added arrow head to Add to Cart module's dropdown control.
- Fixed Collapsed state saving for Global Rows and Sections.
- Fixed Woo Add to Cart module's Text alignment option not working in page.
- Added options for choosing when to trigger Scroll Animations.
- Fixed Featured Image Dynamic Content not working inside a Blog module which uses the full post content and is assigned a category filter.
- Fixed compatibility with LearnDash's Focus mode.
- Fixed some errors related to the spam protection feature of the Contact Form and Email Opt-in modules.
- Fixed a bug that caused the Google reCAPTCHA logo to be shown on pages that did not include any modules with Spam Protection enabled.
- Fixed Fullwidth Header module not having the appropriate top padding when the current post is not powered by the builder.
	* core/admin/js/recaptcha.js
	* core/components/api/spam/ReCaptcha.php
	* core/cypress.json
	* core/ui/utils/property-resolver.js
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/WoocommerceProductVariablePlaceholder.php
	* includes/builder/frontend-builder/theme-builder/WoocommerceProductVariablePlaceholderDataStoreCPT.php
	* includes/builder/frontend-builder/theme-builder/WoocommerceProductVariationPlaceholder.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/module/FullwidthPostTitle.php
	* includes/builder/module/PostTitle.php
	* includes/builder/module/field/Scroll.php
	* includes/builder/module/helpers/Background.php
	* includes/builder/module/helpers/Slider.php
	* includes/builder/module/type/WithSpamProtection.php
	* includes/builder/module/woocommerce/AddToCart.php
	* includes/builder/plugin-compat/sfwd-lms.php
	* includes/builder/scripts/frontend/global-functions.js
	* includes/builder/scripts/frontend/motion-effects.js
	* includes/builder/scripts/frontend/preview.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/src/block-layout-frontend-preview.js
	* includes/builder/scripts/src/builder.js
	* includes/builder/scripts/src/cpt-modules-wrapper.js
	* includes/builder/templates/block-layout-preview.php
	* includes/theme-builder.php
	* js/src/custom.js
	* js/src/smoothscroll.js
	* js/src/theme-customizer-controls.js
	* js/src/theme-customizer.js

version 4.3.3 ( updated 02-20-2020 )
- Prevented WP-Stateless from causing et-cache folder to grow indefinitely.
- Fixed redundant CSS on modules with position options.
- Fixed Scroll Effects elements Animation issues on real mobile devices.
- Fixed an issue with the Testimonial module author/company link target.
- Fixed background image and gradient not working in Bar Counter Module.
- Fixed Border settings in Cart notice module.
- Fixed Contact Forms not showing a success message on 404 or other error pages.
- Improved Scroll Effects preview accuracy when using the Divi Builder in backend.
- Fixed a JavaScript error that occured when choosing to clone an existing page from the Page Creation cards.
- Fixed a PHP error that occured when loading the builder in certain cases.
- Introduces hooks action after BFB autosave and VB explicit save for 3rd Party extensions to access the rendered content.
- Fixed Sections Removing issue in Legacy Builder in some cases.
- Fixed menus inside rows being cut off on mobile devices.
- Avoid reinit Maps and Fullwidth Maps modules during preview mode changes and resizing settings modal.
- Fixed inconsistent background behaviour on post slider and fullwidth post slider when featured image is set as background and other background setting are changed.
- Rendered progress bar on portability tooltip even the progress is 0% to avoid spinner being rendered.
- Added Border and Box Shadow options to the Fullwidth Code and Code modules.
- Fixed Individual accordion Closed Title Font styles output.
- Fixed error "Input argument is not an HTMLInputElement" in custom CSS editor.
- Fixed Theme Builder cannot be loaded when WooCommerce Points & Rewards plugin is activated.
- Fixed fullscreen Fullwidth Header elements not taking the full screen height when used inside a Theme Builder header layout.
- Fixed Post oEmbeds not working when post pages are affected by a Theme Builder body layout.
- Fixed custom post type taxonomy term archive listings being overridden by the post type archive page condition rather than the taxonomy term archive condition in Theme Builder.
- Fixed contact form modules in Theme Builder layouts not submitting when displayed on archive listing pages.
- Fixed specialty section solid column border not showing in frontend.
- Fixed misaligned settings modal's UI component on Layout Block builder.
- Fixed modules with position fixed and bottom origin, on VB and TB.
- Fixed location of buttons with fixed position on VB.
- Fixed location of modules with fixed position on zoom preview.
- Fixed Image border not showing on Placeholder images when using the Shop module.
- Fixed a bug in Blog/PostSlider/Portfolio modules to show Private posts to Admin, Editor and Author user level.
- Fixed title, content, and meta hover styles in the blog module not being applied when hovering over the module.
- Fixed nested Toolset shortcodes not working.
- Allowed the display of non-public taxonomies for post conditions in the Theme builder and added filters to control this behavior.
- Fixed Woo Images module's Image not showing up on Shop when Theme Builder layout is used.
- Fixed Product crashes on front end when using Divi Builder content w/o enabling the builder.
- Fixed Blog module pagination being affected by the main WordPress query in certain cases leading to 404 errors.
- Removed unsupported Read More Tag button from the tinyMCE editor.
- Fixed mailster custom field data not showing.
- Fixed reCAPTCHA v3 invalid action name JavaScript error.
- Revived progress bar in tooltip export at visual builder.
- Fixed issue with Mailchimp Email Optin's group data with type dropdown / radio not being sent properly.
- Fixed error email already exists in Mailster Optin Email Module when the user already subscribed to another list.
- Fixed theme customizer not displaying correctly in RTL mode.
	* LICENSE.md
	* core/admin/js/core.js
	* core/admin/js/portability.js
	* core/components/api/email/MailChimp.php
	* core/components/api/email/Mailster.php
	* core/components/api/spam/ReCaptcha.php
	* includes/builder/ab-testing.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/compat/early.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/ThemeBuilderRequest.php
	* includes/builder/frontend-builder/theme-builder/WoocommerceProductVariablePlaceholder.php
	* includes/builder/frontend-builder/theme-builder/WoocommerceProductVariablePlaceholderDataStoreCPT.php
	* includes/builder/frontend-builder/theme-builder/WoocommerceProductVariationPlaceholder.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/AccordionItem.php
	* includes/builder/module/BarCounters.php
	* includes/builder/module/BarCountersItem.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Button.php
	* includes/builder/module/Code.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/FilterablePortfolio.php
	* includes/builder/module/FullwidthCode.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/Shop.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/helpers/Background.php
	* includes/builder/module/helpers/ResponsiveOptions.php
	* includes/builder/module/helpers/Slider.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/plugin-compat/wp-views.php
	* includes/builder/scripts/frontend/global-functions.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/src/bfb_admin_script.js
	* includes/builder/scripts/src/block-layout-frontend-preview.js
	* includes/builder/scripts/src/builder.js
	* js/src/custom.js
	* js/src/theme-customizer.js

version 4.3.2 ( updated 02-07-2020 )
- Fixed the issue when Module settings were not accessible on hover in some cases.
- Fixed headed z-index position on custom post types.
- Fixed Font Uploader in Divi Builder.
- Fixed wireframe mode not being visible when editing a post affected by a Theme Builder body layout.
- Fixed cloned and imported Theme Builder layouts still showing the Page Creation flow in certain cases.
- Fixed incorrect fixed positioning module inside layout block preview.
- Fixed characters encoding for category meta Post Title & FW Post Title module in builder mode.
- Fixed fatal error when previewing Divi theme.
	* core/components/Portability.php
	* core/init.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/helpers/ResponsiveOptions.php
	* includes/builder/scripts/src/block-layout-frontend-preview.js

version 4.3.1 ( updated 02-05-2020 )
- Fixed Motion Effects loading issues on Frontend in some cases.
- Fix a JavaScript error when loading the Visual Builder from the WP Admin.
- Fixed Animations loading on Frontend.
- Fixed a bug that cause the builder's global JS object to be defined on frontend pages.
- Fixed Animations loading on Frontend.
	* core/admin/js/frame-helpers.js
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/scripts/frontend/motion-effects.js
	* js/src/custom.js

version 4.3 ( updated 02-05-2020 )
- Added Scroll Effects.
- Fixed shortcodes failing to load while editing in the Visual Builder when a Theme Builder body layout is used.
- Fixed Cannot read property 'join' of undefined error when opening settings modal due to static helper file hasn't been rebuilt.
- Fixed builder crash when extending module styles of a newly created child module.
- Fixed characters encoding for category meta in Post Slider & FW Post Slider module in builder mode.
- Fixed certain styles in a Theme Builder Body layout affecting the Visual Builder container.
- Fixed broken CSS Parallax in new builder experience.
- Fixed menu module being overlapped by content in columns after it by default.
- Fixed transparent header causing a double top padding being applied in the Visual Builder only in certain cases.
- Fixed Dynamic Content not working in certain cases inside Blog modules which display the full post content.
- Emulate hover state content swap on click event for mobile devices.
- Fixed Title / Content for Login module disappear on hover.
- Fixed issue where Post Title only loads the first time on WordPress.com websites.
- Fixed Rows pasting into empty sections.
- Fixed animated elements not showing up after switching tabs in Tabs module in certain cases.
- Fixed Dynamic Content post title label truncation by removing the fixed length.
- Fix position value output on FE on modules that have relative position as default.
	* CREDITS.md
	* epanel/core_functions.php
	* functions.php
	* includes/builder/autoload.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-settings.php
	* includes/builder/core.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/custom-defaults/Settings.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets/css/src/failure_modal.scss
	* includes/builder/frontend-builder/assets/css/src/fb-top-window.scss
	* includes/builder/frontend-builder/assets/css/src/responsive-preview.scss
	* includes/builder/frontend-builder/assets/scripts/failure_notice.js
	* includes/builder/frontend-builder/assets/scripts/src/failure_notice.js
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/ThemeBuilderRequest.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php
	* includes/builder/languages/et_builder-en_US-et-builder-gutenberg.po
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Accordion.php
	* includes/builder/module/BarCounters.php
	* includes/builder/module/BarCountersItem.php
	* includes/builder/module/Blog.php
	* includes/builder/module/FilterablePortfolio.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Login.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/Shop.php
	* includes/builder/module/Signup.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/TabsItem.php
	* includes/builder/module/TeamMember.php
	* includes/builder/module/VideoSliderItem.php
	* includes/builder/module/field/Factory.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/field/Scroll.php
	* includes/builder/module/field/Transform.php
	* includes/builder/module/helpers/Alignment.php
	* includes/builder/module/helpers/BackgroundLayout.php
	* includes/builder/module/helpers/Font.php
	* includes/builder/module/helpers/Height.php
	* includes/builder/module/helpers/HoverOptions.php
	* includes/builder/module/helpers/MaxHeight.php
	* includes/builder/module/helpers/MaxWidth.php
	* includes/builder/module/helpers/MinHeight.php
	* includes/builder/module/helpers/MultiValue.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/module/helpers/OptionTemplate.php
	* includes/builder/module/helpers/Overflow.php
	* includes/builder/module/helpers/ResponsiveOptions.php
	* includes/builder/module/helpers/Slider.php
	* includes/builder/module/helpers/TransitionOptions.php
	* includes/builder/module/helpers/Width.php
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/module/helpers/motion/Blur.php
	* includes/builder/module/helpers/motion/Motion.php
	* includes/builder/module/helpers/motion/Opacity.php
	* includes/builder/module/helpers/motion/Rotate.php
	* includes/builder/module/helpers/motion/Sanitizer.php
	* includes/builder/module/helpers/motion/Scale.php
	* includes/builder/module/helpers/motion/Translate.php
	* includes/builder/module/type/PostContent.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/plugin-compat/advanced-custom-fields.php
	* includes/builder/plugin-compat/the-events-calendar.php
	* includes/builder/plugin-compat/wp-smushit.php
	* includes/builder/post/PostStack.php
	* includes/builder/scripts/admin_global_functions.js
	* includes/builder/scripts/bfb_admin_script.js
	* includes/builder/scripts/builder.js
	* includes/builder/scripts/cache_notice.js
	* includes/builder/scripts/cpt-modules-wrapper.js
	* includes/builder/scripts/ext/jquery.easypiechart.js
	* includes/builder/scripts/ext/jquery.fittext.js
	* includes/builder/scripts/ext/jquery.fitvids.js
	* includes/builder/scripts/ext/jquery.hashchange.js
	* includes/builder/scripts/ext/jquery.magnific-popup.js
	* includes/builder/scripts/ext/jquery.mobile.custom.min.js
	* includes/builder/scripts/ext/lz-string.min.js
	* includes/builder/scripts/ext/salvattore.min.js
	* includes/builder/scripts/ext/waypoints.min.js
	* includes/builder/scripts/failure_notice.js
	* includes/builder/scripts/frontend-builder-global-functions.js
	* includes/builder/scripts/frontend/global-functions.js
	* includes/builder/scripts/frontend/motion-effects.js
	* includes/builder/scripts/frontend/preview.js
	* includes/builder/scripts/frontend/scripts.js
	* includes/builder/scripts/library_category.js
	* includes/builder/scripts/library_scripts.js
	* includes/builder/scripts/page-settings-metabox.js
	* includes/builder/scripts/reset_memory_limit_increase_setting.js
	* includes/builder/scripts/roles_admin.js
	* includes/builder/scripts/src/admin_global_functions.js
	* includes/builder/scripts/src/bfb_admin_script.js
	* includes/builder/scripts/src/block-layout-frontend-preview.js
	* includes/builder/scripts/src/builder.js
	* includes/builder/scripts/src/cache_notice.js
	* includes/builder/scripts/src/cpt-modules-wrapper.js
	* includes/builder/scripts/src/failure_notice.js
	* includes/builder/scripts/src/library_category.js
	* includes/builder/scripts/src/library_scripts.js
	* includes/builder/scripts/src/page-settings-metabox.js
	* includes/builder/scripts/src/reset_memory_limit_increase_setting.js
	* includes/builder/scripts/src/roles_admin.js
	* includes/builder/styles/frontend-builder-global-style.scss
	* includes/builder/styles/frontend-builder-grid.scss
	* includes/builder/styles/frontend-builder-shared-conditional-style.scss
	* includes/builder/styles/frontend-builder-shared-style.scss
	* includes/builder/styles/frontend-builder-style.scss
	* includes/builder/styles/frontend-builder/button.scss
	* includes/builder/styles/frontend-builder/comments.scss
	* includes/builder/styles/magnific_popup.css
	* includes/builder/styles/src/advanced_options.scss
	* includes/builder/styles/src/bb_bfb_common.scss
	* includes/builder/styles/src/jquery-ui-1.12.1.custom.scss
	* includes/builder/styles/src/library_menu.scss
	* includes/builder/styles/src/library_pages.scss
	* includes/builder/styles/src/magnific_popup.scss
	* includes/builder/styles/src/notification_popup_styles.scss
	* includes/builder/styles/src/preview.scss
	* includes/builder/styles/src/roles_style.scss
	* includes/builder/styles/src/style.scss
	* includes/builder/styles/src/widgets.scss
	* includes/functions/sanitization.php
	* includes/module-customizer/migrations.php
	* js/custom.js
	* js/src/admin_post_settings.js
	* js/src/custom.js
	* js/src/custom.unified.js
	* js/src/menu_fix.js
	* js/src/smoothscroll.js
	* js/src/theme-customizer-controls.js
	* js/src/theme-customizer.js
	* scss/base.scss
	* scss/editor-blocks.scss
	* scss/editor-style.scss
	* scss/main-styles.scss
	* scss/rtl.scss
	* scss/style-cpt.dev.scss
	* scss/style-cpt.scss
	* scss/style-header.scss
	* scss/style.dev.scss
	* scss/style.scss
	* scss/theme-customizer-controls-styles.scss
	* webpack.config.js
	* webpack.production.config.js

version 4.2.2 ( updated 01-21-2020 )
- Fixed text module with position options not looking the same in FE and VB.
- Fixed scrolling issue in tinyMCE editor in some cases.
- Fixed missing scrollbar after closing the Settings Modal with tinyMCE in fullscreen mode.
- Fixed a rare fatal error when attempting to edit a page assigned as the posts page for the site with the builder.
- Fixed the font upload modal overlay overlapping the modal itself.
- Fixed z-index values set to 0 being read as empty on FE.
- Fixed modules position if z-index is set.
- Fixed columns having a minimum height of 48px.
- Fixed Post Content modules not outputting all The Events Calendar event data.
- Fixed WooCommerce product count under Theme Options overriding the Shop module settings.
- Fixed locale system.
- Fixed Uploaded User Fonts rendering when they set as default in Customizer.
- Added new et_search_form_fields hook that fires inside the theme search form element.
- Fixed a JavaScript syntax error that occurred when passing an invalid ID when the alternative scroll-to-anchor method was enabled.
	* core/functions.php
	* epanel/custom_functions.php
	* epanel/google-fonts/et_google_fonts.js
	* functions.php
	* header.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/init.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/module/Shop.php
	* includes/builder/module/Signup.php
	* includes/builder/module/field/Position.php
	* includes/builder/plugin-compat/amazon-s3-and-cloudfront.php
	* includes/builder/plugin-compat/the-events-calendar.php
	* includes/builder/scripts/frontend-builder-scripts.js
	* theme-header.php

version 4.2.1 ( updated 01-17-2020 )
- Avoid setting default position on desktop.
- Fixed styling conflict with Divi Den Pro plugin for Login & Subscribe module.
- Fixed sections with default position options having forced default width of 100%.
- Fixed 3 column rows adding into some specialty sections from library.
- Fixed rows inside a Fullwidth Post Content module having incorrect default padding.
- Fixed border styles for Gallery module being applied to the image element rather than the image wrapper.
- Fixed the issue when Parallax background was not applied correctly in Filterable Portfolio in some cases.
- Fixed error when testimonial module content not wrapped with HTML tag.
- Fixed Page Options Role in Gutenberg Editor.
- Fixed responsive images compatibility issue with WP Offload Media Lite for Amazon S3 plugin.
- Fixed email address alignment on phone resolution.
	* core/components/Portability.php
	* core/components/data/Utils.php
	* core/components/data/init.php
	* core/composer.json
	* core/functions.php
	* core/wp_functions.php
	* css/main-styles.css
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/ThemeBuilderRequest.php
	* includes/builder/frontend-builder/theme-builder/template-setting-validations.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/frontend-builder/theme-builder/wpml.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Login.php
	* includes/builder/module/Signup.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/field/Position.php
	* includes/builder/plugin-compat/amazon-s3-and-cloudfront.php
	* includes/builder/scripts/frontend-builder-scripts.js

version 4.2 ( updated 01-16-2020 )
- Added position options to all modules.
- Added draggable position controller to all modules.
- Fixed missing Circle Counter module validation in VB.
- Fixed certain custom post types from plugins not being visible in the Builder Post Type Integration tab of the options page.
- Fixed HTML5 validation error with the search button element in Menu and Fullwidth Menu modules.
- Fixed the issue when fonts are not visible in Customizer in some cases.
- Fixed broken CSS Parallax in new builder experience.
- Fixed Theme Builder compatibility with WPML.
- Fixed an issue with the Fullwidth Header module logo image alt using the title text instead of the alternative text.
- Fixed clone existing page options still being available when load layout permission is disabled.
- Fixed the Use Current Page option in the Shop module not displaying the correct products on product attribute archive pages.
- Fixed Theme Builder import not importing all layouts from the export file in certain cases.
- Fixed setting of initial shortcode index for child items in Visual Builder.
- Fix an error that occurred when attempting to load a layout using the Divi Layout Block.
- Fixed potential PHP error when activating the New Divi Builder Experience using the link below legacy builder.
- Fixed Comments & Reviews modules' Border option group selector.
- Fixed fullscreen Header module not accounting for the Theme Builder header layout height, if any.
- Fixed an issue where the Featured Image on a post would use the Post Title in place of its own Alt Text (as set in the WP Media Library).
- Fixed Theme Builder Body layout section background color page settings interactions with Post Content section background color page settings.
- Fixed empty default WooCommerce HTML tags appearing on product pages which are powered by the Theme Builder.
- Fixed border radius not applying to the Gallery module image overlay.
- Removed unwanted vertical spaces in accordion, toggle, call to action, email optin, login, and testimonial modules when their title and/or content are empty.
- Added check to ensure Gutenberg is installed before registering Divi Layout Block.
- Fixed the responsive images srcset & sizes attributes after upload directory changed.
- Fixed errors caused by using Gutenberg functions when Gutenberg wasn't installed.
- Fixed users being unable to subscribe to other lists if they are already subscribed on another list on Activecampaign.
	* core/admin/js/core.js
	* core/components/api/email/ActiveCampaign.php
	* core/composer.json
	* core/cypress.json
	* core/functions.php
	* core/ui/components/controls/sortable-list/sortable-list.jsx
	* core/ui/components/controls/toggle/toggle.jsx
	* core/ui/components/hoc/drag-drop-context.jsx
	* core/ui/components/icon/icon.jsx
	* core/ui/utils/frame-helpers.js
	* core/ui/utils/property-resolver.js
	* core/wp_functions.php
	* epanel/core_functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/ThemeBuilderRequest.php
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/template-setting-validations.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/frontend-builder/theme-builder/wpml.php
	* includes/builder/functions.php
	* includes/builder/main-structure-elements.php
	* includes/builder/module/AccordionItem.php
	* includes/builder/module/Audio.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Button.php
	* includes/builder/module/CircleCounter.php
	* includes/builder/module/Comments.php
	* includes/builder/module/Cta.php
	* includes/builder/module/Divider.php
	* includes/builder/module/FilterablePortfolio.php
	* includes/builder/module/FullwidthCode.php
	* includes/builder/module/FullwidthHeader.php
	* includes/builder/module/FullwidthImage.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Login.php
	* includes/builder/module/Map.php
	* includes/builder/module/Menu.php
	* includes/builder/module/NumberCounter.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/PricingTables.php
	* includes/builder/module/Search.php
	* includes/builder/module/Shop.php
	* includes/builder/module/Signup.php
	* includes/builder/module/Slider.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/Toggle.php
	* includes/builder/module/Video.php
	* includes/builder/module/VideoSlider.php
	* includes/builder/module/field/MaxWidth.php
	* includes/builder/module/field/Position.php
	* includes/builder/module/woocommerce/Gallery.php
	* includes/builder/plugin-compat/woocommerce.php
	* includes/builder/scripts/bfb_admin_script.js
	* includes/builder/scripts/frontend-builder-scripts.js
	* index.php
	* js/custom.js
	* page-template-blank.php
	* page.php
	* single-project.php
	* single.php

version 4.1 ( updated 01-09-2020 )
- Fixed issue were builder broke when pasting incorrect payload on background tab UI.
- Fixed WooCommerce cart notices being misplaced when the module is used in a Theme Builder layout on products that do not use the builder for their content.
- Shortened the product and project taxonomy labels in theme builder.
- Fixed Extra's category layouts being included in Your Existing Pages tab of Load From Library modal.
- Improved hover content swap on per post mouse hover.
- Fixed responsive images not switching properly when tablet/phone mode images had no SRCSET attributes.
- Fixed overflow settings being overwritten by border radius settings in certain cases.
- Fixed color manager tooltip not being visible in the first row in some cases.
- Allowed common HTML tags (e.g. h1-h6, i, strong etc.) in Dynamic Content Before and After fields.
- Adding Divi Layout Block.
- Enabling user to add pre-made layout, saved layout, or page's layout to Block Editor.
- Enabling user to edit layout inserted into Divi Layout Block.
- Post Featured Image Dynamic Content option will now display the category/tag/term featured image, if any.
- Fixed large import files failing to import in the Theme Builder.
- Introduced paste styles on mixed selected items.
- Fixed Woo Related Products to display only Products when used in Shop page irrespective of the Theme Customizer's Shop Page Display setting.
- Added the Skype protocol ("skype:") to WP's URL allowlist, so that Skype URLs can be used in link fields.
- Updated translation tasks so it can handle Divi Layout Block's translatable string mechanism.
- Added styling for Block Editor which matches Divi's frontend appearance.
	* core/functions.php
	* css/editor-blocks.css
	* css/main-styles.css
	* et-pagebuilder/et-pagebuilder.php
	* functions.php
	* includes/block-editor-integration.php
	* includes/builder/api/rest/BlockLayout.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/gutenberg/blocks/Layout.php
	* includes/builder/feature/gutenberg/utils/Conversion.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php
	* includes/builder/languages/ar.po
	* includes/builder/languages/bg_BG.po
	* includes/builder/languages/cs_CZ.po
	* includes/builder/languages/da_DK.po
	* includes/builder/languages/de_DE.po
	* includes/builder/languages/el.po
	* includes/builder/languages/en_US.po
	* includes/builder/languages/es_ES.po
	* includes/builder/languages/et_builder-ar-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-bg_BG-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-cs_CZ-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-da_DK-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-de_DE-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-el-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-en_US-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-es_ES-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-fi-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-fr_FR-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-he_IL-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-hu_HU-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-id_ID-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-it_IT-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-ja-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-ko_KR-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-ms_MY-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-nb_NO-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-nl_NL-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-pl_PL-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-pt_BR-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-ro_RO-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-ru_RU-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-sk_SK-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-sr_RS-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-sv_SE-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-th-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-tl-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-tr_TR-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-uk-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-vi-et-builder-gutenberg.po
	* includes/builder/languages/et_builder-zh_CN-et-builder-gutenberg.po
	* includes/builder/languages/fi.po
	* includes/builder/languages/fr_FR.po
	* includes/builder/languages/he_IL.po
	* includes/builder/languages/hu_HU.po
	* includes/builder/languages/id_ID.po
	* includes/builder/languages/it_IT.po
	* includes/builder/languages/ja.po
	* includes/builder/languages/ko_KR.po
	* includes/builder/languages/ms_MY.po
	* includes/builder/languages/nb_NO.po
	* includes/builder/languages/nl_NL.po
	* includes/builder/languages/pl_PL.po
	* includes/builder/languages/pt_BR.po
	* includes/builder/languages/ro_RO.po
	* includes/builder/languages/ru_RU.po
	* includes/builder/languages/sk_SK.po
	* includes/builder/languages/sr_RS.po
	* includes/builder/languages/sv_SE.po
	* includes/builder/languages/th.po
	* includes/builder/languages/tl.po
	* includes/builder/languages/tr_TR.po
	* includes/builder/languages/uk.po
	* includes/builder/languages/vi.po
	* includes/builder/languages/zh_CN.po
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Blog.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/field/Border.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Upsells.php
	* includes/builder/scripts/block-layout-frontend-preview.js
	* includes/builder/scripts/builder.js
	* includes/builder/scripts/frontend-builder-global-functions.js
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/styles/frontend-builder-global-style.css
	* includes/builder/styles/preview-layout-block.css
	* includes/builder/template-preview.php
	* includes/builder/templates/block-layout-preview.php

version 4.0.11 ( updated 01-02-2020 )
- Fix issue with Google fonts not loading.
- Fix syntax error that occured on retired PHP versions.
	* includes/builder/feature/AjaxCache.php
	* includes/builder/feature/custom-defaults/History.php

version 4.0.10 ( updated 01-02-2020 )
- Fixed code injection vulnerability. For more information, please read the full disclosure: https://us7.campaign-archive.com/?u=9ae7aa91c578052b052b864d6&id=e3532c8cb1
- Fixed an issue with reCAPTCHA Minimum Score option where the value would validate to a size unit.
- Fixed Cannot modify header information warning.
- Fixed broken theme builder when add-ons using mechanism which was not compatible with how Theme Builder render WooCommerce module's placeholder data.
- Added a new "Edit Template" button to the Admin Bar when the current page is affected by a Theme Builder template.
- Fixed module borders not being visible when a video column background is set.
- Fixed Smush 3.2.* compatibility.
- Duplicated Theme Builder templates with custom titles will now have a "Copy" suffix appended.
- Fixed inaccurate import UI behaviour when the import time takes longer than heartbeat interval.
- Fixed compatibility with the TablePress plugin when searching.
- Fixed HTML in Post Title Dynamic Content always being escaped.
- Fixed Theme Builder Visual Builder jumpting to top when you change the preview mode.
- Fixed Theme Builder overwriting current page builder's style.
- Added placeholders when using Woo Gallery module w/ "This Product" in Theme Builder layout.
- Toggling a Theme Builder template settings will now toggle off its counterpart (Use On vs Exclude From).
- Fixed responsive/hover content getting stripped when has a link with a target attribute.
- Fixed responsive content not visible on page load when it has same value as desktop mode.
- Fixed Divi Testimonial Slider causing the Visual Builder to reload itself.
- Global Defaults are now exported and imported in the Theme Builder.
- Fixed "Syntax error, unrecognized expression: unsupported pseudo: ui-sortable" error caused by user's custom javascript widget dynamically inserted jQuery script.
- Added icon/image alignment option in Blurb module.
- Fixed Theme Builder to show Category image on Product category archive page.
- Fixed Invalid Responsive Images SRCSET Attribute Value.
- Fixed WooCommerce structured data not being output when using a Theme Builder Body layout.
- Fixed Copy/Paste text fields not working correctly after reset.
- Added Copy/Paste between Text module Heading option group and Woo modules that contains the Title option group.
- Fixed Editors not being able to use the Theme Builder even if it gets enabled for them.
- Reduce server load by implementing several performance optimizations.
- Fixed wrong syntax for responsive image sizes attributes for thumbnail size images.
- Fixed Toolset Views {!{ ... }!} shortcode compatibility with Theme Builder layouts.
- Fixed inability to add Active Campaign account on email optin module due to Form ID being marked as required field.
- Fixed broken visual builder when jQuery v3.x gets queued by plugins instead of default v1.12.x.
- Fixed saving post in builder triggers purging all cache.
- Fixed compatibility with WP Job Manager.
- Fixed layout settings such as Custom CSS not being exported in Theme Builder.
- Added a new "Category Description" Dynamic Content option when editing layouts in the Theme Builder.
- Fixed unwanted 1px vertical space that appears on certain divider repeat on chrome and safari.
- Fixed the Visual Builder not opening the last edited layout when a builder reload is triggered.
- Added new "Specific Author Page By Role" options for Theme Builder templates.
- Fixed issue where list Item Indent is different on VB vs front end.
- Added a new "Author Page Link" Dynamic Content option.
- Fixed Post Title and Fullwidth Post Title modules not allowing HTML in the titles anymore.
- Added missing Google fonts.
- Fixed a JavaScript error in the WooCommerce admin page.
- Fixed a PHP warning in Support Center that occurred when credentials had an incorrect value type.
- Improved Support Center handling of wp-debug.log when no errors have yet triggered its creation.
- Fix a PHP filesystem error that occured on some hosting environments.
- Fixed footer widgets disappearing when a Theme Builder footer layout is being used.
- Fixed Cannot read property 'top' of undefined error due to recent fix related to primary nav + hide nav until scroll.
- Fixed unwanted padding-top that is being added when primary nav has transparent background color and has its hide nav until scroll option active.
- Fixed post detail pages with the Fullwidth layout assigned having their row width be set to 100%.
	* core/admin/js/core.js
	* core/components/PageResource.php
	* core/components/Portability.php
	* core/components/SupportCenter.php
	* core/components/cache/Directory.php
	* core/components/data/Utils.php
	* core/functions.php
	* core/json-data/google-fonts.json
	* css/main-styles.css
	* epanel/custom_functions.php
	* footer.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-settings.php
	* includes/builder/core.php
	* includes/builder/feature/AjaxCache.php
	* includes/builder/feature/custom-defaults/History.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/i18n/generic.php
	* includes/builder/frontend-builder/i18n/portability.php
	* includes/builder/frontend-builder/theme-builder/ThemeBuilderApiErrors.php
	* includes/builder/frontend-builder/theme-builder/WoocommerceProductVariablePlaceholder.php
	* includes/builder/frontend-builder/theme-builder/WoocommerceProductVariablePlaceholderDataStoreCPT.php
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/dynamic-content.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/frontend-builder/theme-builder/template-setting-validations.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/frontend-builder/theme-builder/woocommerce.php
	* includes/builder/functions.php
	* includes/builder/google-fonts-data.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/FullwidthPostContent.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/FullwidthPostTitle.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/PostContent.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/PostTitle.php
	* includes/builder/module/Signup.php
	* includes/builder/module/Text.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/module/type/PostContent.php
	* includes/builder/module/type/WithSpamProtection.php
	* includes/builder/module/woocommerce/AdditionalInfo.php
	* includes/builder/module/woocommerce/Price.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Title.php
	* includes/builder/module/woocommerce/Upsells.php
	* includes/builder/plugin-compat/divi-testimonial-slider.php
	* includes/builder/plugin-compat/woocommerce.php
	* includes/builder/plugin-compat/wp-job-manager.php
	* includes/builder/plugin-compat/wp-smushit.php
	* includes/builder/plugin-compat/wp-views.php
	* includes/builder/scripts/frontend-builder-scripts.js
	* js/custom.js

version 4.0.9 ( updated 12-10-2019 )
- Fixed empty p tags appearing around builder elements in certain cases.
- Fixed Social Media Follow padding setting not working on post.
- Allowed an exported Default Website Template to be imported when "Override the Default Website Template" is disabled.
- Added ACF Group field support for Dynamic Content.
- Added table button in New Builder Experience's tinyMCE field.
- Fixed custom module styles of equal CSS specificity sometimes being out of order.
- Fixed page styles taking over page module styles in certain cases.
- Fixed new items not being displayed immediately once bulk copy & paste items done.
- Fixed TB to display Woo Tabs data when Product option is set to "This Product".
- Fixed compatibility w/ Woo Extra Product Options addon to display the fields in FE.
- Fixed menu dropdowns in Theme Builder being cut off vertically in certain cases.
- Fixed the Request a Quote form not being visible in certain cases when using the Request a Quote for WooCommerce plugin.
- Renamed Title Text options group into Comment/Review Count Text and introduced new options group called Form Title Text to customize title above comment/review form on Comments & Woo Reviews modules.
- Fixed outdated post excerpts showing up in archive listings and Blog modules when global modules and Dynamic Content are involved.
- Prevent Email Optin to override subscriber info if the email is already registered for ActiveCampaign.
	* core/components/api/email/ActiveCampaign.php
	* core/components/data/Utils.php
	* epanel/custom_functions.php
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/comments_template.php
	* includes/builder/core.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/functions.php
	* includes/builder/module/Comments.php
	* includes/builder/module/SocialMediaFollow.php
	* includes/builder/module/woocommerce/Reviews.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/plugin-compat/advanced-custom-fields.php
	* includes/builder/styles/frontend-builder-global-style.css

version 4.0.8 ( updated 12-09-2019 )
- Fixed "No Results Found" text not using styles from the respective blog module.
- Removed irrelevant Divider Module's visual builder-specific z-index.
- Fixed Blurb title hover styles not taking effect when hovering over the module.
- Fixed the Library Modal not being visible in certain cases in the Theme Builder.
- Fixed color palette compatibility with the NextGEN Gallery plugin.
- Fixed Fullwidth Menu module's search field overlapping the logo.
- Fixed Post Excerpt Dynamic Content placeholder value in Theme Builder not respecting settings like number of words or read more text.
- Fixed Visual Builder for Projects being offset when an RTL language is being used.
- Clicking the "Save Changes" button in the Theme Builder while you have template settings open will now save the template settings changes.
- Fixed Disappearing split test button in wireframe mode if wireframe mode is used on initial load (eg. New Builder Experience).
- Fixed padding settings not working properly with module alignment in the Visual Builder.
- Fixed broken Shop module layout when used in TB for Product category pages.
- Shop module's Use Current Page setting will now cause the module to take WooCommerce widget filters into account as well.
- Fixed a PHP notice that appeared when there were no custom widget areas defined.
- Fixed incorrect padding value being printed to reset button padding for button icon options.
- Fixed image srcset and sizes attributes not generated when site URL moved from HTTP to HTTPS or vice versa.
- Fixed custom css for Fullwidth Slider Title not working for title tags other than h2.
- Fixed layout settings such as custom CSS and color palette not being carried over when you duplicate a Theme Builder layout.
- Fixed display of the AJAX loading animation on the front end when Safe Mode is active.
- Fixed issue where the image Box Shadow would disappear when Image Overlay was enabled.
- Fixed rendering of Global Code modules with unsynced content on Front End.
- Author Bio Dynamic Content will now allow the usage of HTML.
- Fixed Broken grid layout in TB when using Related Products w/ 4 Column layout.
- Fixed find & replace not working properly for Font Style subfield.
- Fixed a javascript error that occurred when hovering over modules in the builder in some cases.
- Fixed meta, link and script tags added to the theme's header.php file missing when a Theme Builder header is used.
- Fixed certain meta tags being duplicated when a Theme Builder header is used.
- Fixed Email Optin module's Name Fullwidth option not working with Use Single Name Field option enabled.
- Fixed the map info window is not displayed when the map pin title or body is empty.
- Fixed CMD key not working to activate multi select feature on Firefox.
- Fixed issue where selected items are being removed while switching preview mode via settings bar.
- Fixed responsive content for hover mode not getting inherited properly when the value is undefined.
- Prevented Welcome to New Builder popup being rendered in Block Editor.
- Fixed Fullwidth Header module's scroll down link not working when there is a module link added.
- Fixed Blog module's box shadow hover effects not working properly in Grid mode.
- Fixed the Fields custom margin/padding to be applied to Add to Cart Dropdowns.
- Fixed Woo Add To Cart module's Dropdown menu border-radius selector.
- Fixed quick actions to enable inserting new and saved module on top of the selected item.
- Fixed quick actions issue where inserting a module into a column takes some time.
- Fixed issue where you can't add a new row after hiding the row if "Show Disabled Modules at 50% Opacity" is enabled.
- Fixed document.onreadystatechange compatibility with other scripts that use it.
- Fixed video overlay play icon still being displayed even when the image overlay is empty.
- Fixed shortcut to fullwidth row (R + F) not working.
- Fixed et_fix_slider_height is not defined error.
- Fixed failure saving visual builder / new builder experience when a module contains emoji while the post_content column of wp_posts table uses utf8 charset and non utf8mb4_* collation.
- Fixed responsive content not working properly inside the theme builder layout when in builder mode.
- Fixed issue where customizing captcha text styles didn't affect the equal symbol of Contact Form module.
- Fixed error report where VB cannot read property 'toLowerCase' of undefined in Contact Form.
- Fixed plugins which hook into the_content from running multiple times when Theme Builder layouts are used.
- Fixed Dynamic Content URLs for specific posts not resolving on non-singular pages.
- Updated jQuery UI style to v1.12.1.
- Fix Divi Builder load failures caused by filesystem permissions on the server.
- Allow the path and url for ET's cache directory to be customized using PHP constants: ET_CORE_CACHE_DIR, ET_CORE_CACHE_DIR_URL.
- Improved client IP address detection and validation.
- Fixed "No Results Found" text not use styles from the respective blog module.
- Fixed row widths being set to 80% regardless of width settings on project pages without a sidebar.
- Fixed arrow icons menu on RTL websites.
	* core/components/PageResource.php
	* core/components/SupportCenter.php
	* core/components/cache/Directory.php
	* core/components/cache/File.php
	* core/components/cache/init.php
	* core/components/data/Utils.php
	* core/components/init.php
	* core/functions.php
	* core/ui/utils/property-resolver.js
	* css/main-styles.css
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/assets/css/fb-top-window.css
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/dynamic-content.php
	* includes/builder/frontend-builder/theme-builder/frontend-header-template.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/frontend-builder/view.php
	* includes/builder/functions.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/MapItem.php
	* includes/builder/module/Shop.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/Video.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/module/type/PostBased.php
	* includes/builder/module/woocommerce/AddToCart.php
	* includes/builder/plugin-compat/cartflows.php
	* includes/builder/scripts/builder.js
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/styles/frontend-builder-global-style.css
	* includes/builder/styles/images/ui-icons_444444_256x240.png
	* includes/builder/styles/images/ui-icons_555555_256x240.png
	* includes/builder/styles/images/ui-icons_777620_256x240.png
	* includes/builder/styles/images/ui-icons_777777_256x240.png
	* includes/builder/styles/images/ui-icons_cc0000_256x240.png
	* includes/builder/styles/images/ui-icons_ffffff_256x240.png
	* includes/builder/styles/jquery-ui-1.10.4.custom.css
	* includes/builder/styles/jquery-ui-1.12.1.custom.css
	* includes/no-results.php
	* includes/theme-builder.php
	* js/custom.js
	* rtl.css
	* theme-head.php

version 4.0.7 ( updated 11-26-2019 )
- Custom post types that do not have 'editor' support enabled will now be included in the Post Type selection in the Blog module settings.
- Toggling off a top-level setting in Theme Builder template settings will now toggle off all descendant settings.
- Fixed Image Overlay option of Image module not working properly with Image Link URL.
- Fixed inconsistent default values in Woo Breadcrumb module's settings.
- Allowed selecting non-published posts as template settings in Theme Builder.
- Fixed unwanted You Have Unsaved Changes popup that appears when layout created before v3.25 is opened then immediately exited without changing anything.
- Improved template settings options' tooltip design.
- Fixed incorrect buttons group being displayed after releasing all selected items with ESC key.
- Fixed product tag archive support for the "Use Current Page" option in the Shop module when used in Theme Builder.
- Fixed recent selected modules not being selected anymore after module's settings modal closed.
- Fixed Theme Builder compatibility with the Cartflows plugin's header/footer-less templates.
- Added maximum length parameter for  the builder settings value.
- Fixed hover link text color applying when the parent module is hovered instead of the link.
- Fixed an empty srcset image attribute is rendered for small images.
- Fixed incorrect alignment on text module after being migrated to the old text alignment option.
- Fixed Post Title module showing the current category title in the excerpt of posts that use it.
- Fixed extend styles not working when extending full width module styles to descendant modules.
- Fixed extend styles not working when extending section styles to rows.
- Fixed Woo Image module breaking the layout when used in Divi Shop page.
- Fixed the custom CSS title selector in the Woo Title module.
- Improved spam protection for the Contact Form and Email Optin modules with Google reCAPTCHA v3.
- Fixed font color option not working on mobile when text color option is active at the same module.
- Fixed Shop module's Overlay and Box shadow to comply with Images when rounded corners are set.
- Fixed Quick Access not showing up when clicking on the outside editable area after doing inline editing.
- Disable Quick Access when user open Extend Styles or Find & Replace modal.
- Fixed the issue when border styles of the Fullwidth mode were applied to the border styles of the Grid mode in Blog module.
- Improved Visual Builder Title when editing layouts from Theme Builder to make it more informative.
- Fixed contact form error when trying to submit with a non-required field that is hidden via custom CSS.
- Allowed Copy/Paste between Shop module's Title option group & Related Products's Product title option group.
- Allowed unassigned templates to have custom titles.
- Fixed filtered search not working for fields under tabbed sub-toggle.
- Fixed issue where desktop box-shadow appears when hovering module in phone view.
- Fixed Contact Form causing an error on the frontend when used in a Theme Builder layout on an Extra listing page.
- Fixed Gallery Module box shadow for images not working properly.
- Fixed Post Categories Dynamic Content used in versions <= 4.0.3 outputting empty values on the front-end since version 4.0.4.
- Fixed fatal error when importing Shop module from pre-made layouts.
- Improve Divi Helper rendering performance by selectively update the component only when related props and state are changed.
- Added slight delay before Quick Access deactivation.
- Fixed the issue when the animation styles were not pasted correctly in some cases.
- Added Force fullwidth option in Woo Images module.
- Changes the way how default values are displayed within the Custom CSS options, now default values are displayed as placeholders.
- Fixed color inconsistency for global module modal header when filtered search active.
- Fixed Theme Builder style selectors not always being wrapped when the Divi Builder Plugin is used.
- Fixed Blog Module CSS selector for height in front-end targeting wrong element(s).
- Fixed wireframe mode not showing in Visual Builder for Product.
- Fixed multi select stops working after call right click actions via keyboard shortcut.
- Enable multi select on Grid mode by switching the preview to Click mode when user hold CMD/SHIFT/CTRL key.
- Fixed mobile menu displaying below the content of the next section in certain cases.
- Fixed unnecessary WP_oEmbed request in the Slider module when there was no video defined.
- Fixed responsive animation direction not working properly when set to center.
- Fixed hover filters removing filters without hover option set.
- Fixed the logout link in the login module not being visible when the Body text is empty.
- Fixed unable to reset entire module and button background fields via right click menu.
- Fixed specialty sections column order in the wireframe layout with RTL mode.
- Fixed author Dynamic Content on author post archive pages.
- Fixed module alignment preview not working in VB if custom left/right margin is set.
- Added React Motion animations to Template Settings Icons.
- Fixed square brackets in Module Link URL being improperly transformed.
- Fixed module styles missing when a Theme Builder template is enabled or disabled before a cached stylesheet is generated for a modified page which is affected by the same template.
- Fixed admin label becoming empty in wireframe mode in certain cases.
- Fixed the issue when frequent changes of an animation options in Global Defaults mode were not displayed for all modules.
- Theme Builder exports will now include individual layout titles.
- Fixed issue where Email Optin couldn't save radio button value if it contained single or double quotes characters on Mailchimp provider.
- Fixed delay in GetResponse autoresponders.
- Added overlay onto default WooCommerce Product & Shop pages.
- Fixed dot navigation not working on Theme Builder templates.
- Fixed a typo in the post info section option description.
- Fixed Centered Inline Logo Maximum Height Customizer option not taking effect.
	* core/admin/js/recaptcha.js
	* core/components/Portability.php
	* core/components/api/Service.php
	* core/components/api/email/GetResponse.php
	* core/components/api/email/MailChimp.php
	* core/components/api/spam/Provider.php
	* core/components/api/spam/Providers.php
	* core/components/api/spam/ReCaptcha.php
	* core/components/api/spam/init.php
	* core/components/data/Utils.php
	* core/components/init.php
	* core/functions.php
	* core/ui/utils/property-resolver.js
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/conditions.php
	* includes/builder/core.php
	* includes/builder/deprecations.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/post-content.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/i18n/generic.php
	* includes/builder/frontend-builder/i18n/theme-builder.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/functions.php
	* includes/builder/module/Audio.php
	* includes/builder/module/BarCounters.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/Button.php
	* includes/builder/module/CircleCounter.php
	* includes/builder/module/Comments.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/CountdownTimer.php
	* includes/builder/module/Cta.php
	* includes/builder/module/FilterablePortfolio.php
	* includes/builder/module/FullwidthHeader.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Image.php
	* includes/builder/module/Login.php
	* includes/builder/module/Menu.php
	* includes/builder/module/NumberCounter.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/Search.php
	* includes/builder/module/Shop.php
	* includes/builder/module/Sidebar.php
	* includes/builder/module/Signup.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/SocialMediaFollow.php
	* includes/builder/module/TeamMember.php
	* includes/builder/module/Testimonial.php
	* includes/builder/module/Text.php
	* includes/builder/module/field/TextShadow.php
	* includes/builder/module/helpers/BackgroundLayout.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/module/helpers/Slider.php
	* includes/builder/module/type/PostContent.php
	* includes/builder/module/type/WithSpamProtection.php
	* includes/builder/module/woocommerce/AdditionalInfo.php
	* includes/builder/module/woocommerce/Breadcrumb.php
	* includes/builder/module/woocommerce/Description.php
	* includes/builder/module/woocommerce/Images.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Title.php
	* includes/builder/plugin-compat/cartflows.php
	* includes/builder/plugin-compat/woocommerce.php
	* includes/builder/scripts/builder.js
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/styles/style.css
	* js/custom.js
	* js/theme-customizer.js
	* options_divi.php

version 4.0.6 ( updated 11-07-2019 )
- Fixing compatibility issues for upcoming WordPress 5.3.
- Fixed Woocommerce Cart Notice duplication on product pages built with Theme Builder.
- Fixed spacing values being out of sync when you switch between responsive tabs.
- Fixed the issue when the Text Link options did not have priority over to the Text Body options of the Woo Meta module in some cases.
- Fixed Blog Module not showing Categories when used with Custom Post Types.
- Fixed incorrect animation on Accordion module when custom padding defined.
- Added Copy/Paste styles amongst "In Stock/Out of Stock/On Backorder" option groups.
- Added new custom CSS fields to the Woo Additional Info module.
- Fixed border styles settings issue where user can't use default value on tablet and phone modes.
- Fixed vh-unit issue on page settings' custom css output on visual builder.
- Fixed Builder crashed with error cannot read property 'split' of undefined.
- Fixed Shortcodes not working in the Woo Tabs.
- Ensure the correct file permissions are applied to the builder's cache files.
- Removed unwanted advanced options at audio and person module's general tab > image options group.
- Fixed compatibility with Toolset Views.
- Fixed Breadcrumb separator option to allow \ to be displayed in FE correctly.
- Disabled hover over Social Media Follow icons on VB preview.
- Update localization strings for Theme Builder.
- Fixed Blurb image hover styles not taking effect when hovering outside the image element.
- Fixed wrong gutter width on hover in certain cases.
- Fixed only the title being clickable in the fullwidth portfolio.
- Added the "Enable Raw HTML" option for ACF custom fields in Theme Builder.
- Fixed Star Rating Option group option names.
- Added Star Rating option group to the Shop module.
- Added Quick actions to Woo Add to Cart module's label.
- Fixed compatibility issue with WP Offload media Lite plugin for thubnail URL in gallery module setting modal.
- Fixed Add to Cart button background not working when Color scheme is set.
- Added et_pb_menu_module_cart_output filter to the Cart Icon HTML in Menu Module for 3rd party plugins.
- Fixed white button color in customizer not being applied.
	* core/components/PageResource.php
	* core/components/api/Service.php
	* core/components/cache/File.php
	* core/components/data/Utils.php
	* core/components/init.php
	* core/functions.php
	* core/languages/ar.po
	* core/languages/bg_BG.po
	* core/languages/cs_CZ.po
	* core/languages/da_DK.po
	* core/languages/de_DE.po
	* core/languages/el.po
	* core/languages/en_US.po
	* core/languages/es_ES.po
	* core/languages/fi.po
	* core/languages/fr_FR.po
	* core/languages/he_IL.po
	* core/languages/hu_HU.po
	* core/languages/id_ID.po
	* core/languages/it_IT.po
	* core/languages/ja.po
	* core/languages/ko_KR.po
	* core/languages/ms_MY.po
	* core/languages/nb_NO.po
	* core/languages/nl_NL.po
	* core/languages/pl_PL.po
	* core/languages/pt_BR.po
	* core/languages/ro_RO.po
	* core/languages/ru_RU.po
	* core/languages/sk_SK.po
	* core/languages/sr_RS.po
	* core/languages/sv_SE.po
	* core/languages/th.po
	* core/languages/tl.po
	* core/languages/tr_TR.po
	* core/languages/uk.po
	* core/languages/vi.po
	* core/languages/zh_CN.po
	* functions.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/conditions.php
	* includes/builder/core.php
	* includes/builder/deprecations.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/view.php
	* includes/builder/functions.php
	* includes/builder/languages/ar.po
	* includes/builder/languages/bg_BG.po
	* includes/builder/languages/cs_CZ.po
	* includes/builder/languages/da_DK.po
	* includes/builder/languages/de_DE.po
	* includes/builder/languages/el.po
	* includes/builder/languages/en_US.po
	* includes/builder/languages/es_ES.po
	* includes/builder/languages/fi.po
	* includes/builder/languages/fr_FR.po
	* includes/builder/languages/he_IL.po
	* includes/builder/languages/hu_HU.po
	* includes/builder/languages/id_ID.po
	* includes/builder/languages/it_IT.po
	* includes/builder/languages/ja.po
	* includes/builder/languages/ko_KR.po
	* includes/builder/languages/ms_MY.po
	* includes/builder/languages/nb_NO.po
	* includes/builder/languages/nl_NL.po
	* includes/builder/languages/pl_PL.po
	* includes/builder/languages/pt_BR.po
	* includes/builder/languages/ro_RO.po
	* includes/builder/languages/ru_RU.po
	* includes/builder/languages/sk_SK.po
	* includes/builder/languages/sr_RS.po
	* includes/builder/languages/sv_SE.po
	* includes/builder/languages/th.po
	* includes/builder/languages/tl.po
	* includes/builder/languages/tr_TR.po
	* includes/builder/languages/uk.po
	* includes/builder/languages/vi.po
	* includes/builder/languages/zh_CN.po
	* includes/builder/main-structure-elements.php
	* includes/builder/module/Accordion.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Blurb.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/Menu.php
	* includes/builder/module/Shop.php
	* includes/builder/module/Signup.php
	* includes/builder/module/type/WithSpamProtection.php
	* includes/builder/module/woocommerce/AddToCart.php
	* includes/builder/module/woocommerce/AdditionalInfo.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/Meta.php
	* includes/builder/module/woocommerce/Rating.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/module/woocommerce/Upsells.php
	* includes/builder/plugin-compat/advanced-custom-fields.php
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/styles/style.css
	* js/theme-customizer-controls.js
	* js/theme-customizer.js
	* lang/ar.po
	* lang/bg_BG.po
	* lang/cs_CZ.po
	* lang/da_DK.po
	* lang/de_DE.po
	* lang/el.po
	* lang/en_US.po
	* lang/es_ES.po
	* lang/fi.po
	* lang/fr_FR.po
	* lang/he_IL.po
	* lang/hu_HU.po
	* lang/id_ID.po
	* lang/it_IT.po
	* lang/ja.po
	* lang/ko_KR.po
	* lang/ms_MY.po
	* lang/nb_NO.po
	* lang/nl_NL.po
	* lang/pl_PL.po
	* lang/pt_BR.po
	* lang/ro_RO.po
	* lang/ru_RU.po
	* lang/sk_SK.po
	* lang/sr_RS.po
	* lang/sv_SE.po
	* lang/th.po
	* lang/tl.po
	* lang/tr_TR.po
	* lang/uk.po
	* lang/vi.po
	* lang/zh_CN.po

version 4.0.5 ( updated 11-01-2019 )
- Fixed WooCommerce Modules' broken automatically-added placeholder content in Theme Builder.
- Fixed quote blocks missing when using the Quote post format and a Post Content module in Theme Builder.
- Fixed Copy/Paste functionality between Woo Description and Text module's Text option group.
- Added an extra confirmation dialog when importing JSON layouts with active "Apply Layout's Defaults To This Website" checkbox.
- Allowed dragging and pasting Theme Builder layouts regardless of type (header, body or footer).
- Fixed notices appearing in the Visual Builder if the Uncategorized category is renamed.
- Fixed compatibility with Divi Ultimate Header Plugin.
- Added Copy/Paste between Woo Meta and Text modules' Text option group.
- Fixed Featured Products output in Shop Module.
- Fixed an issue that would cause the Builder to send multiple preview request to the server when certain plugins where active.
- Shop Module's Use Current Page option now takes the search terms into account when used on search pages.
- Fixed incorrect currency position in Pricing Table.
- Clear localStorage when opening Visual Builder if builder version changes.
- Fixed unwanted animation when changing transform settings.
- Updated Woo Gallery to not output placeholder when no gallery image is available.
- Fixed incorrect WooCommerce Description module's long description value in visual builder.
- Fixed Blog Module not displaying the "No Results" message when the "Use Current Page" option is used.
- Fixed dynamic content for WooCommerce Product Data not rendering properly.
- Fixed fullwidth header content wrapper not being right-aligned when the right align text option is selected.
- Fixed the Theme Builder portability modal being present on unrelated administration screens.
- Fixed compatibility with the WP Smush Pro plugin.
- Fixed unwanted scrolling when creating new Divi Builder page.
- Fixed Woo Layout Injector loop compatibility.
- Fixed Product Tour ending causing a full page reload in Theme Builder.
- Fixed having multiple menu modules on the same page causing the mobile menu toggles to stop working.
- Fixed the error Failed to execute 'postMessage' on 'DOMWindow' that could affect some hosts when loading Theme Builder.
- Fixed gallery blocks missing when using the Gallery post format and a Post Content module in Theme Builder.
- Fixed Mobile Menu toggle vertical position for Slide In and Fullscreen Header types.
	* core/admin/css/core.css
	* core/admin/js/core.js
	* core/admin/js/portability.js
	* core/components/Portability.php
	* css/main-styles.css
	* functions.php
	* includes/builder/core.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/frontend-builder/theme-builder/woocommerce.php
	* includes/builder/functions.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Shop.php
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/module/woocommerce/Description.php
	* includes/builder/module/woocommerce/Meta.php
	* includes/builder/plugin-compat/divi_layout_injector.php
	* includes/builder/plugin-compat/divi_woo_layout_injector.php
	* includes/builder/plugin-compat/wp-smush-pro.php
	* includes/builder/plugin-compat/wp-smushit.php
	* includes/builder/post/PostStack.php
	* includes/builder/scripts/builder.js
	* includes/builder/scripts/cpt-modules-wrapper.js
	* includes/builder/scripts/frontend-builder-global-functions.js
	* includes/builder/scripts/frontend-builder-preview.js
	* includes/builder/scripts/frontend-builder-scripts.js

version 4.0.4 ( updated 10-28-2019 )
- Fixed Theme Builder compatibility with WordPress 4.9.x.
- Fixed margin inconsistencies in the pricing table.
- Added Post Categories Dynamic Content support in the Theme Builder.
- Fixed text module content sync not working properly for global modules with responsive content on.
- Fixed 1/3 column improperly stacking on certain viewports.
- Fixed Divider module's Line Color hover CSS always being printed even if not enabled.
- Fixed an issue with array conversation that was causing a PHP fatal error in some cases.
- Fixed some Menu styling.
- Fixed broken WooCommerce Column Structure on Category Pages.
- Fixed Divi Woo Layout Injector usage combined with Theme Builder causing duplicated layouts.
- Removed unnecessary data included in the payload of some AJAX requests.
- Fixed wrong order class applying to Inner Columns in Visual Builder in some cases.
- Fixed image in the Post Slider module having a different size on the front end.
- Fixed margin and padding hover preview not working in VB if no values are set for default state.
- Fixed Menu Module Logo's maximum width causing the mobile menu and other icons to be positioned incorrectly.
- Improved ACF support in Theme Builder to resolve Dynamic Content on archive pages for categories, tags, custom taxonomies and authors.
- Fixed some Settings Bar buttons group being misplaced.
- Fixed Woo Image Modules looking shrunk when inserted using DBP.
- Fixed mobile menu hamburger icon being positioned incorrectly when using the centered menu style.
- Fixed Dynamic Content that does not rely on the current post being disabled in contexts that do not have a post such as 404 pages.
- Fixed tabs module not working on second page of blog module pagination.
- Fixed setting Bg color on Woo Cart Notice when Color scheme is used.
- Fixed fatal error in Woo Gallery module when no product is found.
- Added Copy/Paste between Contact Form & Add to Cart Fields option group.
- Fixed console log error when opening pricing table item at the first time.
- Fixed an HTML validation error caused by unnecessary parentheses in the image tag sizes attribute.
- Fixed some HTML Tags being stripped while importing Theme Builder exports.
- Fixed a bug that would cause some attachments not to be imported.
- Fixed PHP Error Call to undefined function et_is_responsive_images_enabled.
	* core/components/Portability.php
	* css/main-styles.css
	* includes/builder/class-et-builder-element.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/search-posts.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/functions.php
	* includes/builder/module/Divider.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Menu.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/Gallery.php
	* includes/builder/plugin-compat/advanced-custom-fields.php
	* includes/builder/plugin-compat/divi_woo_layout_injector.php
	* includes/builder/plugin-compat/wp-smushit.php
	* includes/builder/post/PostStack.php
	* includes/builder/scripts/builder.js
	* includes/builder/scripts/frontend-builder-scripts.js
	* includes/builder/styles/frontend-builder-global-style.css
	* post_thumbnails_divi.php
	* rtl.css

version 4.0.3 ( updated 10-23-2019 )
- Remove the "orderby" option in the Shop Module when the "Recent Products" view is enabled due to changes in WooCommerce.
- Fixed Theme Builder compatibility with NextGEN Gallery.
- Fixed incorrect Woo Reviews module's message when User is not logged in.
- Fixed compatibility with WP Smush 3.3.0.
- Fixed contact form conditional logic throwing JS errors in the console.
- Added Quick access for Sale price in the Woo Price module.
- Fixed blog module's "more" link getting body text color in certain cases.
- Fixed border radii not showing up in FE in Woo Related Products module.
- Updated Theme Builder to use semantic elements for header and footer.
- Fixed transforms and animations responsive combinations.
- Hid Product layout option from Divi Builder Plugin options.
- Added templates reordering support by drag and drop in Theme Builder.
- Fixed injected layouts not having styles.
- Fixed elements being overlapped by section dividers and hovered sections in certain cases.
- Fixed Image uploading when editing Gallery module.
- Renamed button background label and updated the helper text.
- Fixed box shadow inner position not working on the image element of Woo Images module.
- Added Quick Access support to Post Content and Fullwidth Post Content modules.
- Fixed Theme Builder imports failing in certain cases.
- Updated default line-height for the H1 heading settings in Post Content module to 1em.
- Fixed fatal error when using Product sitemap generated by Yoast plugin.
- Improved gallery module to use thumbnail size images URL in Visual Builder setting modal.
- Fixed Support Center system status incorrect status for upload_max_filesize with value of 0.
- Fixed Mobile Menu Bar vertical alignment in some cases.
	* core/.patches/grunt+1.0.3.patch
	* core/components/SupportCenter.php
	* css/main-styles.css
	* includes/builder/class-et-builder-element.php
	* includes/builder/core.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/i18n/generic.php
	* includes/builder/frontend-builder/i18n/theme-builder.php
	* includes/builder/frontend-builder/init.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/functions.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Shop.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/module/type/PostContent.php
	* includes/builder/module/woocommerce/Breadcrumb.php
	* includes/builder/module/woocommerce/Images.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Reviews.php
	* includes/builder/plugin-compat/wp-smushit.php
	* includes/builder/scripts/frontend-builder-scripts.js

version 4.0.2 ( updated 10-18-2019 )
- Fixed responsive and hover content not being visible when having same value as desktop mode.
- Fixed error  when shortcode attribute values of null in the builder.
- Fixed Theme Builder compatibility with WP Smush.
- Fixed pasting a Theme Builder layout into the Default Website Template not applying it to all templates without a layout of that type.
- Fixed certain Divi/Extra Layout Injector plugin injections taking effect while editing Theme Builder layouts.
- Fixed Theme Builder not loading when /wp-admin/ is loaded through https:// but the frontend is not.
	* includes/builder/class-et-builder-element.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/i18n/generic.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/woocommerce.php
	* includes/builder/functions.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/module/woocommerce/Price.php
	* includes/builder/plugin-compat/divi_layout_injector.php
	* includes/builder/plugin-compat/wp-smushit.php

version 4.0.1 ( updated 10-17-2019 )
- Added Remote User roles to the allowlist used for capability checks on "dangerous" capabilities.
- Fixed button not visible on hover for Slider, Fullwitdh Header & Pricing Table module.
- Fixed videos don't works on mobile.
- TB keyboard shortcuts were overriding VB shortcuts. TinyMCE event handling was probably more aggressive which is why it worked.
- Fixed Divi/Extra Layout Injector compatibility.
- Added the new theme_builder capability to the Remote User roles (et_support and et_support_elevated).
	* core/components/SupportCenter.php
	* includes/builder/core.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/module/Button.php
	* includes/builder/module/FullwidthHeader.php
	* includes/builder/module/PricingTablesItem.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/Video.php
	* includes/builder/plugin-compat/divi_layout_injector.php

version 4.0 ( updated 10-17-2019 )
- Introduced the Theme Builder.
- Fixed the Image border on hover on Related Products and Up-sells modules.
- Added missing Sale Badge Color to the Upsells module.
- Gallery image settings are now only applied to the image and not the overlay.
- Fixed empty script tag printed in the footer.
- Fixed inability to submit contact form due to browser autofill incorrectly acting when it shouldn't.
- Fixed hover filters removing filters without hover option set.
- Fixed "Read More" tag when using the Blog module and when the post content is created using the builder.
- Fixed inability to submit form containing a required checkbox field with an empty value but just a link in it.
- Fixed Contact Form text button displayed as empty string.
- Fixed issue where each post has same content for post based modules.
- Transition for hover options will no longer be added if the hover value is not set.
- Fixed buttons rendering in Wireframe view when Click Interaction Mode enabled.
- Fixed borders disappearing in hover state in VB in certain cases.
- Fixed inconsistency amongst Woo Tabs, Additional Information & Text modules that use dynamic content to displaying Product additional information.
- Fixed repeating animations on Edge explorer, when modules had transform hover options.
- Fixed the issue when non-global Section settings modal was wrongly highlighted as Global.
- Fixed space between contact form's textarea and other fields not being consistent.
- Fixed Number Counter module's decimal value of zero not showing in VB.
- Fixed builder settings throwing an error when changing History State Interval.
- Fixed button icon outputting CSS for hover color when hover color is enabled but no color selected.
- Fixed an error that occurred while selecting the Contact Form's Conditional Logic rule in some cases.
- Fixed Call to undefined et_fb_enabled() function when using RevSlider.
- Fixed whitespace in the first item on the last carousel slide.
- Fixed visual builder fields triggering browser autofill for certain fields.
- Fixed circle counters not showing when resizing the window.
- Fixed buttons not getting rendered in hover/tablet/phone mode when the button text for desktop mode is empty.
- Fixed empty pagination in blog module with offset.
- Fixed an error that occurred when loading a saved template with empty content.
- Fixed transform origin control not being able to select 100% or 50% values.
- Print font style on specific breakpoint only when user uses Default on tablet and phone.
- Fixed to allow special characters as Woo Meta separators.
- Fixed delay in Number Counter Module with value 0.
- Fixed conditional logic with special character in Contact Form module.
- Fixed responsive background not working on Slider & Fullwidth Slider modules.
- Fixed pointer and color alpha of gradient color picker not resetting once another field is opened.
- Fixed Button selector in the Cart Notice module that allows setting the Button borders.
- Fixed missing media query render when Custom CSS responsive enabled on desktop mode.
- Fixed builder preview mode switching to wireframe mode when hover mode active in settings modal and the default preview mode is wireframe.
- Fixed Global Modules syncing in Visual Builder to make sure unsynced settings are not synced.
- Fixed issue where the Google Maps API script was still enqueued in the New Divi Builder Experience even if it was disabled in the Theme Options.
- Improved paragraph handling in Woo Description module.
- Fixed featured table heading background not working when using different color scheme on theme customizer.
- Disabled hover state when user opens toggle on mobile to fix styles overlapping.
- Fixed performance issue for Post Slider & Fullwidth Post Slider module.
- Fixes the issue when some settings changed globally were not applied to a module.
- Fixed the Google Fonts updating system.
- Disable VB right click menu on page settings modal.
- Fixed the issue when the Global History States tab was stuck as selected after closing the history window.
- Fixed js error when Move icon clicked in Visual Builder Wireframe Mode.
- Disabled Add Column buttons when Settings Modal is opened.
- Fixed incorrect alignment for Fullwidth Header Module when title and body is empty.
- Prevent malformed html in the WooCommerce demo store notice from breaking the Visual Builder.
- Fixed PHP warnings regarding undefined index for responsive enabled settings.
- Fixed the class name inconsistency in Overlay Icon, Icon hover and background color settings with regard to the Extra theme.
- Fixed text align center not working on Blurb when we set the image position to the left side.
- Fixed FitVids passing the wrong CSS ID to the iframe.
- Fixed default and inherited setting values not working in hover/responsive content.
- Fixed a React error that could show up when using 3rd party Divi Extensions.
- Stacked WooCmmerce Reviews Module's avatar, meta, and comment in 1/5 and 1/6 columns and in 1/4 columns on tablet / smaller breakpoints.
- Fixed select fields padding in Contact Form module.
- Removed React warning occurring in some situations while switching between the Wireframe and the normal views.
- Fixed Visual Builder sometimes reloading itself when editing a WooCommerce Product.
- Fixed Visual Builder interface rendering on RTL websites when Disable Translations option is enabled.
- Added option to set default layout for Products in Theme Options.
- Fixed Move and Edit Buttons rendering in Wireframe mode when Move Module and Edit Module Roles are disabled.
- Fixed the New Divi Builder activation on draft posts.
- Made the Separator option available only for Inline Layout in Woo Meta module.
- Improved Woo Images module reinit after preview mode change in Visual Builder.
- Fixed play icon font size not working for Video module.
- Added a failure notice for unsuccessful save of Global Defaults settings.
- Improved UX by removing the redundant Breadcrumb module's URL Hover option.
- Fixed an issue where the Signup Module would generate an empty HTML element when no content had been set for the Title or Body fields.
- Fixed css selector for the Margin option in Search Module.
- Fixed Audio image disappearing when setting image box shadow position as inner shadow.
- Fixed inability to import if the PHP post_max_size set to 0.
- Fixed scroll to anchor position in Safari / Webkit browser.
	* core/admin/js/portability.js
	* core/components/PageResource.php
	* core/components/Portability.php
	* core/components/data/Utils.php
	* core/components/init.php
	* core/functions.php
	* core/php_functions.php
	* core/ui/utils/frames.js
	* core/ui/utils/property-resolver.js
	* css/main-styles.css
	* css/theme-customizer-controls-styles.css
	* et-pagebuilder/et-pagebuilder.php
	* functions.php
	* includes/builder/ab-testing.php
	* includes/builder/class-et-builder-element.php
	* includes/builder/class-et-builder-settings.php
	* includes/builder/class-et-builder-value.php
	* includes/builder/class-et-global-settings.php
	* includes/builder/core.php
	* includes/builder/feature/BlockEditorIntegration.php
	* includes/builder/feature/Library.php
	* includes/builder/feature/dynamic-content.php
	* includes/builder/feature/post-content.php
	* includes/builder/feature/woocommerce-modules.php
	* includes/builder/framework.php
	* includes/builder/frontend-builder/assets.php
	* includes/builder/frontend-builder/assets/css/fb-top-window.css
	* includes/builder/frontend-builder/assets/css/responsive-preview.css
	* includes/builder/frontend-builder/assets/scripts/failure_notice.js
	* includes/builder/frontend-builder/bfb-template.php
	* includes/builder/frontend-builder/bundle.js
	* includes/builder/frontend-builder/helpers.php
	* includes/builder/frontend-builder/i18n.php
	* includes/builder/frontend-builder/i18n/generic.php
	* includes/builder/frontend-builder/i18n/library.php
	* includes/builder/frontend-builder/i18n/portability.php
	* includes/builder/frontend-builder/i18n/theme-builder.php
	* includes/builder/frontend-builder/theme-builder/ThemeBuilderApiErrors.php
	* includes/builder/frontend-builder/theme-builder/ThemeBuilderRequest.php
	* includes/builder/frontend-builder/theme-builder/admin.php
	* includes/builder/frontend-builder/theme-builder/api.php
	* includes/builder/frontend-builder/theme-builder/dynamic-content.php
	* includes/builder/frontend-builder/theme-builder/frontend-body-template.php
	* includes/builder/frontend-builder/theme-builder/frontend-footer-template.php
	* includes/builder/frontend-builder/theme-builder/frontend-header-template.php
	* includes/builder/frontend-builder/theme-builder/frontend.php
	* includes/builder/frontend-builder/theme-builder/template-setting-validations.php
	* includes/builder/frontend-builder/theme-builder/theme-builder.php
	* includes/builder/frontend-builder/view.php
	* includes/builder/functions.php
	* includes/builder/images/cursor-select-goal.png
	* includes/builder/images/cursor-select-subject.png
	* includes/builder/images/cursor-select-winner.png
	* includes/builder/module/Audio.php
	* includes/builder/module/Blog.php
	* includes/builder/module/Button.php
	* includes/builder/module/CircleCounter.php
	* includes/builder/module/ContactForm.php
	* includes/builder/module/ContactFormItem.php
	* includes/builder/module/Cta.php
	* includes/builder/module/FilterablePortfolio.php
	* includes/builder/module/FullwidthHeader.php
	* includes/builder/module/FullwidthMenu.php
	* includes/builder/module/FullwidthPortfolio.php
	* includes/builder/module/FullwidthPostContent.php
	* includes/builder/module/FullwidthPostSlider.php
	* includes/builder/module/FullwidthPostTitle.php
	* includes/builder/module/FullwidthSlider.php
	* includes/builder/module/Gallery.php
	* includes/builder/module/Menu.php
	* includes/builder/module/NumberCounter.php
	* includes/builder/module/Portfolio.php
	* includes/builder/module/PostContent.php
	* includes/builder/module/PostSlider.php
	* includes/builder/module/PostTitle.php
	* includes/builder/module/PricingTables.php
	* includes/builder/module/PricingTablesItem.php
	* includes/builder/module/Search.php
	* includes/builder/module/Shop.php
	* includes/builder/module/Signup.php
	* includes/builder/module/Slider.php
	* includes/builder/module/SliderItem.php
	* includes/builder/module/SocialMediaFollow.php
	* includes/builder/module/TeamMember.php
	* includes/builder/module/helpers/Font.php
	* includes/builder/module/helpers/MultiViewOptions.php
	* includes/builder/module/helpers/ResponsiveOptions.php
	* includes/builder/module/helpers/WooCommerceModules.php
	* includes/builder/module/type/PostBased.php
	* includes/builder/module/type/PostContent.php
	* includes/builder/module/woocommerce/AddToCart.php
	* includes/builder/module/woocommerce/AdditionalInfo.php
	* includes/builder/module/woocommerce/Breadcrumb.php
	* includes/builder/module/woocommerce/CartNotice.php
	* includes/builder/module/woocommerce/Description.php
	* includes/builder/module/woocommerce/Gallery.php
	* includes/builder/module/woocommerce/Images.php
	* includes/builder/module/woocommerce/Meta.php
	* includes/builder/module/woocommerce/Price.php
	* includes/builder/module/woocommerce/Rating.php
	* includes/builder/module/woocommerce/RelatedProducts.php
	* includes/builder/module/woocommerce/Reviews.php
	* includes/builder/module/woocommerce/Stock.php
	* includes/builder/module/woocommerce/Tabs.php
	* includes/builder/module/woocommerce/Title.php
	* includes/builder/module/woocommerce/Upsells.php
	* includes/builder/plugin-compat/advanced-custom-fields.php
	* includes/builder/plugin-compat/divi_layout_injector.php
	* includes/builder/plugin-compat/easy-digital-downloads.php
	* includes/builder/plugin-compat/eventon.php
	* includes/builder/plugin-compat/woocommerce.php
	* includes/builder/post/PostStack.php
	* includes/builder/scripts/bfb_admin_script.js
	* includes/builder/scripts/builder.js
	* includes/builder/scripts/cpt-modules-wrapper.js
	* includes/builder/scripts/frontend-builder-global-functions.js
	* includes/builder/scripts/frontend-builder-scripts.js
